<?php
/**
 * comment.php
 *
 * This file delivers all the comments, pingbacks, trackbacks, and the 
 * comment form when called. It is the default file called in the comments_template() call
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 * 
 * modified from twentyfourteen
 */

/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) { ?>

		<h4 class="comments-title">
			<?php 
				$number_comments = get_comments_number();
				If( $number_comments == 0 ){
					 _e( 'No Comments Yet' , 'panache');
				}elseif( $number_comments == 1 ){
					_e( '1 Comment' , 'panache') ;
				}else{
					echo $number_comments.' '.__( 'Comments' , 'panache');
				} 
			?>
		</h4>

		<div class="comment-list">
			<?php
				wp_list_comments( array(
					'style'      => 'div',
					'short_ping' => true,
					'avatar_size'=> 50,
				) );
			?>
		</div><!-- .comment-list -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) { ?>
			<nav class="commentnav" role="navigation">
				<div class="left"><?php previous_comments_link( '<i class="fa fa-caret-left" ></i> ' . __( 'Older Comments', 'panache') ); ?></div>
				<div class="right"><?php next_comments_link( __( 'Newer Comments', 'panache' ) . ' <i class="fa  fa-caret-right" ></i>' ); ?></div>
			</nav><!-- #comment-nav-below -->
		<?php } // Check for comment navigation. ?>

	<?php } // have_comments() ?>
	
	<?php if ( comments_open() != true ) { ?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'panache' ); ?></p>
	<?php } ?>

	<?php comment_form(); ?>

</div><!-- #comments -->