<?php
/**
 * Custom fonts file
 *
 * This file is called by functions.php and loads the user selections for fonts
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

	if( sanitize_text_field( panache_get_option( 'panache_header_font_option' ) ) && sanitize_text_field( panache_get_option( 'panache_header_font_option' ) ) == 'google web fonts'){
		$header_font_option = sanitize_text_field( panache_get_option( 'panache_google_header_font' ) );
		switch ($header_font_option) {
			case "Cabin" :
				$header_font = "Cabin, Helvetica, Arial, sans-serif";
				wp_register_style('google_cabin', '//fonts.googleapis.com/css?family=Cabin:400,400italic');
           		wp_enqueue_style( 'google_cabin');
				break;
			case "Raleway" :
				$header_font = "Raleway, Helvetica, Arial, sans-serif";
				wp_register_style('google_raleway', '//fonts.googleapis.com/css?family=Raleway');
           		wp_enqueue_style( 'google_raleway');
				break;
			case "Allerta" :
				$header_font = "Allerta, Helvetica, Arial, sans-serif";
				//wp_register_style('google_allerta', '//fonts.googleapis.com/css?family=Allerta');
           		wp_enqueue_style( 'google_allerta' , '//fonts.googleapis.com/css?family=Allerta');
				break;
			case "Arvo" :
				$header_font = "Arvo, Georgia, Times, serif";
				wp_register_style('google_arvo', '//fonts.googleapis.com/css?family=Arvo:400,400italic,700,700italic');
           		wp_enqueue_style( 'google_arvo');
				break;
			case "Molengo" :
				$header_font = "Molengo, Georgia, Times, serif";
				wp_register_style('google_molengo', '//fonts.googleapis.com/css?family=Molengo');
           		wp_enqueue_style( 'google_molengo');
				break;
			case "Lekton" :
				$header_font = "Lekton, Helvetica, Arial, sans-serif";
				wp_register_style('google_lekton', '//fonts.googleapis.com/css?family=Lekton:400,400italic');
           		wp_enqueue_style( 'google_lekton');
				break;
			case "Droid Serif" :
				$header_font = "'Droid Serif', Georgia, Times, serif";
				wp_register_style('google_droidserif', '//fonts.googleapis.com/css?family=Droid+Serif:400,400italic,700,700italic');
           		wp_enqueue_style( 'google_droidserif');
				break;
			case "Droid Sans" :
				$header_font = "'Droid Sans', Helvetica, Arial, sans-serif";
				wp_register_style('google_droidsans', '//fonts.googleapis.com/css?family=Droid+Sans:400,700');
           		wp_enqueue_style( 'google_droidsans');
				break;
			case "Corben" :
				$header_font = "Corben, Georgia, Times, serif";
				wp_register_style('google_corben', '//fonts.googleapis.com/css?family=Corben');
           		wp_enqueue_style( 'google_corben');
				break;
			case "Nobile" :
				$header_font = "Nobile, Helvetica, Arial, sans-serif";
				wp_register_style('google_nobile', '//fonts.googleapis.com/css?family=Nobile:400,400italic,700,700italic');
           		wp_enqueue_style( 'google_nobile');
				break;
			case "Ubuntu" :
				$header_font = "Ubuntu, Helvetica, Arial, sans-serif";
				wp_register_style('google_ubuntu', '//fonts.googleapis.com/css?family=Ubuntu:400,400italic');
           		wp_enqueue_style( 'google_ubuntu');
				break;
			case "Vollkorn" :
				$header_font = "Vollkorn, Georgia, Times, serif";
				wp_register_style('google_vollkorn', '//fonts.googleapis.com/css?family=Vollkorn:400,400italic');
           		wp_enqueue_style( 'google_vollkorn');
				break;
			case "Great Vibes" :
				$header_font = "'Great Vibes', cursive";
				wp_register_style('google_greatvibes', '//fonts.googleapis.com/css?family=Great+Vibes');
           		wp_enqueue_style( 'google_greatvibes');
				break;
			case "Karla" :
				$header_font = "Karla, sans-serif";
				wp_register_style('google_karla', '//fonts.googleapis.com/css?family=Karla:400,700italic,700,400italic');
           		wp_enqueue_style( 'google_karla');
				break;
		}
	} elseif( sanitize_text_field( panache_get_option('panache_header_font_option') ) && sanitize_text_field( panache_get_option( 'panache_header_font_option' ) ) == '@font-face web fonts') {
		$header_font_option = sanitize_text_field( panache_get_option( 'panache_fontface_header_font' ) );
		switch ( $header_font_option ) {
			case 'Artifika' :
				$header_font = "Artifika, Georgia, Times, serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: Artifika;
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.eot?#iefix') format('embedded-opentype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.woff') format('woff'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.ttf') format('truetype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.svg#MyndraineRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 					
			break;
			case "Bitstream Vera" :
				$header_font = "'Bitstream Vera', Helvetica, Arial, sans-serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: 'Bitstream Vera';
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.eot?#iefix') format('embedded-opentype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.woff') format('woff'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.ttf') format('truetype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.svg#MyndraineRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 					
			break;
			case "Gentium Basic" :
				$header_font = "'Gentium Basic', Georgia, Times, serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: 'Gentium Basic';
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.eot?#iefix') format('embedded-opentype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.woff') format('woff'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.ttf') format('truetype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.svg#MyndraineRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 					
			break;
			case "Josefin" :
				$header_font = "Josefin, Georgia, Times, serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: Josefin;
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.eot?#iefix') format('embedded-opentype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.woff') format('woff'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.ttf') format('truetype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.svg#MyndraineRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 					
			break;
			case "Lobster Two" :
				$header_font = "'Lobster Two', Georgia, Times, serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: 'Lobster Two';
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.eot?#iefix') format('embedded-opentype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.woff') format('woff'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.ttf') format('truetype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.svg#MyndraineRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 					
			break;					
			case "Old Standard" :
				$header_font = "'Old Standard', Georgia, Times, serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: 'Old Standard';
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.eot?#iefix') format('embedded-opentype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.woff') format('woff'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.ttf') format('truetype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.svg#MyndraineRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 					
			break;		
			case "PT Serif":
				$header_font = "'PT Serif', Georgia, Times, serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'PT Serif';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTF55F-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTF55F-webfont.eot?#iefix') format('embedded-opentype'),
						         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTF55F-webfont.woff') format('woff'),
						         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTS55F-webfont.ttf') format('truetype'),
						         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTF55F-webfont.svg#PTSerifRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 
				break;
			case "PT Sans":
				$header_font = "'PT Sans', Helvetica, Arial, sans-serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: 'PT Sans';
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.eot?#iefix') format('embedded-opentype'),
					         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.woff') format('woff'),
					         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.ttf') format('truetype'),
					         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.svg#PTSansRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 
			break;
			case "Puritan 2.0" :
				$header_font = "'Puritan 2.0', Helvetica, Arial, sans-serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: 'Puritan 2.0';
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.eot?#iefix') format('embedded-opentype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.woff') format('woff'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.ttf') format('truetype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.svg#MyndraineRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 					
			break;	
			case "Qumpellka 12" :
				$header_font = "'Qumpellka 12', Georgia, Times, serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: 'Qumpellka 12';
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.eot?#iefix') format('embedded-opentype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.woff') format('woff'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.ttf') format('truetype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.svg#MyndraineRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 					
			break;
			case "Source Code Pro" :
				$header_font = "'Source Code Pro', Courier, 'Courier New', sans-serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: 'Source Code Pro';
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.eot?#iefix') format('embedded-opentype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.woff') format('woff'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.ttf') format('truetype'),
							 url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.svg#MyndraineRegular') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 					
			break;				
			case "Titillium":
			$header_font = "Titillium, Helvetica, Arial, sans-serif";
				?>
					<style type="text/css" >
						@font-face {
					    font-family: 'Titillium';
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.eot');
					    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.eot?#iefix') format('embedded-opentype'),
					         url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.woff') format('woff'),
					         url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.ttf') format('truetype'),
					         url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.svg#TitilliumText25L400wt') format('svg');
					    font-weight: normal;
					    font-style: normal;
					   }
					</style>
				<?php 
			break;
		}
	}else {
		$header_font_option = sanitize_text_field( panache_get_option( 'panache_standard_header_font' ) );
		switch ($header_font_option) {
			case "default" :
				$header_font = "default";
			break;
			case "Arial" :
				$header_font = "Arial, Helvetica, sans-serif";
			break;
			case "Book Antiqua" :
				$header_font = "'Book Antiqua', 'Palatino Linotype', Palatino, serif";
			break;
			case "Cambria" :
				$header_font = "Cambria, Georgia, serif";
			break;
			case "Comic Sans MS" :
				$header_font = "'Comic Sans MS', sans-serif";
			break;
			case "Georgia" :
				$header_font = "Georgia, serif";
			break;
			case "Tahoma" :
				$header_font = "Tahoma, Geneva, sans-serif";
			break;
			case "Times New Roman" :
				$header_font = "'Times New Roman', Times, serif";
			break;
			case "Trebuchet MS" :
				$header_font = "'Trebuchet MS', Helvetica, sans-serif";
			break;
			case "Verdana" :
				$header_font = "Verdana, Geneva, sans-serif";
			break;
		}
	}
	//body font
	if( sanitize_text_field( panache_get_option( 'panache_body_font_option' ) ) && sanitize_text_field( panache_get_option( 'panache_body_font_option' ) == 'google web fonts' ) ){
		$body_font_option = sanitize_text_field( panache_get_option( 'panache_google_body_font' ) );
		if( $header_font_option != $body_font_option ) {
			switch ( $body_font_option ) {
				case "Cabin" :
					$body_font = "Cabin, Helvetica, Arial, sans-serif";
					wp_register_style('google_cabin', '//fonts.googleapis.com/css?family=Cabin:400,400italic');
					wp_enqueue_style( 'google_cabin');
					break;
				case "Raleway" :
					$body_font = "Raleway, Helvetica, Arial, sans-serif";
					wp_register_style('google_raleway', '//fonts.googleapis.com/css?family=Raleway');
					wp_enqueue_style( 'google_raleway');
					break;
				case "Allerta" :
					$body_font = "Allerta, Helvetica, Arial, sans-serif";
					wp_register_style('google_allerta', '//fonts.googleapis.com/css?family=Allerta');
					wp_enqueue_style( 'google_allerta');
					break;
				case "Arvo" :
					$body_font = "Arvo, Georgia, Times, serif";
					wp_register_style('google_arvo', '//fonts.googleapis.com/css?family=Arvo:400,400italic,700,700italic');
					wp_enqueue_style( 'google_arvo');
					break;
				case "Molengo" :
					$body_font = "Molengo, Georgia, Times, serif";
					wp_register_style('google_molengo', '//fonts.googleapis.com/css?family=Molengo');
					wp_enqueue_style( 'google_molengo');
					break;
				case "Lekton" :
					$body_font = "Lekton, Helvetica, Arial, sans-serif";
					wp_register_style('google_lekton', '//fonts.googleapis.com/css?family=Lekton:400,400italic');
					wp_enqueue_style( 'google_lekton');
					break;
				case "Droid Serif" :
					$body_font = "'Droid Serif', Georgia, Times, serif";
					wp_register_style('google_droidserif', '//fonts.googleapis.com/css?family=Droid+Serif:400,400italic,700,700italic');
					wp_enqueue_style( 'google_droidserif');
					break;
				case "Droid Sans" :
					$body_font = "'Droid Sans', Helvetica, Arial, sans-serif";
					wp_register_style('google_droidsans', '//fonts.googleapis.com/css?family=Droid+Sans:400,700');
					wp_enqueue_style( 'google_droidsans');
					break;
				case "Corben" :
					$body_font = "Corben, Georgia, Times, serif";
					wp_register_style('google_corben', '//fonts.googleapis.com/css?family=Corben');
					wp_enqueue_style( 'google_corben');
					break;
				case "Nobile" :
					$body_font = "Nobile, Helvetica, Arial, sans-serif";
					wp_register_style('google_nobile', '//fonts.googleapis.com/css?family=Nobile:400,400italic,700,700italic');
					wp_enqueue_style( 'google_nobile');
					break;
				case "Ubuntu" :
					$body_font = "Ubuntu, Helvetica, Arial, sans-serif";
					wp_register_style('google_ubuntu', '//fonts.googleapis.com/css?family=Ubuntu:400,400italic');
					wp_enqueue_style( 'google_ubuntu');
					break;
				case "Vollkorn" :
					$body_font = "Vollkorn, Georgia, Times, serif";
					wp_register_style('google_vollkorn', '//fonts.googleapis.com/css?family=Vollkorn:400,400italic');
					wp_enqueue_style( 'google_vollkorn');
					break;
				case "Great Vibes" :
					$body_font = "'Great Vibes', cursive";
					wp_register_style('google_greatvibes', '//fonts.googleapis.com/css?family=Great+Vibes');
					wp_enqueue_style( 'google_greatvibes');
					break;
				case "Karla" :
					$body_font = "Karla, sans-serif";
					wp_register_style('google_karla', '//fonts.googleapis.com/css?family=Karla:400,700italic,700,400italic');
					wp_enqueue_style( 'google_karla');
					break;
			} 
		} else {
			$body_font = $header_font;
		}
	} elseif (sanitize_text_field( panache_get_option( 'panache_body_font_option' ) ) && sanitize_text_field( panache_get_option( 'panache_body_font_option' ) ) == '@font-face web fonts' ){
		$body_font_option = sanitize_text_field( panache_get_option( 'panache_fontface_body_font' ) );
		if( $header_font_option != $body_font_option ) {
			switch ($body_font_option) {
				case 'Artifika' :
					$body_font = "Artifika, Georgia, Times, serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: Artifika;
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.eot?#iefix') format('embedded-opentype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.woff') format('woff'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.ttf') format('truetype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Artifika/Artifika-Regular-webfont.svg#MyndraineRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 					
				break;
				case "Bitstream Vera" :
					$body_font = "'Bitstream Vera', Helvetica, Arial, sans-serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'Bitstream Vera';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.eot?#iefix') format('embedded-opentype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.woff') format('woff'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.ttf') format('truetype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Bitstream-Vera-Sans/Vera-webfont.svg#MyndraineRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 					
				break;
				case "Gentium Basic" :
					$body_font = "'Gentium Basic', Georgia, Times, serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'Gentium Basic';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.eot?#iefix') format('embedded-opentype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.woff') format('woff'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.ttf') format('truetype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Gentium-Basic/GenBasR-webfont.svg#MyndraineRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 					
				break;
				case "Josefin" :
					$body_font = "Josefin, Georgia, Times, serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: Josefin;
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.eot?#iefix') format('embedded-opentype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.woff') format('woff'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.ttf') format('truetype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Josefin/JosefinSlab-Regular-webfont.svg#MyndraineRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 					
				break;
				case "Lobster Two" :
					$body_font = "'Lobster Two', Georgia, Times, serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'Lobster Two';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.eot?#iefix') format('embedded-opentype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.woff') format('woff'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.ttf') format('truetype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Lobster-Two/LobsterTwo-Regular-webfont.svg#MyndraineRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 					
				break;					
				case "Old Standard" :
					$body_font = "'Old Standard', Georgia, Times, serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'Old Standard';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.eot?#iefix') format('embedded-opentype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.woff') format('woff'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.ttf') format('truetype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Old-Standard/OldStandard-Regular-webfont.svg#MyndraineRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 					
				break;		
				case "PT Serif":
					$body_font = "'PT Serif', Georgia, Times, serif";
						?>
							<style type="text/css" >
								@font-face {
							    font-family: 'PT Serif';
							    src: url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTF55F-webfont.eot');
							    src: url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTF55F-webfont.eot?#iefix') format('embedded-opentype'),
							         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTF55F-webfont.woff') format('woff'),
							         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTS55F-webfont.ttf') format('truetype'),
							         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Serif/PTF55F-webfont.svg#PTSerifRegular') format('svg');
							    font-weight: normal;
							    font-style: normal;
							   }
							</style>
						<?php 
					break;
				case "PT Sans":
					$body_font = "'PT Sans', Helvetica, Arial, sans-serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'PT Sans';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.eot?#iefix') format('embedded-opentype'),
						         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.woff') format('woff'),
						         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.ttf') format('truetype'),
						         url('<?php echo get_template_directory_uri(); ?>/fonts/PT-Sans/PTS55F-webfont.svg#PTSansRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 
				break;
				case "Puritan 2.0" :
					$body_font = "'Puritan 2.0', Helvetica, Arial, sans-serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'Puritan 2.0';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.eot?#iefix') format('embedded-opentype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.woff') format('woff'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.ttf') format('truetype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Puritan-2.0/Puritan_Regular-webfont.svg#MyndraineRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 					
				break;	
				case "Qumpellka 12" :
					$body_font = "'Qumpellka 12', Georgia, Times, serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'Qumpellka 12';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.eot?#iefix') format('embedded-opentype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.woff') format('woff'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.ttf') format('truetype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Qumpellkano12/QumpellkaNo12-webfont.svg#MyndraineRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 					
				break;
				case "Source Code Pro" :
					$body_font = "'Source Code Pro', Courier, 'Courier New', sans-serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'Source Code Pro';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.eot?#iefix') format('embedded-opentype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.woff') format('woff'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.ttf') format('truetype'),
								 url('<?php echo get_template_directory_uri(); ?>/fonts/Source-Code-Pro/SourceCodePro-Regular-webfont.svg#MyndraineRegular') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 					
				break;				
				case "Titillium":
					$body_font = "Titillium, Helvetica, Arial, sans-serif";
					?>
						<style type="text/css" >
							@font-face {
						    font-family: 'Titillium';
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.eot');
						    src: url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.eot?#iefix') format('embedded-opentype'),
						         url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.woff') format('woff'),
						         url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.ttf') format('truetype'),
						         url('<?php echo get_template_directory_uri(); ?>/fonts/Titillium/TitilliumText25L003-webfont.svg#TitilliumText25L400wt') format('svg');
						    font-weight: normal;
						    font-style: normal;
						   }
						</style>
					<?php 
				break;
			}
		} else {
			$body_font = $header_font;
		}
	} else {
		$body_font_option = sanitize_text_field( panache_get_option( 'panache_standard_body_font' ) );
		switch ($body_font_option) {
			case "default" :
				$body_font = "default";
			break;
			case "Arial" :
				$body_font = "Arial, Helvetica, sans-serif";
			break;
			case "Book Antiqua" :
				$body_font = "'Book Antiqua', 'Palatino Linotype', Palatino, serif";
			break;
			case "Cambria" :
				$body_font = "Cambria, Georgia, serif";
			break;
			case "Comic Sans MS" :
				$body_font = "'Comic Sans MS', sans-serif";
			break;
			case "Georgia" :
				$body_font = "Georgia, serif";
			break;
			case "Tahoma" :
				$body_font = "Tahoma, Geneva, sans-serif";
			break;
			case "Times New Roman" :
				$body_font = "'Times New Roman', Times, serif";
			break;
			case "Trebuchet MS" :
				$body_font = "'Trebuchet MS', Helvetica, sans-serif";
			break;
			case "Verdana" :
				$body_font = "Verdana, Geneva, sans-serif";
			break;
		}
	}
	if( esc_url( panache_get_option( 'panache_custom_google_font' ) ) != '' ) {
		wp_register_style('google_custom', esc_url( panache_get_option( 'panache_custom_google_font' ) ) );
		wp_enqueue_style( 'google_custom');
	}
?>
<style type="text/css" >
	<?php if( $header_font != 'default' ) { ?>
		h1, h2, h3, h4, h5, h6 {font-family:<?php echo $header_font; ?>;}
	<?php } 
	if( $body_font != 'default' ) { ?>
		body {font-family:<?php echo $body_font; ?>;}
	<?php } ?>
</style>