<?php 
/**
 * Footer Template Part File
 * 
 * Template part file that contains the site footer and
 * closing HTML body elements
 *
 * This file is called by all primary template pages
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
 	$panache_showfooter = intval( panache_get_option( 'panache_show_footer' ) );
	$panache_showcopyright = intval( panache_get_option( 'panache_show_copyright_strip' ) );
	$panache_footercols = sanitize_text_field( panache_get_option( 'panache_footer_cols' ) );
	$panache_show_wide_widget =  intval( panache_get_option( 'panache_show_footer_wide_widget' ) );
?>
	<footer id="panache-footer">
		<div id="footer-wrap">
			<?php if( $panache_show_wide_widget == 1 ) { ?>
				<div id="footer-wide-widget">
					<div class="clearfix"></div>
					<?php if ( !dynamic_sidebar('panache_footer_long_sidebar') ) : ?>
									
					<?php endif; ?>
					<div class="clearfix"></div>
				</div>
			<?php }
			if ( $panache_showfooter == 1 ) { ?>
				
				<div class="footer-col-wrap">
					
					<div class="footercol-<?php echo $panache_footercols; ?>-1">
						<?php if ( !dynamic_sidebar('panache_footer_a_sidebar') ) : ?>
							<?php _e('This column is a widget area.','panache'); ?><br/><span class="alert"><?php _e('Add widgets to this Footer, something, anything!','panache'); ?></span>
						<?php endif; ?>
					</div>
					<div class="footercol-<?php echo $panache_footercols; ?>-2">
						<?php if ( !dynamic_sidebar('panache_footer_b_sidebar') ) : ?>
							<?php _e('This column is a widget area.','panache'); ?><br/><span class="alert"><?php _e('Add widgets to this Footer, something, anything!','panache'); ?></span>
						<?php endif; ?>
					</div>
					<div class="footercol-<?php echo $panache_footercols; ?>-3">
						<?php if ( !dynamic_sidebar('panache_footer_c_sidebar') ) : ?>
							<?php _e('This column is a widget area.','panache'); ?><br/><span class="alert"><?php _e('Add widgets to this Footer, something, anything!','panache'); ?></span>
						<?php endif; ?>
					</div>
					<?php if ( $panache_footercols == 4 ) { ?>  	
						<div class="footercol-4-4">
							<?php if ( !dynamic_sidebar('panache_footer_d_sidebar') ) : ?>
								<?php _e('This column is a widget area.','panache'); ?><br/><span class="alert"><?php _e('Add widgets to this Footer, something, anything!','panache'); ?></span>
							<?php endif; ?>
						</div>
					<?php } ?>
					
				</div>
				
			<?php } ?>
			</div>
	</footer>
		
	<?php if ( $panache_showcopyright == 1 ) { ?>
		<div class="clearfix"></div>
		<div id="copyright">
			<div id="copyright-wrap">
				<span class="copyright_c1"><?php echo stripcslashes(panache_get_option('panache_left_copyright_text')) ?></span>
				<span class="copyright_c2"><?php echo stripcslashes(panache_get_option('panache_middle_copyright_text')) ?></span>
				<span class="copyright_c3"><?php echo stripcslashes(panache_get_option('panache_right_copyright_text')) ?></span>
			</div>
		</div>
	<?php } ?>



<?php wp_footer(); ?>
</body>
</html>