<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;
    
/**
 * Header Template Part File
 * 
 * Template part file that contains the HTML document head and 
 * opening HTML body elements, as well as the site header.
 *
 * This file is called by certain template pages
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	
<head>
	
<meta charset=<?php bloginfo('charset'); ?> >

<meta name="viewport" content="width=device-width, initial-scale=1" />

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	
	<?php
		$header_layout_option = sanitize_text_field( panache_get_option( 'panache_header_layout' ) );
		if( $header_layout_option == 'Setup Option 2' ) {
			get_template_part( '/template-parts/header-parts/header', 'setup_2_secondary_nav' ); 
		} else {
			get_template_part( '/template-parts/header-parts/header', 'setup_1_secondary_nav' ); 
		}