<?php
/**
 * Custom functions file
 * 
 * This file contains custom functions for the theme
 * 
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
/**
 * Header Function
 * 
 * panache_header is the functioned called by header.php and is used to 
 * set up the header for the website.
 * 
 * @uses panache_show_logo() in this file
 * @uses panache_header_right_widget() in this file
 * 
 * WordPress functions - see codex :
 * @uses home_url() @uses bloginfo('name') @uses bloginfo('description')
 * @uses dynamic_sidebar() @uses get_header_image() @uses site_url()
 * @uses get_custom_header()
 * 
 */
if( !function_exists( 'panache_header' ) ) {
	function panache_header(){

		$showlogo = intval( panache_get_option( 'panache_show_logo' ) );
		$showtitle = intval( panache_get_option( 'panache_show_blog_title' ) );
		$showtagline = intval( panache_get_option( 'panache_show_blog_description' ) );
		$centered = intval( panache_get_option( 'panache_center_logo' ) );
		
			if ( $showlogo == true && $centered == true && $showtitle == true && $showtagline == true ) {
				?>
					<div class="center-logo-wrap">
						<div class="header-image-center" ><?php panache_show_logo(); ?></div>
						<h1 class="blog-title-center description"><a href="<?php echo esc_url(home_url()); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
						<span class="blog-description-center"><?php bloginfo('description'); ?></span>
					</div>
					
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == true && $centered == true && $showtitle == true && $showtagline == false ) {
				?>
					<div class="center-logo-wrap">
						<div class="header-image-center" >	<?php panache_show_logo(); ?></div>
						<h1 class="blog-title-center no-description"><a href="<?php echo esc_url(home_url()); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
					</div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == true && $centered == true && $showtitle == false && $showtagline == true ) {
				?>
					<div class="center-logo-wrap">
						<div class="header-image-center" >	<?php panache_show_logo(); ?></div> 
						<span class="blog-description-center-no-title"><?php bloginfo('description'); ?></span>
					</div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == true && $centered == true && $showtitle == false && $showtagline == false ) { 
				?>
					<div class="center-logo-wrap">
						<div class="header-image-center" >	<?php panache_show_logo(); ?></div>
					</div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == true && $centered == false && $showtitle == true && $showtagline == true ) {
				?>
					<div class="header-image-left" ><?php panache_show_logo(); ?></div>
					<div class="blog-center-wrap">
						<h1 class="blog-title-center-2 description-2"><a href="<?php echo esc_url(home_url()); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
						<span class="blog-description-center-2"><?php bloginfo('description'); ?></span>
					</div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == true && $centered == false && $showtitle == true && $showtagline == false ) { 
				?>
					<div class="header-image-left" ><?php panache_show_logo(); ?></div>
					<div class="blog-center-wrap">
						<h1 class="blog-title-center-2 no-description-2"><a href="<?php echo esc_url(home_url()); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
					</div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == true && $centered == false && $showtitle == false && $showtagline == false ) {
				?>
					<div class="header-image-left" ><?php panache_show_logo(); ?></div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == true && $centered == false && $showtitle == false && $showtagline == true ) {
				?>
					<div class="header-image-left" ><?php panache_show_logo(); ?></div>
					<div class="blog-center-wrap">
						<span class="blog-description-center-2 no-title"><?php bloginfo('description'); ?></span>
					</div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == false && $showtitle == true && $showtagline == false ) {
				?>
					<div class="center-logo-wrap">
						<h1 class="blog-title-center no-description"><a href="<?php echo esc_url(home_url()); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
					</div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == false && $showtitle == false && $showtagline == true ) {
				?>
					<div class="center-logo-wrap">
						<span class="blog-description-center-no-title"><?php bloginfo('description'); ?></span>
					</div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == false && $showtitle == true && $showtagline == true ) { 
				?>
					<div class="center-logo-wrap">
						<h1 class="blog-title-center description"><a href="<?php echo esc_url(home_url()); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
						<span class="blog-description-center"><?php bloginfo('description'); ?></span>
					</div>
					<?php panache_header_right_widget(); 
			} elseif ( $showlogo == false && $showtitle == false && $showtagline == false ) { //default : $showlogo == false && $showtitle == true && $showtagline == true
				?>
					<div class="header-widget-left">
						<?php if ( !dynamic_sidebar('panache_left_header_sidebar') ) : ?>			
						<?php endif; ?>
					</div>
					<?php panache_header_right_widget(); ?>
					<div class="full-header-image" >
						<?php
						$header_image = get_header_image();
						If ( $header_image ) { ?>
							<a href="<?php echo esc_url(site_url()); ?>/">
								<img class="logo" src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="logo" />
							</a> 
						<?php } ?>
					</div>
				<?php  
			}
	}
}

/**
 * Get Logo and show
 * 
 * This function is called by panache_header().
 * It checks to see if there is a header image from Appearance => Header if there it loads it.
 * If blank then a nothing is loaded.
 * 
 * WordPress Functions used - see WordPress Codex
 * @uses  get_header_image() @uses home_url() @uses header_image()
 * @uses get_custom_header() @uses get_template_directory_uri()
 * 
 */
if( !function_exists( 'panache_show_logo' ) ) {
	function panache_show_logo() {
		$header_image = get_header_image();
		If ( $header_image ) { ?>
			<a href="<?php echo esc_url(home_url()); ?>/">
				<img class="logo" src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="logo" />
			</a>
		<?php }
	}
}
/**
 * Header right widget area helper
 */
if( !function_exists( 'panache_header_right_widget' ) ) {
	function panache_header_right_widget(){ ?>
		
		<div class="header-widget">
			<?php if ( !dynamic_sidebar('panache_right_header_sidebar') ) : ?>
			<?php endif; ?>
		</div>
		
	<?php }
}

/**
 * Header Menu Function
 * 
 * This function sets up the menu for the header. The menu can be set up left, right, 
 * or centered with and without a border
 * 
 * WordPress Functions - See the Codex
 * @uses has_nav_menu() @uses wp_nav_menu()
 */
 
if( !function_exists( 'panache_header_menu' ) ) {
	function panache_header_menu() {

		$menu_location = sanitize_text_field( panache_get_option( 'panache_menu_loc' ) );
		$header_layout_option = sanitize_text_field( panache_get_option( 'panache_header_layout' ) );
		$menu_border = sanitize_text_field( panache_get_option( 'panache_menu_border' ) );
		
		if ( $menu_location == 'right' || $header_layout_option == 'Setup Option 2' ) {
			if(has_nav_menu('primary-nav')){
				wp_nav_menu(
					array(
						'theme_location' => 'primary-nav',
						'container_class' => 'main-nav',
						'container_id' => 'main-menu-right-noborder',
						'menu_class' => 'sf-menu',
						'menu_id' => 'main_menu_ul',
						'fallback_cb' => 'wp_page_menu'
					)
				);
			}
		} else if ( $menu_location == 'left' ) {
			if(has_nav_menu('primary-nav')){
				wp_nav_menu(
					array(
						'theme_location' => 'primary-nav',
						'container_class' => 'main-nav',
						'container_id' => 'main-menu-left-noborder',
						'menu_class' => 'sf-menu',
						'menu_id' => 'main_menu_ul',
						'fallback_cb' => 'wp_page_menu'
					)
				);
			}			
		} else {
			If ( $menu_border == 'menu only' ) {
				if(has_nav_menu('primary-nav')){
					wp_nav_menu(
						array(
							'theme_location' => 'primary-nav',
							'container_class' => 'main-nav',
							'container_id' => 'main-menu-center-border',
							'menu_class' => 'sf-menu',
							'menu_id' => 'main_menu_ul',
							'fallback_cb' => 'wp_page_menu'
						)
					);
				}
			} else {
				if(has_nav_menu('primary-nav')){
					wp_nav_menu(
						array(
							'theme_location' => 'primary-nav',
							'container_class' => 'main-nav',
							'container_id' => 'main-menu-center-noborder',
							'menu_class' => 'sf-menu',
							'menu_id' => 'main_menu_ul',
							'fallback_cb' => 'wp_page_menu'
						)
					);
				}	
			}
		}
		

	}
}

/**
 * Side Menu Function
 * 
 * This function sets up the menu for the side. 
 * 
 * WordPress Functions - See the Codex
 * @uses has_nav_menu() @uses wp_nav_menu()
 */
 
if( !function_exists( 'panache_side_menu' ) ) {
	function panache_side_menu() {
		
		if(has_nav_menu('side-nav')){
			wp_nav_menu(
				array(
					'theme_location' => 'side-nav',
					'container_class' => 'side-nav-class',
					'container_id' => 'side-nav-id',
					'menu_class' => 'sf-menu2 sf-vertical',
					'menu_id' => 'side_menu_ul',
				)
			);
		}
			
	}
}

/**
 * Secondary Menu Function
 * 
 * This function sets up the secondary menu.
 * The secondary menu is used when the side menu is active. 
 * 
 * WordPress Functions - See the Codex
 * @uses has_nav_menu() @uses wp_nav_menu()
 */
 
if( !function_exists( 'panache_secondary_menu' ) ) {
	function panache_secondary_menu() {
		

		$menu_location = sanitize_text_field( panache_get_option( 'panache_menu_loc' ) );
		$header_layout_option = sanitize_text_field( panache_get_option( 'panache_header_layout' ) );
		$menu_border = sanitize_text_field( panache_get_option( 'panache_menu_border' ) );

		if( $menu_location == 'right' || $header_layout_option == 'Setup Option 2') {
			if(has_nav_menu('secondary-nav')){
				wp_nav_menu(
					array(
						'theme_location' => 'secondary-nav',
						'container_class' => 'main-nav',
						'container_id' => 'main-menu-right-noborder',
						'menu_class' => 'sf-menu',
						'menu_id' => 'main_menu_ul',
					)
				);
			}
		} elseif( $menu_location == 'left' ) {
			if(has_nav_menu('secondary-nav')){
				wp_nav_menu(
					array(
						'theme_location' => 'secondary-nav',
						'container_class' => 'main-nav',
						'container_id' => 'main-menu-left-noborder',
						'menu_class' => 'sf-menu',
						'menu_id' => 'main_menu_ul',
						'fallback_cb' => 'wp_page_menu'
					)
				);
			}			
		} else {
			if( $menu_border == 'menu only' ) {
				if(has_nav_menu('secondary-nav')){
					wp_nav_menu(
						array(
							'theme_location' => 'secondary-nav',
							'container_class' => 'main-nav',
							'container_id' => 'main-menu-center-border',
							'menu_class' => 'sf-menu',
							'menu_id' => 'main_menu_ul',
							'fallback_cb' => 'wp_page_menu'
						)
					);
				}
			} else {
				if(has_nav_menu('secondary-nav')){
					wp_nav_menu(
						array(
							'theme_location' => 'secondary-nav',
							'container_class' => 'main-nav',
							'container_id' => 'main-menu-center-noborder',
							'menu_class' => 'sf-menu',
							'menu_id' => 'main_menu_ul',
							'fallback_cb' => 'wp_page_menu'
						)
					);
				}	
			}
		}
		
	}				
}


/* ==============================================================================================
 *                        Filters
 * ============================================================================================== */

/**
 * --------------------HTML Validation Filters ------------------------
 *  
 * the rel tag does not validate it says it does not like the term category
 * Discussion at wordpess.org suggests it is an HTML/W#C issue.Browsers do 
 * not use this attribute in any way. However, search engines can use this 
 * attribute to get more information about a link.
 * 
 * This filter simply searches the content for the rel tag and replaces "category tag"
 *  with "tag"
 * 
 */
if ( !function_exists ('panache_html5_fix_the_category')){//rel tag validation fix
	function panache_html5_fix_the_category($content) { 
		$pattern = '/rel="category tag"/';
		$replacement = 'rel="tag"';
		$content = preg_replace($pattern, $replacement, $content);
		return $content;
	}
	add_filter('the_category','panache_html5_fix_the_category');
}

/**
 * wpautop filter fix 
 *
 * Description: Fix issues when shortcodes are embedded in a block of content that is filtered by wpautop.
 * Author URI: http://www.johannheyne.de
 * 
 */

if ( !function_exists ('panache_shortcode_paragraph_insertion_fix')){//Empty Paragraph Fix
	function panache_shortcode_paragraph_insertion_fix($content) { 
	    $array = array (
	        '<p>[' => '[', 
	        ']</p>' => ']', 
	        ']<br />' => ']',
	        ']<br/>' => ']',
	        '<p></p>' => ''
	    );
	    $content = strtr($content, $array);
	    return $content;
	}
	add_filter('the_content', 'panache_shortcode_paragraph_insertion_fix'); 
}

/*                 Static Home Page Functions
 * ========================================================================================= */

/**
 * Home Page Area Selection Helper
 * 
 * This function is called by template-home.php and is used to set up 
 * the area variables on the the home page
 * 
 * @param $area_select - section selected wor the home page area
 * @return $area_select - simplified form of template part
*/ 
 
 if ( !function_exists ('panache_home_area_selection')){
	function panache_home_area_selection($area_select) {
				
		if( $area_select == 'Section 1' ){
			$area_select = 'one';
		} elseif( $area_select == 'Section 2' ){
			$area_select = 'two';
		} elseif( $area_select == 'Section 3' ){
			$area_select = 'three';
		} elseif( $area_select == 'Section 4' ){
			$area_select = 'four';
		} elseif( $area_select == 'Section 5' ){
			$area_select = 'five';
		} elseif( $area_select == 'Section 6' ){
			$area_select = 'six';
		} elseif( $area_select == 'Section 7' ){
			$area_select = 'seven';
		} elseif( $area_select == 'Section 8' ){
			$area_select = 'eight';
		} else {
			$area_select = 'none';
		}

		return $area_select;
		
	}
}
 
/**
 * Home Page Slider Options
 * 
 * This function is called by template-home.php and is used to set up 
 * the feature section of the home page
 * 
 * @uses get_template_part() WordPress function - see Codex
 * 
 */
if ( !function_exists ('panache_home_feature_options')){
	function panache_home_feature_options() {
		global $panache_feature_option , $panache_feature_category , $panache_feature_widget;
		if ( $panache_feature_option == 'Full slides button navigation') {
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'full_nav' );
		} elseif ( $panache_feature_option == 'Full slides thumbnail navigation') {
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'full_thumb' );
		} elseif ( $panache_feature_option == 'Full slides no navigation') {
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'full_nonav' );
		} elseif ( $panache_feature_option == 'Small slides button navigation' ) {
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'half_nav' );
		} elseif ( $panache_feature_option == 'Small slides thumbnail navigation' ) {
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'half_thumb' );
		} elseif ( $panache_feature_option == 'Small slides no navigation' ) {
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'half_nonav' );		
		} elseif ( $panache_feature_option == 'Center slides button navigation' ) {
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'center_nav' );
		} elseif ( $panache_feature_option == 'Center slides thumbnail navigation' ){
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'center_thumb' );
		} elseif ( $panache_feature_option == 'Center slides no navigation' ){
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'center_nonav' );
		} elseif ( $panache_feature_option == 'Full slides carousel navigation' ){
			get_template_part( '/template-parts/feature_slider-parts/feature_slider', 'carousel_thumb' );
		}

	} 
}

/**
 * Home Page Section Options
 * 
 * This function is called by template-home.php and is used to set up 
 * the optional sections for the static home page
 * 
 * @uses panache_home_area_selection() in this file
 * @uses get_template_part() see WordPress Codex
 * 
 */
if ( !function_exists ('panache_home_page_sections')) {
	function panache_home_page_sections() {

		$area_1 = panache_home_area_selection( sanitize_text_field( panache_get_option( 'panache_home_area_1' ) ) );
		$area_2 = panache_home_area_selection( sanitize_text_field( panache_get_option( 'panache_home_area_2' ) ) );
		$area_3 = panache_home_area_selection( sanitize_text_field( panache_get_option( 'panache_home_area_3' ) ) );
		$area_4 = panache_home_area_selection( sanitize_text_field( panache_get_option( 'panache_home_area_4' ) ) );
		$area_5 = panache_home_area_selection( sanitize_text_field( panache_get_option( 'panache_home_area_5' ) ) );
		$area_6 = panache_home_area_selection( sanitize_text_field( panache_get_option( 'panache_home_area_6' ) ) );
		$area_7 = panache_home_area_selection( sanitize_text_field( panache_get_option( 'panache_home_area_7' ) ) );
		$area_8 = panache_home_area_selection( sanitize_text_field( panache_get_option( 'panache_home_area_8' ) ) );
		
		if( $area_1 != 'none') get_template_part( '/template-parts/static_home-parts/home', $area_1 );
 		if( $area_2 != 'none') get_template_part( '/template-parts/static_home-parts/home', $area_2 );
		if( $area_3 != 'none') get_template_part( '/template-parts/static_home-parts/home', $area_3 );
		if( $area_4 != 'none') get_template_part( '/template-parts/static_home-parts/home', $area_4 );
		if( $area_5 != 'none') get_template_part( '/template-parts/static_home-parts/home', $area_5 );
		if( $area_6 != 'none') get_template_part( '/template-parts/static_home-parts/home', $area_6 );
		if( $area_7 != 'none') get_template_part( '/template-parts/static_home-parts/home', $area_7 );
		if( $area_8 != 'none') get_template_part( '/template-parts/static_home-parts/home', $area_8 );
		
	}
}

/**
 * http://www.linuxjournal.com/article/9585?page=0,0
 * 
 * Validate an email address.
 * Provide email address (raw input)
 * Returns true if the email address has the email
 * address format and the domain exists.
 * 
 */
if ( !function_exists ('panache_validEmail')){    
	function panache_validEmail($email)
	{
		$isValid = true;
		$atIndex = strrpos($email, "@");
		if (is_bool($atIndex) && !$atIndex)
		{
			$isValid = false;
		}
		else
		{
			$domain = substr($email, $atIndex+1);
			$local = substr($email, 0, $atIndex);
			$localLen = strlen($local);
			$domainLen = strlen($domain);
			if ($localLen < 1 || $localLen > 64)
			{
				// local part length exceeded
				$isValid = false;
			}
			else if ($domainLen < 1 || $domainLen > 255)
			{
				// domain part length exceeded
				$isValid = false;
			}
			else if ($local[0] == '.' || $local[$localLen-1] == '.')
			{
				// local part starts or ends with '.'
				$isValid = false;
			}
			else if (preg_match('/\\.\\./', $local))
			{
				// local part has two consecutive dots
				$isValid = false;
			}
			else if (!preg_match('/^[A-Za-z0-9\\-\\.]+$/', $domain))
			{
				// character not valid in domain part
				$isValid = false;
			}
			else if (preg_match('/\\.\\./', $domain))
			{
				// domain part has two consecutive dots
				$isValid = false;
			}
			else if(!preg_match('/^(\\\\.|[A-Za-z0-9!#%&`_=\\/$\'*+?^{}|~.-])+$/', str_replace("\\\\","",$local)))
			{
				// character not valid in local part unless 
				// local part is quoted
				if (!preg_match('/^"(\\\\"|[^"])+"$/', str_replace("\\\\","",$local)))
				{
					$isValid = false;
				}
			}
			if ($isValid && !(checkdnsrr($domain,"MX") || checkdnsrr($domain,"A")))
			{
				// domain not found in DNS
				$isValid = false;
			}
		}
		return $isValid;
	}
}

/**
 * http://www.qualitytuts.com/wordpress-custom-breadcrumbs-without-plugin/
 * 
 * Breadcrumb function
 * To use the function
 * <?php if (function_exists('qt_custom_breadcrumbs')) qt_custom_breadcrumbs(); ?>
 * 
 */
if ( !function_exists ('panache_custom_breadcrumbs')){  
	function panache_custom_breadcrumbs() {
	 	
		$showOnHome = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
		$delimiter = '->'; // delimiter between crumbs
		$home = 'Home'; // text for the 'Home' link
		$showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
		$before = '<span class="current">'; // tag before the current crumb
		$after = '</span>'; // tag after the current crumb
	 
	  global $post;
	  $homeLink = home_url();
	 
	  if (is_front_page()) {
	 
	    if ($showOnHome == 1) echo '<a href="' . $homeLink . '">' . $home . '</a>';
 
	  } elseif (is_home()) {
	  	
		$blog_page_id = get_option('page_for_posts');
		$blog_title = get_page($blog_page_id)->post_title;
	  	
	 	echo '<a href="' . $homeLink . '">' . $home . '</a>'.$delimiter.$before.$blog_title.$after;
		
	  } else {
	 
	    echo '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
	 
	    if ( is_category() ) {
	      $thisCat = get_category(get_query_var('cat'), false);
	      if ($thisCat->parent != 0) echo get_category_parents($thisCat->parent, TRUE, ' ' . $delimiter . ' ');
	      echo $before . 'Archive by category "' . single_cat_title('', false) . '"' . $after;
	 
	    } elseif ( is_search() ) {
	      echo $before . 'Search results for "' . get_search_query() . '"' . $after;
	 
	    } elseif ( is_day() ) {
	      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
	      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
	      echo $before . get_the_time('d') . $after;
	 
	    } elseif ( is_month() ) {
	      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
	      echo $before . get_the_time('F') . $after;
	 
	    } elseif ( is_year() ) {
	      echo $before . get_the_time('Y') . $after;
	 
	    } elseif ( is_single() && !is_attachment() ) {
	      if ( get_post_type() != 'post' ) {
	        $post_type = get_post_type_object(get_post_type());
	        $slug = $post_type->rewrite;
	        echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a>';
	        if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
	      } else {
	        $cat = get_the_category(); $cat = $cat[0];
	        $cats = get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
	        if ($showCurrent == 0) $cats = preg_replace("#^(.+)\s$delimiter\s$#", "$1", $cats);
	        echo $cats;
	        if ($showCurrent == 1) echo $before . get_the_title() . $after;
	      }
	 
	    } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
	      $post_type = get_post_type_object(get_post_type());
	      echo $before . $post_type->labels->singular_name . $after;
	 
	    } elseif ( is_attachment() ) {
	      $parent = get_post($post->post_parent);
	      $cat = get_the_category($parent->ID); $cat = $cat[0];
	      echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
	      echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a>';
	      if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
	 
	    } elseif ( is_page() && !$post->post_parent ) {
	      if ($showCurrent == 1) echo $before . get_the_title() . $after;
	 
	    } elseif ( is_page() && $post->post_parent ) {
	      $parent_id  = $post->post_parent;
	      $breadcrumbs = array();
	      while ($parent_id) {
	        $page = get_page($parent_id);
	        $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
	        $parent_id  = $page->post_parent;
	      }
	      $breadcrumbs = array_reverse($breadcrumbs);
	      for ($i = 0; $i < count($breadcrumbs); $i++) {
	        echo $breadcrumbs[$i];
	        if ($i != count($breadcrumbs)-1) echo ' ' . $delimiter . ' ';
	      }
	      if ($showCurrent == 1) echo ' ' . $delimiter . ' ' . $before . get_the_title() . $after;
	 
	    } elseif ( is_tag() ) {
	      echo $before . 'Posts tagged "' . single_tag_title('', false) . '"' . $after;
	 
	    } elseif ( is_author() ) {
	       global $author;
	      $userdata = get_userdata($author);
	      echo $before . 'Articles posted by ' . $userdata->display_name . $after;
	 
	    } elseif ( is_404() ) {
	      echo $before . 'Error 404' . $after;
	    }
	 
	    if ( get_query_var('paged') ) {
	      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
	      echo __('Page','panache') . ' ' . get_query_var('paged');
	      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
	    }
	 
	  }
	} // end qt_custom_breadcrumbs()
}

/**
 * Helper to validate exclude category list
 * 
 * @return $exclude_ids - list of validated category ids to exclude
 */
if ( !function_exists ('panache_exclude_category_validation')){  
	function panache_exclude_category_validation() {

		$exclude_input = sanitize_text_field( panache_get_option('panache_exclude_ids') );
		
		//Validate Exclude list
		$id_picks = array();
		$id_picks = explode( ',', $exclude_input );
		$counter = 0;
		$filtered_list = '';
		foreach( $id_picks as $pick ) {
			if( intval( $id_picks[$counter] ) > 1 ) {
				$filtered_list .= intval( $id_picks[$counter] ).',';
			}
			$counter++;
		}
		$exclude_ids = trim( $filtered_list , ',');
		
		return $exclude_ids;
		
	}
}

/**
 * Extract URLs from selected content
 *
 * Modified from wp_extract_urls() in /wp-includes/functions.php
 * 
 * Add content between <panache_sel></panache_sel> The function extracts 
 * urls from between these tags and returns the urls in an array
 *
 */
if( !function_exists ( 'panache_extract_urls' ) ) {
	function panache_extract_urls( $content ) {

		$pattern = "/\<panache_sel\>(.*?)\<\/panache_sel\>/s";
		preg_match($pattern, $content, $text_to_search);
		
		preg_match_all(
			"#((?:[\w-]+://?|[\w\d]+[.])[^\s()<>]+[.](?:\([\w\d]+\)|(?:[^`!()\[\]{};:'\".,<>?«»“”‘’\s]|(?:[:]\d+)?/?)+))#",
			$text_to_search[1],
			$post_links
		);
		$post_links = array_unique( array_map( 'html_entity_decode', $post_links[0] ) );

		return array_values( $post_links );

	}
}
/**
 * Extract embed from selected content
 * 
 * Modified from wp_extract_urls() in /wp-includes/functions.php
 * 
 * Add content between <panache_sel></panache_sel>. The function extracts 
 * the content between these tags and then and returns it as a string
 *
 */
if( !function_exists ( 'panache_extract_embed' ) ) {
	function panache_extract_embed( $content ) {
		
		//$embed_string = array();
		$pattern = "/\<panache_sel\>(.*?)\<\/panache_sel\>/s";
		preg_match($pattern, $content, $embed_string);
		if( $embed_string ) {
			if( $embed_string[0] ) $embed_string[0] = str_replace('<panache_sel>','',$embed_string[0]);
			if( $embed_string[0]) $embed_string[0] = str_replace('</panache_sel>','',$embed_string[0]);
			return $embed_string[0];
		} else {
			return $content;
		}
		

	}
}
/**
 * Remove extracted urls from the content and return it for display
 */
if( !function_exists ( 'panache_strip_extracted_content' ) ) {
	function panache_strip_extracted_content( $content ) {
		
		$pattern = "/\<panache_sel\>(.*?)\<\/panache_sel\>/s";
		preg_match($pattern, $content, $text_to_search);
		$content = str_replace($text_to_search,'',$content);
				
		return $content;
		
	}
	add_filter('the_content', 'panache_strip_extracted_content',999);
	add_filter('the_excerpt', 'panache_strip_extracted_content',999);
}

/*
 * Remove hentry from post class and return string to echo
 * 
 */
if( !function_exists ( 'panache_strip_hentry' ) ) {
	function panache_strip_hentry() {
		$post_classes = get_post_class();
		$new_post_classes = 'class="';
		foreach($post_classes as $post_class){
			if($post_class != 'hentry'){
				$new_post_classes .= $post_class.' ';
			}
		}
		$new_post_classes .= '"';
		return $new_post_classes;
	}
}
