<?php
/**
 * Panache 404 Page template part - C_A_B
 * 
 * This template part is called by 404.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_breadcrumbs_option,$panache_page_title_option,$panache_page_title;
$panache_breadcrumbs_option = sanitize_text_field( panache_get_option( 'panache_breadcrumbs' ) );
$panache_page_title_option = sanitize_text_field( panache_get_option( 'panache_404_title' ) );
$panache_page_title = __('Error - Page Not Found','panache');
$sidebar_a = sanitize_text_field( panache_get_option( 'panache_404_sidebar_a' ) );
$sidebar_b = sanitize_text_field( panache_get_option('panache_404_sidebar_b') );
	
get_header('primary_nav'); ?>

<?php get_template_part( '/template-parts/partials', 'page_title_no_post' ); ?>
	
<div id="main-section">
	<div id="content-wrap">
		
		<?php get_template_part( '/template-parts/partials', 'breadcrumbs_below_left' ); ?>

		<div id="three-column-content-left">
			<?php get_template_part( '/template-parts/404-parts/404', 'content' ); ?>
		</div>
			
		<aside id="three-column-sidebar-right">
			<?php get_template_part( '/template-parts/sidebars/sidebar', $sidebar_a ); ?>
		</aside>
		
		<aside id="three-column-sidebar-right-right">
			<?php get_template_part( '/template-parts/sidebars/sidebar', $sidebar_b ); ?>
		</aside>
		
	</div> <!-- close content-wrap div -->
</div> <!-- close main-section div -->

<div class="clearfix"></div>

<?php get_footer(); ?>