<?php
/**
 * Panache 404 Page template part - M_C
 * 
 * This template part is called by 404.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_breadcrumbs_option,$panache_page_title_option,$panache_page_title;
$panache_breadcrumbs_option = sanitize_text_field( panache_get_option( 'panache_breadcrumbs' ) );
$panache_page_title_option = sanitize_text_field( panache_get_option( 'panache_404_title' ) );
$panache_page_title = __('Error - Page Not Found','panache');
$sidebar = sanitize_text_field( panache_get_option( 'panache_404_sidebar_a' ) );
$side_menu_title = sanitize_text_field( panache_get_option( 'panache_side_menu_title' ) );
	
get_header('secondary_nav'); ?>

<?php get_template_part( '/template-parts/partials', 'page_title_no_post' ); ?>
	
<div id="main-section">
	<div id="content-wrap">
		
		<?php get_template_part( '/template-parts/partials', 'breadcrumbs_below_right' ); ?>

		<div id="widecolumn-right">
			<?php get_template_part( '/template-parts/404-parts/404', 'content' ); ?>
		</div>
		
		<aside id="sidebar-left">
		
			<?php if( $side_menu_title != '') {
				 echo '<h3 class="side-menu-title">'.$side_menu_title.'</h3>'; 
			} else {
				echo '<br/>';
			} ?>
		
			<nav id="side-menu">
				<?php panache_side_menu(); ?>
			</nav>
			
			<div class="clearfix"></div>
			<br/>
		
			<?php get_template_part( '/template-parts/sidebars/sidebar', $sidebar ); ?>
			
		</aside>

		<div class="clearfix"></div>
		<br/>
		
	</div> <!-- close content-wrap div -->
</div> <!-- close main-section div -->

<div class="clearfix"></div>

<?php get_footer(); ?>