<?php
/**
 * Panache author Page template part - M_C_B
 * 
 * This template part is called by author.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_breadcrumbs_option,$panache_page_title_option,$panache_page_title,$curauth;
$panache_breadcrumbs_option = sanitize_text_field( panache_get_option( 'panache_breadcrumbs' ) );
$panache_page_title_option = sanitize_text_field( panache_get_option( 'panache_author_title' ) );
$sidebar_a = sanitize_text_field( panache_get_option( 'panache_author_sidebar_a' ) );
$sidebar_b = sanitize_text_field( panache_get_option( 'panache_author_sidebar_b' ) );
$curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
$panache_page_title = __('Posts by ','panache').$curauth->display_name;
$side_menu_title = sanitize_text_field( panache_get_option( 'panache_side_menu_title' ) );
	
get_header('secondary_nav'); ?>

<?php get_template_part( '/template-parts/partials', 'page_title_no_post' ); ?>
	
<div id="main-section">
	<div id="content-wrap">
		
		<?php get_template_part( '/template-parts/partials', 'breadcrumbs_below_center' ); ?>

		<div id="three-column-wrap">
			
			<div id="three-column-content-center">
							
				<?php 
				
					get_template_part( '/template-parts/author-parts/author', 'bio' );
					
					get_template_part( '/template-parts/partials', 'general_posts' );
					
					get_template_part( '/template-parts/partials', 'page_navi' ); 
				
				?>
				
			</div>
			
			<aside id="three-column-sidebar-center-left">
				
				<?php if( $side_menu_title != '') {
					 echo '<h3 class="side-menu-title">'.$side_menu_title.'</h3>'; 
				} else {
					echo '<br/>';
				} ?>
		
				<nav id="side-menu">
					<?php panache_side_menu(); ?>
				</nav>
				
				<div class="clearfix"></div>
				<br/>
		
				<?php get_template_part( '/template-parts/sidebars/sidebar', $sidebar_a ); ?>
			
			</aside>
			
		</div> <!-- three-column-wrap end div -->
		
		<aside id="three-column-sidebar-center-right">
			<?php get_template_part( '/template-parts/sidebars/sidebar', $sidebar_b ); ?>
		</aside>
		
		<div class="clearfix"></div>
		<br/>
		
	</div> <!-- close content-wrap div -->
</div> <!-- close main-section div -->

<div class="clearfix"></div>

<?php get_footer(); ?>