<?php
/**
 * Panache Blog Page template part - A_C
 * 
 * This template part is called by home.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_breadcrumbs_option,$panache_page_title_option;
$panache_breadcrumbs_option = sanitize_text_field( panache_get_option( 'panache_breadcrumbs' ) );
$panache_page_title_option = sanitize_text_field( panache_get_option('panache_blog_title_option') );
$sidebar = sanitize_text_field( panache_get_option( 'panache_blog_sidebar_a' ) );
$post_style = sanitize_text_field( panache_get_option( 'panache_blog_style' ) );

get_header('primary_nav'); ?>

<?php get_template_part( '/template-parts/partials', 'page_title' ); ?>
	
<div id="main-section">
	<div id="content-wrap">
		
		<?php get_template_part( '/template-parts/partials', 'breadcrumbs_below_right' ); ?>

		<div id="widecolumn-right">
			
			<?php 
			
				get_template_part( '/template-parts/blog-parts/blog', 'feature_slider' );
				
				if( $post_style == 'two column grid' ) {
					get_template_part( '/template-parts/blog-parts/blog', 'two_col_posts' ); 
				} else if( $post_style == 'three column grid' ) {
					get_template_part( '/template-parts/blog-parts/blog', 'three_col_posts' ); 
				} else {
					get_template_part( '/template-parts/blog-parts/blog', 'one_col_posts' ); 
				}
				
			?>
				
		</div>
		
		<aside id="sidebar-left">
			<?php get_template_part( '/template-parts/sidebars/sidebar', $sidebar ); ?>
		</aside>
			
	</div> <!-- close content-wrap div -->
</div> <!-- close main-section div -->
	
<div class="clearfix"></div>

<?php get_footer();