<?php
/**
 * Template Part, blog custom query and posts - 1 column posts
 *
 * used in home.php, called by the blog-parts layouts
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
$temp = $wp_query;
$wp_query = null;
$wp_query = new WP_Query();
/*
 * WP_Query is used to get the posts....allowing the filtering of posts 
 * the user does not want to include on the blog page. For WordPress 3.5 
 * and above the meta query excludes those posts selected in the custom 
 * field for the post. A second option works for all versions of WordPress.
 * Create a tag called "exclude" and tag the post with it.
 */
$tags = get_tags();
$exclude_tag_id = 0;
foreach ($tags as $tag){
	if( $tag->slug == 'exclude') {
		$exclude_tag_id =  $tag->term_id;
	}
}
 $args = array(
				'post_status' => 'publish',
				'tag__not_in' => array($exclude_tag_id),
				'meta_query' => array(
					array(
						'key' => 'panache_metabox_exclude_post',
						'compare' => 'NOT EXISTS'
						)
					),
				'paged' => $paged
				);
$wp_query -> query( $args);
if ($wp_query->have_posts()) : while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class('panache-one-col'); ?> >
		<?php panache_post_format(); ?>
	</article>
	<div class="clearfix"></div>
	<div class="bottom-line-1"></div>
<?php endwhile;

get_template_part( '/template-parts/partials', 'page_navi' );

$wp_query = null;
$wp_query = $temp;
wp_reset_query();

else :
endif; 