<?php
/**
 * Template Part, blog custom query and posts - 3 column grid
 *
 * used in home.php, called by the blog-parts layouts
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
$temp = $wp_query;
$wp_query = null;
$wp_query = new WP_Query();
/*
 * WP_Query is used to get the posts....allowing the filtering of posts 
 * the user does not want to include on the blog page. For WordPress 3.5 
 * and above the meta query excludes those posts selected in the custom 
 * field for the post. A second option works for all versions of WordPress.
 * Create a tag called "exclude" and tag the post with it.
 */
$tags = get_tags();
$exclude_tag_id = 0;
foreach ($tags as $tag){
	if( $tag->slug == 'exclude') {
		$exclude_tag_id =  $tag->term_id;
	}
}
 $args = array(
				'post_status' => 'publish',
				'tag__not_in' => array($exclude_tag_id),
				'meta_query' => array(
					array(
						'key' => 'panache_metabox_exclude_post',
						'compare' => 'NOT EXISTS'
						)
					),
				'paged' => $paged
				);
$wp_query -> query( $args);

// first column
$post_counter = 0; ?>
<div class="panache-three-col-1" >

	<?php if ($wp_query->have_posts()) : while ($wp_query->have_posts()) : $wp_query->the_post();
	
		if( $post_counter === 0 || is_int( $post_counter/3 ) ) { ?>
			
			<article id="post-col-1-<?php the_ID(); ?>" <?php post_class('panache-three-wrap-all panache-three-wrap-1'); ?> data-order="<?php echo $post_counter; ?>">

				<?php panache_grid_post_format(); ?>
			
			</article>
				
		<?php }
		
		$post_counter ++;
		
	endwhile;
	else :
	endif; ?>

</div>


<?php //Second Column
$post_counter = 0; ?>
<div class="panache-three-col-2">
	
	<?php if ($wp_query->have_posts()) : while ($wp_query->have_posts()) : $wp_query->the_post();
	
		if( $post_counter === 1 || is_int( ($post_counter-1)/3 ) ) { ?>

			<article id="post-col-2-<?php the_ID(); ?>" <?php post_class('panache-three-wrap-all panache-three-wrap-2'); ?> data-order="<?php echo $post_counter; ?>" >

				<?php panache_grid_post_format(); ?>
			
			</article>
				
		<?php } 
		
		$post_counter ++;
		
	endwhile;
	else :
	endif; ?>
	
</div>

<?php //Third Column
$post_counter = 0; ?>
<div class="panache-three-col-3">
	
	<?php if ($wp_query->have_posts()) : while ($wp_query->have_posts()) : $wp_query->the_post();
	
		if( $post_counter === 2 || is_int( ($post_counter+1)/3 ) ) { ?>

			<article id="post-col-3-<?php the_ID(); ?>" <?php post_class('panache-three-wrap-all panache-three-wrap-3'); ?> data-order="<?php echo $post_counter; ?>" >

				<?php panache_grid_post_format(); ?>
			
			</article>
				
		<?php } 
		
		$post_counter ++;
		
	endwhile;
	else :
	endif; ?>
	
</div>

<?php
	get_template_part( '/template-parts/partials', 'page_navi' );
	
	$wp_query = null;
	$wp_query = $temp;
	wp_reset_query();