<?php
/**
 * Panache Home Page template part - full slider - carousel navigation
 * 
 * This template part is called by panache_home_feature_options()
 * located in panache-custom-functions.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_feature_category, $post;

$panache_flex_effect = sanitize_text_field( panache_get_option('panache_flex_slider_effect' ) );
$panache_flex_pause = sanitize_text_field( panache_get_option('panache_flex_slider_pause' ) );
$panache_flex_trans = sanitize_text_field( panache_get_option('panache_flex_slider_trans' ) );
$panache_flex_auto = intval( panache_get_option('panache_flex_slider_auto' ) );
 
$category_ID = get_cat_ID($panache_feature_category);		
$args = array('category'=>$category_ID,'numberposts'=>999);
$custom_posts = get_posts($args);

if ($category_ID !== 0 && $custom_posts){
	
	echo '<div class="flexslider-wrapper">';
	
		echo '<div id="flexslider-carousel" class="flexslider">';
			echo '<ul class="slides">';
			
				$panache_feature_pic_count = 0;
				
				foreach($custom_posts as $post) : setup_postdata($post);
				
					if ( has_post_thumbnail() ) {
						
						$panache_feature_pic_count ++;
						
						echo '<li>';
						
							$thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID),'wide_thumbnail') ;
							$image_url = $thumb[0];
												 		
					 		//Set up the link
				 			echo '<img src="'.$image_url.'" title="" alt="flex thumb" />';
						
						echo '</li>';
						
					}
					
				endforeach;
					
			echo '</ul>';
		echo '</div>';
		
		// slider
		echo '<div id="flexslider-feature" class="flexslider" data-flex_trans="'.esc_attr( $panache_flex_trans ).'" data-flex_pause="'.esc_attr( $panache_flex_pause ).'" data-flex_effect="'.esc_attr( $panache_flex_effect ).'" data-flex_auto="'.esc_attr( $panache_flex_auto ).'" >';
			echo '<ul class="slides">';
			
			$panache_feature_pic_count = 0;
			
			foreach($custom_posts as $post) : setup_postdata($post);
					$link_to_post = intval( get_post_meta($post->ID,'panache_metabox_link_to_post',true) == ''? false : get_post_meta($post->ID,'panache_metabox_link_to_post',true) );
					$link_to_image = intval( get_post_meta($post->ID,'panache_metabox_link_to_image',true) == ''? false : get_post_meta($post->ID,'panache_metabox_link_to_image',true) );
					$custom_feature_link = esc_url( get_post_meta($post->ID,'panache_custom_feature_link',true) == ''? false : get_post_meta($post->ID,'panache_custom_feature_link',true) );
					$include_feature_title = intval( get_post_meta($post->ID,'panache_metabox_include_feature_title',true) == ''? false : get_post_meta($post->ID,'panache_metabox_include_feature_title',true) ); 
					if ( has_post_thumbnail() ) {
						
						$panache_feature_pic_count ++;
						
						echo '<li>';
						
							$thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID),'large') ;
							$image_url = $thumb[0];
							$title = $include_feature_title == false? get_post(get_post_thumbnail_id())->post_excerpt : the_title_attribute('echo=0');
					 		if( $title == '' ) {
					 			$imagetitle = '';
								$imagealt = 'flexslider image';
							} else {
								$imagetitle = $title;
								$imagealt = $title;
							}
					 		
							//Set up the link
					 		if( $link_to_post == true ) {
					 			echo '<a href="'.get_permalink().'" title="'.the_title_attribute(array('echo' => false)).'"><img src="'.$image_url.'" title="'.$imagetitle.'" alt="'.$imagealt.'" /></a>';
					 		} elseif ( $link_to_image == true ) {
					 			echo '<a href="'.$image_url.'" title="'.the_title_attribute(array('echo' => false)).'"><img src="'.$image_url.'" title="'.$imagetitle.'" alt="'.$imagealt.'" /></a>';
					 		} elseif ( $custom_feature_link != false ) {
					 			echo '<a href="'.$custom_feature_link.'" title="'.the_title_attribute(array('echo' => false)).'"><img src="'.$image_url.'" title="'.$imagetitle.'" alt="'.$imagealt.'" /></a>';
					 		} else {
					 			echo '<img src="'.$image_url.'" title="'.$imagetitle.'" alt="'.$title.'" />';
					 		}
							
							If( $include_feature_title = true ) {
								if( $title != '' ){
									echo '<p class="flex-caption">'.$title.'</p>';
								}
							}
						
						echo '</li>';
						
					}
					
				endforeach;
			
			echo '</ul>';
		echo '</div>';
		
		
		
	echo '</div>';
	
} else {
	echo '<div class="error">'._e('You have not set up your Feature posts so I can not find any images - see user documentation.','panache').'</div>';
}
			
if ($panache_feature_pic_count == 0){
		echo '<div class="error">';
		echo '<h3>'.__('Error: There were no feature images found?','panache').'</h3>';
		echo '</div>';
}