<?php
/**
 * Panache Home Page template part - half slider-button navigation
 * 
 * This template part is called by panache_home_feature_options()
 * located in panache-custom-functions.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_feature_category, $panache_feature_widget, $post;

$panache_nivo_effect = sanitize_text_field( panache_get_option( 'panache_nivo_slider_effect' ) );
$panache_nivo_pause = sanitize_text_field( panache_get_option( 'panache_nivo_slider_pause' ) );
$panache_nivo_trans = sanitize_text_field( panache_get_option( 'panache_nivo_slider_trans' ) );
 
$category_ID = get_cat_ID($panache_feature_category);		
$args = array('category'=>$category_ID,'numberposts'=>999);
$custom_posts = get_posts($args);
?>
<div class="half-slider-wrapper theme-default">
	
	<div class="ribbon"></div>
	
	<div id="half-slider" data-panache_trans="<?php echo esc_attr( $panache_nivo_trans ); ?>" data-panache_speed="<?php echo esc_attr( $panache_nivo_pause ); ?>" data-panache_effect="<?php echo esc_attr( $panache_nivo_effect ); ?>">

		<?php
				
			if ($category_ID !== 0 && $custom_posts){
				$panache_feature_pic_count = 0;
				foreach($custom_posts as $post) : setup_postdata($post);
					$link_to_post = intval( get_post_meta($post->ID,'panache_metabox_link_to_post',true) == ''? false : get_post_meta($post->ID,'panache_metabox_link_to_post',true) );
					$link_to_image = intval( get_post_meta($post->ID,'panache_metabox_link_to_image',true) == ''? false : get_post_meta($post->ID,'panache_metabox_link_to_image',true) );
					$custom_feature_link = esc_url( get_post_meta($post->ID,'panache_custom_feature_link',true) == ''? false : get_post_meta($post->ID,'panache_custom_feature_link',true) );
					$include_feature_title = intval( get_post_meta($post->ID,'panache_metabox_include_feature_title',true) == ''? false : get_post_meta($post->ID,'panache_metabox_include_feature_title',true) ); 
					if ( has_post_thumbnail() ) {
						
						$panache_feature_pic_count ++;
						$thumb2 = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID),'full') ;
						$image_url = $thumb2[0];
						$title = $include_feature_title == false? get_post(get_post_thumbnail_id())->post_excerpt : the_title_attribute('echo=0');
				 		
				 		//Set up the link
				 		if( $link_to_post == true ) {
				 			echo '<a href="'.get_permalink().'" title="'.the_title_attribute(array('echo' => false)).'"><img src="'.$image_url.'" title="'.$title.'" alt="'.$title.'" /></a>';
				 		} elseif ( $link_to_image == true ) {
				 			echo '<a href="'.$image_url.'" title="'.the_title_attribute(array('echo' => false)).'"><img src="'.$image_url.'" title="'.$title.'" alt="'.$title.'" /></a>';
				 		} elseif ( $custom_feature_link != false ) {
				 			echo '<a href="'.$custom_feature_link.'" title="'.the_title_attribute(array('echo' => false)).'"><img src="'.$image_url.'" title="'.$title.'" alt="'.$title.'" /></a>';
				 		} else {
				 			echo '<img src="'.$image_url.'" title="'.$title.'" alt="'.$title.'" />';
				 		}
						
					}
					
				endforeach;
				
				echo '</div>';
				echo '</div>';
			} else {
				echo '<div class="error">'._e('You have not set up your Feature posts so I can not find any images - see user documentation.','panache').'</div>';
			}
			
			if ($panache_feature_pic_count == 0){
					echo '<div class="error">';
					echo '<h3>'.__('Error: There were no feature images found?','panache').'</h3>';
					echo '</div>';
			}
			
			echo '<div class="feature-right">';
				get_template_part( '/template-parts/sidebars/sidebar', $panache_feature_widget );
			echo '</div>';