<?php
/**
 * Panache Header template part - setup_1_secondary_nav
 * 
 * This template part is called by header-primary_nav.php and by header-secondary_nav.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
?>
<header class="header1-wide">
	<div class="header1-wrap" >
		<?php panache_header(); ?>
	</div>
</header>
<header class="nav-wide">
	<?php if ( sanitize_text_field( panache_get_option('panache_menu_border') == 'full width' ) ) { ?>
		<div class="thin-border"></div>
		<nav class="nav-container" role="navigation">
			<h2 class="screen-reader-text"><?php _e('Main Navigation' , 'panache' ); ?></h2>
			<div id="panache-mobile-button-2"></div>
			<div id="panache-mobile-button-1"></div>
			<?php panache_secondary_menu() ?>
		</nav>
		<div class="panache-mobile-nav-container">
			<div id="panache-mobile-menu-2"></div>
			<div id="panache-mobile-menu-1"></div>
		</div>
		<div class="thin-border"></div>
	<?php } else { ?>
		<nav class="nav-container" role="navigation">
			<h2 class="screen-reader-text">Main Navigation</h2>
			<div id="panache-mobile-button-2"></div>
			<div id="panache-mobile-button-1"></div>
			<?php panache_secondary_menu() ?>
		</nav>
		<div class="panache-mobile-nav-container">
			<div id="panache-mobile-menu-2"></div>
			<div id="panache-mobile-menu-1"></div>
		</div>
	<?php }?>
	<div class="clearfix"></div>
</header>