<?php
/**
 * Template Part, blog custom query and posts
 *
 * used in index.pho and template-feature-blog.php
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_breadcrumbs_option,$panache_page_title_option;

if( is_home()== true && is_front_page() == true ) {
	$panache_page_title = esc_attr(panache_get_option('panache_blog_title'));
} elseif( is_home() == true && is_front_page() == false ) {
	$panache_page_title = esc_attr(panache_get_option('panache_blog_title'));
} else {
	$panache_page_title = get_the_title();
}

if ( $panache_page_title_option !== 'no title' && !post_password_required() ) { ?>
	
	<div id="page-title-wide" >
		<div class="page-title-wrap">
		
		<?php 

			if( $panache_page_title_option === 'right title' ){

				echo '<h1 class="right-title entry-title">'.$panache_page_title.'</h1>';
				
				if( $panache_breadcrumbs_option === 'within title - left and right titles only' ) {
					echo '<div class="ka-breadcrumbs-left">';
					panache_custom_breadcrumbs();
					echo '</div>';
				}
				
			} else if ( $panache_page_title_option === 'center title' ) {
	
				echo '<h1 class="center-title entry-title">'.$panache_page_title.'</h1>';

			} else {

				echo '<h1 class="left-title entry-title">'.$panache_page_title.'</h1>';

				if( $panache_breadcrumbs_option === 'within title - left and right titles only' ) {
					echo '<div class="ka-breadcrumbs-right">';
					panache_custom_breadcrumbs();
					echo '</div>';
				}
				
			} 
			
		?>
		
		</div>
	</div>
	<div class="clearfix"></div>
	
<?php } else { //page title option = no title
		echo '<h1 class="screen-reader-text">'.$panache_page_title.'</h1>';
}