<?php
/**
 * Template Part, partials-page_title-no-post.php
 *
 * used where title is set by the calling template part,
 * rather  then taking the title from the post title
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_breadcrumbs_option,$panache_page_title_option,$panache_page_title;

if ( $panache_page_title_option !== 'no title' && !post_password_required() ) { ?>
	
	<div id="page-title-wide" >
		<div class="page-title-wrap">
		
		<?php 

			if( $panache_page_title_option === 'right title' ){
				
				echo '<h1 class="right-title entry-title">'.$panache_page_title.'</h1>';
				
				if( $panache_breadcrumbs_option === 'within title - left and right titles only' ) {
					echo '<div class="ka-breadcrumbs-left">';
					panache_custom_breadcrumbs();
					echo '</div>';
				}
				
			} else if ( $panache_page_title_option === 'center title' ) {

				echo '<h1 class="center-title entry-title">'.$panache_page_title.'</h1>';

			} else {

				echo '<h1 class="left-title entry-title">'.$panache_page_title.'</h1>';

				if( $panache_breadcrumbs_option === 'within title - left and right titles only' ) {
					echo '<div class="ka-breadcrumbs-right">';
					panache_custom_breadcrumbs();
					echo '</div>';
				}
				
			}

		?>
		
		</div>
	</div>
	
	<div class="clearfix"></div>
	
<?php } else {
	echo '<h1 class="screen-reader-text">'.$panache_page_title.'</h1>';
}
