<?php
/**
 * Template Part, portfolio setup
 * This file is the Singe Page template file, which is output a single post
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_exclude_page_title,$panache_portfolio_columns;
$panache_portfolio_columns = sanitize_text_field( ( get_post_meta($post->ID,'panache_portfolio_columns',true) == ''? false : get_post_meta($post->ID,'panache_portfolio_columns',true) ) );

if (have_posts()) : while (have_posts()) : the_post(); ?>

	<div id="post-<?php the_ID(); ?>" <?php echo panache_strip_hentry(); ?>>
		
		<div class="portfolio-post entry-content">

			<?php the_content('Read more'); ?>
			
		</div>
	</div>
				
<?php endwhile; else : endif;
			
if( $panache_portfolio_columns == "1 column" ) {
	get_template_part( '/template-parts/portfolio-parts/portfolio', 'one' );
} else if( $panache_portfolio_columns == "2 columns" ) {
	get_template_part( '/template-parts/portfolio-parts/portfolio', 'two' );
} else if( $panache_portfolio_columns == "3 columns" ) {
	get_template_part('/template-parts/portfolio-parts/portfolio', 'three' );
} else if( $panache_portfolio_columns == "4 columns" ) {
	get_template_part( '/template-parts/portfolio-parts/portfolio', 'four' );
} else if( $panache_portfolio_columns == "fullwidth" ) {
	get_template_part( '/template-parts/portfolio-parts/portfolio', 'full' );
}