<?php
/**
 * Panache Portfolio Two Column template part
 *
 * This template part is called by template-portfolio-side.php or template-portfolio.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 *
 */
$category =  sanitize_text_field( ( get_post_meta($post->ID,'panache_portfolio_category',true) == ''? false : get_post_meta($post->ID,'panache_portfolio_category',true) ) );
$display_post_content = intval( ( get_post_meta($post->ID,'panache_metabox_include_post_content',true) == ''? false : get_post_meta($post->ID,'panache_metabox_include_post_content',true) ) );
$display_post_content_title = intval( ( get_post_meta($post->ID,'panache_metabox_include_post_content_title',true) == ''? false : get_post_meta($post->ID,'panache_metabox_include_post_content_title',true) ) );
$display_image_caption = intval( ( get_post_meta($post->ID,'panache_metabox_include_image_caption',true) == ''? false : get_post_meta($post->ID,'panache_metabox_include_image_caption',true) ) );
$display_image_description = intval( ( get_post_meta($post->ID,'panache_metabox_include_image_description',true) == ''? false : get_post_meta($post->ID,'panache_metabox_include_image_description',true) ) );

$category_ID = get_cat_ID( $category );
global $post,$panache_feature_pic_count;
$args = array('category'=>$category_ID,'numberposts'=>999);
$custom_posts = get_posts($args);
			
if ($category_ID !== 0 && $custom_posts){
	
	$panache_feature_pic_count == 0;
	
	echo '<div class="portfolio-two-column-wrap">';

		foreach($custom_posts as $post) : setup_postdata($post);
		
			//get the switches to exclude a feature image link or customize the link
			$link_to_post = intval( get_post_meta($post->ID,'panache_metabox_link_to_post',true) == ''? false : get_post_meta($post->ID,'panache_metabox_link_to_post',true) );
			$link_to_image = intval( get_post_meta($post->ID,'panache_metabox_link_to_image',true) == ''? false : get_post_meta($post->ID,'panache_metabox_link_to_image',true) );
			$custom_feature_link = esc_url( get_post_meta($post->ID,'panache_custom_feature_link',true) == ''? false : get_post_meta($post->ID,'panache_custom_feature_link',true) );
			
			// throw in a divider line
			if( is_int( $panache_feature_pic_count/2 ) && has_post_thumbnail() ){
				echo '<div class="clearfix" ></div>';
				if ( $panache_feature_pic_count != 0 ) echo '<div class="thin-border"></div>';
			}
			
			if (has_post_thumbnail()) {
				
				if( $panache_feature_pic_count === 0 || is_int( $panache_feature_pic_count/2 ) ) {
					echo '<div class="portfolio-two-column left-col">';
				} else {
					echo '<div class="portfolio-two-column right-col">';
				}
				
					$panache_feature_pic_count ++;
					
					echo '<div class="image-container">';
					
						//Set up the link
				 		if( $link_to_post == true ) {
				 			echo '<a href="';
								the_permalink(); echo '"';
								echo ' title="';the_title_attribute();
								echo '" >';
		 						the_post_thumbnail('large');
							echo '</a>';
				 		} elseif ( $link_to_image == true ) {
				 			$image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');	
				 			echo '<a href="';
								echo $image_url[0].'"';
								echo ' title="';the_title_attribute();
								echo '" >';
		 						the_post_thumbnail('large');
							echo '</a>';
				 		} elseif ( $custom_feature_link != false ) {
				 			echo '<a href="';
								echo $custom_feature_link;
								echo '"';
								echo ' title="';the_title_attribute(); echo '" >';
			 					the_post_thumbnail('large');
							echo '</a>';
				 		} else {
				 			the_post_thumbnail('large');
				 		}
						
					echo '</div>';
	
					if( $display_post_content_title == 1 ) {
						
						$content_title = the_title_attribute('echo=0');
						echo '<h3>';
							echo $content_title;
						echo '</h3>';
					}
					
					if( $display_post_content == 1 ) {
							
						echo '<div class="display-post">';
							$post_content = get_the_content();
							$post_content = apply_filters('the_content', $post_content);
							echo $post_content;
						echo '</div>';
							
					}
					
					if( $display_image_caption == 1 ) {
						echo '<div class="display-caption">';
							$image_caption = get_post(get_post_thumbnail_id())->post_excerpt;
							echo '<h3>';
								echo $image_caption;
							echo '</h3>';
						echo '</div>';
					}
					
					if( $display_image_description == 1 ) {
						echo '<div class="display-description">';
							$image_description = get_post(get_post_thumbnail_id())->post_content;
							echo $image_description;
						echo '</div>';
					}
				
				echo '</div>';
			}
	
		endforeach;
		
	echo '</div>';
	
} else {
	echo '<div class="portfolio-error">';
	echo '<h3>'.__('Error: no posts or categories are wrong!','panache').'</h3>';
	echo '</div>';
}

if ($panache_feature_pic_count == 0){
	echo '<div class="portfolio-error">';
	echo '<h3>'.__('Error: There were no feature images found?','panache').'</h3>';
	echo '</div>';
}

?>
<div class="clearfix" ></div>