<?php
/**
 * Panache Post Format Aside
 *
 * The Aside Post Format is typically styled without a title. Similar to a Facebook note update.
 * In my case I have excluded all links, meta (except author), and the title. Only content is shown.
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

$display_post_icon = intval( panache_get_option( 'panache_display_post_icons' ) );
$display_post_author = intval( panache_get_option( 'panache_author_in_blog' ) );
?>
<div class="post-wrap-aside">

	<?php if ( $display_post_icon == 1 ) { ?>
			
			<div class="post-stamp">
				
				<div class="post-stamp-date">
					<span class="post-stamp-date-day"><?php the_time('d'); ?></span>
					<span class="post-stamp-date-month"><?php the_time('M'); ?></span>
					<span class="post-stamp-date-year"><?php the_time('Y'); ?></span>
				</div>
				
				<div class="post-stamp-icon">
					<i class="post-icon-format fa fa-file-text" title="Aside Post"></i>
				</div>
				
			</div>
		
	<?php } ?>
	
	<div class="post-wrap-aside-content">
		
		<div class="screen-reader-text post-header">
			
			<h2 class="post-title entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
				<?php panache_comments_link(); ?>
			</h2>
		
			<?php panache_post_metatop(); ?>
			
		</div>
	
		<div class="aside-entry entry-content">
			
			<?php the_content(__('Read more','panache')); ?>
			
			<div class="aside-sticky">&nbsp;</div>
			
			<?php if($display_post_author == 1) { ?>
				<span class="vcard author post-author"><span class="author fn"><?php the_author_posts_link(); ?></span></span> 
			<?php } else { ?>
				<span class="screen-reader-text vcard author post-author"><span class="author fn"><?php the_author_posts_link(); ?></span></span> 
			<?php } ?>

			<span class="screen-reader-text updated"><?php the_time(get_option('date_format')); ?></span>

		</div>
		
		<?php panache_post_metabottom( 'aside' ); ?>
		
	</div>
	
</div>