<?php
/**
 * Panache Post Format Audio
 *
 * The Audio Post Format includes one or more audio tracks. The format is : 
 * <cite>Audio Title <audio src="http://audio link" preload="auto" /></cite>
 * Audio.js is used to display the audio track for the visitor to play. If it is not 
 * enabled this post format should not be used. It will omly play mp3 files at this time.
 * Alternatively use a standard <a> tag and the formatting will be similar.
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

$display_post_icon = intval( panache_get_option( 'panache_display_post_icons' ) );
$use_excerpts = intval( panache_get_option( 'panache_use_excerpts' ) );
?>
<div class="post-wrap-audio">
	
	<?php if ( $display_post_icon == 1 ) { ?>
		
		<div class="post-stamp">
			
			<div class="post-stamp-date">
				<span class="post-stamp-date-day"><?php the_time('d'); ?></span>
				<span class="post-stamp-date-month"><?php the_time('M'); ?></span>
				<span class="post-stamp-date-year"><?php the_time('Y'); ?></span>
			</div>
			
			<div class="post-stamp-icon">
				<i class="post-icon-format fa fa-music" title="Audio Post"></i>
			</div>
			
		</div>
	
	<?php } ?>
	
	<div class="post-wrap-audio-content">

		<div class="post-header">
			
			<h2 class="post-title entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
				<?php panache_comments_link(); ?>
			</h2>
		
			<?php panache_post_metatop(); ?>
			
		</div>
		
		<div class="audio-entry entry-content">
			<?php 
				if( $use_excerpts == true && !is_single() ) {
					the_excerpt();
				} else {
					the_content(__('Read more','panache'));  
				}
			?>
		</div>
	
		<?php panache_post_metabottom( 'audio' ); ?>
		
	</div>

</div>