<?php
/**
 * Panache Post Format Chat
 *
 * The Chat Post Format allows you to have multiple chatters and follows a post from 
 * @link http://justintadlock.com/archives/2012/08/21/post-formats-chat
 * filters and functions are at the bottom of this file. 
 * Basically you put author 1:text
 *                   author 2:text
 *                   etc
 * The filters are activated when the chat format is selected and output is presented (returned)
 * in a html formatted presentation allowing css styling
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

$display_post_icon = intval( panache_get_option( 'panache_display_post_icons' ) );
$use_excerpts = intval( panache_get_option( 'panache_use_excerpts' ) );

if ( has_post_thumbnail() && !post_password_required() ) : ?>
	<div class="image-post-feature">
		<?php the_post_thumbnail('full'); ?>
	</div>
<?php endif; ?>

<div class="post-wrap-chat">
	
	<?php if ( $display_post_icon == 1 ) { ?>
		
		<div class="post-stamp">
			
			<div class="post-stamp-date">
				<span class="post-stamp-date-day"><?php the_time('d'); ?></span>
				<span class="post-stamp-date-month"><?php the_time('M'); ?></span>
				<span class="post-stamp-date-year"><?php the_time('Y'); ?></span>
			</div>
			
			<div class="post-stamp-icon">
				<i class="post-icon-format fa fa-comments" title="Chat Post"></i>
			</div>
			
		</div>
	
	<?php } ?>
	
	<div class="post-wrap-chat-content">

		<div class="post-header">
			
			<h2 class="post-title entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
				<?php panache_comments_link(); ?>
			</h2>
		
			<?php panache_post_metatop(); ?>
			
		</div>
		
		<div class="chat-entry entry-content">
			<?php 
				if( $use_excerpts == true && !is_single() ) {
					the_excerpt();
				} else {
					the_content(__('Read more','panache'));  
				}
			?>
		</div>
		
		<?php panache_post_metabottom( 'chat' ); ?>
		
	</div>
	
</div>