<?php
/**
 * Panache Post Format Aside - Grid Style
 *
 * The Aside Post Format is typically styled without a title. Similar to a Facebook note update.
 * In my case I have excluded all links, meta (except author), and the title. Only content is shown.
 * 
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_gallery_counter;
$include_timestamp = intval( panache_get_option( 'panache_timestamp_in_blog' ) );
$display_post_author = intval( panache_get_option( 'panache_author_in_blog' ) );
$use_post_meta_icons = intval( panache_get_option( 'panache_use_post_meta_icons' ) );

//feature image
if ( has_post_thumbnail() && !post_password_required() ) { ?>
	<div class="image-post-feature">
		<?php the_post_thumbnail(); ?>
	</div>
<?php } ?>
		
<div class="post-wrap-grid">
	
	<div class="screen-reader-text post-header">
			
		<h2 class="post-title entry-title">
			<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
			<?php panache_comments_link(); ?>
		</h2>
	
		<?php panache_post_metatop(); ?>
		
	</div>

	<div class="aside-entry">
		<?php the_content(__('Read more','panache')); ?>
		<?php if( $display_post_author == 1 ) { ?>
			<span class="vcard author post-author"><span class="author fn"><?php the_author_posts_link(); ?></span></span> 
		<?php } else { ?>
			<span class="screen-reader-text vcard author post-author"><span class="author fn"><?php the_author_posts_link(); ?></span></span> 
		<?php } ?>
		<span class="screen-reader-text updated"><?php the_time(get_option('date_format')); ?></span>
	</div>
	
	<?php 
	
		$user_exists = (is_user_logged_in() && current_user_can( 'edit_posts') )? true:false;
		
		if( $user_exists == 1 ) {
			
			echo '<div class="postmetabottom">';
			
				if( true == $use_post_meta_icons) {
					edit_post_link(__('Edit','panache'),'<span class="edit"><i class="fa fa-edit" title="Edit"></i>&nbsp;','</span>');
				} else { ?>
					<span class="edit"><?php edit_post_link(__('Edit','panache')); ?></span>
				<?php }
			
			echo '</div>';
		
		}
	
	?>

</div>