<?php
/**
 * Panache Post Format Video - Grid Style
 *
 * The Video Post Format is designed for video posts with little text. The text you do 
 * enter is shown as a caption in the bottom of the video window. The  css styling 
 * is set up for embedded video so simply type in the http:// reference and you are set.
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
global $panache_gallery_counter;
$include_timestamp = intval( panache_get_option( 'panache_timestamp_in_blog' ) );
$include_author = intval( panache_get_option( 'panache_author_in_blog' ) );
$use_excerpts = intval( panache_get_option( 'panache_use_excerpts' ) );
$use_post_meta_icons = intval( panache_get_option( 'panache_use_post_meta_icons' ) );

// get video
get_template_part( '/template-parts/blog-parts/blog', 'video_feature' );
	
?>
		
<div class="post-wrap-grid">

	<div class="post-header">
		
		<h2 class="post-title entry-title">
			<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
		</h2>
	
		<div class="postmetatop">
		
			<?php
	
				if( true == $include_author ) {
					
					if( true == $use_post_meta_icons ) { ?> 
						<span class="vcard author post-author"><span class="author fn"><i class="fa fa-user" title="Author"></i>&nbsp;<?php the_author_posts_link(); ?></span></span>
					<?php } else { ?> 
						<span class="vcard author post-author"><span class="author fn"><?php _e('By:','panache'); ?>&nbsp;<?php the_author_posts_link(); ?></span></span>
					<?php }
		
				} 
			
				if( true == $include_timestamp  ) {
				
					if( true == $use_post_meta_icons ) { ?>
						<span class="timestamp post-date updated"><i class="fa fa-clock-o" title="Timestamp"></i>&nbsp;<?php the_time(get_option('date_format')); ?></span>
					<?php } else { ?>
						<span class="timestamp post-date updated"><?php the_time(get_option('date_format')); ?></span>
					<?php }
				
				}
			?>
			
		</div>
		
	</div>

	<div class="video-entry entry-content">
		<?php
			if( $use_excerpts == true ) {
				the_excerpt();
			} else {
				the_content(__('Read more','panache'));  
			}
		?>
	</div>
	
	<?php 
	
		$link_pages_exist = (wp_link_pages('echo=0') != '' )? true:false;
		$title_exists = ( get_the_title() != '' )? true:false;
		$user_exists = (is_user_logged_in() && current_user_can( 'edit_posts') )? true:false;
		
		if( $link_pages_exist == 1 || $title_exists != 1 || $user_exists == 1 ) {
			
			echo '<div class="postmetabottom">';
			
				if( true == $use_post_meta_icons) { ?>
					<span class="pagelist"><?php $page_text = '<i class="fa fa-copy" title="Pages"></i>&nbsp;'; wp_link_pages('before='.$page_text.':&after='); ?></span>
				<?php } else { ?>
					<span class="pagelist"><?php $page_text = __('Pages','panache'); wp_link_pages('before='.$page_text.':&after='); ?></span>
				<?php }
			
				if( get_the_title() == "" ) {
					if( true == $use_post_meta_icons) {
						echo '<span class="no-title"><a href="'.get_permalink().'" rel="bookmark" title="Untitled Link" ><i class="fa fa-warning-sign"></i>'.__("Single Page Link","panache").'</a></span>';
					} else {
						echo '<span class="no-title"><a href="'.get_permalink().'" rel="bookmark" title="Untitled Link" >'.__("Single Page Link","panache").'</a></span>';
					}
				}
			
				if( true == $use_post_meta_icons) {
					edit_post_link(__('Edit','panache'),'<span class="edit"><i class="fa fa-edit" title="Edit"></i>&nbsp;','</span>');
				} else { ?>
					<span class="edit"><?php edit_post_link(__('Edit','panache')); ?></span>
				<?php }
			
			echo '</div>';
		
		}
	
	?>

</div>