<?php
/**
 * Panache Post Format Link
 *
 * The Link Post Format is basically the same as the Standard Post Format. The styling 
 * identifies the <a> tag and presents it in a more stylish way.
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

$display_post_icon = intval( panache_get_option( 'panache_display_post_icons' ) );

if ( has_post_thumbnail() && !post_password_required() ) : ?>
	<div class="image-post-feature">
		<?php the_post_thumbnail('full'); ?>
	</div>
<?php endif; ?>

<div class="post-wrap-standard">
	
	<?php if ( $display_post_icon == 1 ) { ?>
		
		<div class="post-stamp">
			
			<div class="post-stamp-date">
				<span class="post-stamp-date-day"><?php the_time('d'); ?></span>
				<span class="post-stamp-date-month"><?php the_time('M'); ?></span>
				<span class="post-stamp-date-year"><?php the_time('Y'); ?></span>
			</div>
			
			<div class="post-stamp-icon">
				<i class="post-icon-format fa fa-align-justify" title="Standard Post"></i>
			</div>
			
		</div>
	
	<?php } ?>
	
	<div class="post-wrap-standard-content">

		<div class="post-header">
			
			<h2 class="post-title entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
				<?php panache_comments_link(); ?>
			</h2>
		
			<?php panache_post_metatop(); ?>
			
		</div>
	
		<div class="post-content entry-content">
			
			<?php the_content(__('Read more','panache')); ?>
			
		</div>
		
		<?php panache_post_metabottom( 'link' ); ?>
		
	</div>
	
</div>