<?php
/**
 * Panache Post Format Quote
 *
 * The Quote Post Format is really the same as the Standard Post Format. The main difference 
 * is that the conent is posted under a "quote-entry" class, allowing special CSS for <blockquote>
 * and <cite> tags.
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

$display_post_icon = intval( panache_get_option( 'panache_display_post_icons' ) );
$use_excerpts = intval( panache_get_option( 'panache_use_excerpts' ) );

if ( has_post_thumbnail() && !post_password_required() ) : ?>
	<div class="image-post-feature">
		<?php the_post_thumbnail('full'); ?>
	</div>
<?php endif; ?>

<div class="post-wrap-quote">
	
	<?php if ( $display_post_icon == 1 ) { ?>
		
		<div class="post-stamp">
			
			<div class="post-stamp-date">
				<span class="post-stamp-date-day"><?php the_time('d'); ?></span>
				<span class="post-stamp-date-month"><?php the_time('M'); ?></span>
				<span class="post-stamp-date-year"><?php the_time('Y'); ?></span>
			</div>
			
			<div class="post-stamp-icon">
				<i class="post-icon-format fa fa-quote-left" title="Standard Post"></i>
			</div>
			
		</div>
	
	<?php } ?>
	
	<div class="post-wrap-quote-content">

		<div class="post-header">
			
			<h2 class="post-title entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
				<?php panache_comments_link(); ?>
			</h2>
		
			<?php panache_post_metatop(); ?>
			
		</div>
	
		<div class="quote-entry entry-content">
			<?php 
				if( $use_excerpts == true && !is_single() ) {
					the_excerpt();
				} else {
					the_content(__('Read more','panache'));  
				}
			?>
		</div>
		
		<?php panache_post_metabottom( 'quote' ); ?>
		
	</div>
	
</div>