<?php
/**
 * Panache Post Format Status
 *
 * The Status Post Format is a short status update, similar to a Twitter status update.
 * Included in this format is a time stamp, author avatar and a author name. Comments are 
 * permitted. 
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

$display_post_icon = intval( panache_get_option( 'panache_display_post_icons' ) );
$include_timestamp = intval( panache_get_option( 'panache_timestamp_in_blog' ) );
$include_author = intval( panache_get_option( 'panache_author_in_blog' ) );
?>
<div class="post-wrap-status">
	
	<?php if ( $display_post_icon == 1 ) { ?>
		
		<div class="post-stamp">
			
			<div class="post-stamp-date">
				<span class="post-stamp-date-day"><?php the_time('d'); ?></span>
				<span class="post-stamp-date-month"><?php the_time('M'); ?></span>
				<span class="post-stamp-date-year"><?php the_time('Y'); ?></span>
			</div>
			
			<div class="post-stamp-icon">
				<i class="post-icon-format fa fa-bullhorn" title="Status Post"></i>
			</div>
			
		</div>
	
	<?php } ?>
	
	<div class="post-wrap-status-content">
		
		<!-- show title for screen readers -->
		<div class="screen-reader-text post-header">
			
			<h2 class="post-title entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
				<?php panache_comments_link(); ?>
			</h2>
		
			<?php panache_post_metatop(); ?>
			
		</div>

		<div class="status-entry entry-content">
				
			<?php if( !post_password_required() ) {
				
				if( $include_timestamp == 1 ) { ?>
					<span class="status-time post-date updated"><?php the_time('F j, Y'); ?> at <?php the_time('g:i a'); ?></span>
				<?php } else { ?>
					<span class="screen-reader-text post-date updated"><?php the_time('F j, Y'); ?> at <?php the_time('g:i a'); ?></span>
				<?php } ?>
		
				<?php echo get_avatar( get_the_author_meta('ID'), 50 );
				
				the_content(__('Read more','panache'));

				if( $include_author == 1 ) { ?>
					<span class="vcard author post-author"><span class="author fn"><?php the_author_posts_link(); ?></span></span> 
				<?php }
				
			} else {
				
				echo get_the_password_form();
				
			}
			
			?>
		</div>
		
		<?php panache_post_metabottom( 'status' ); ?>
		
	</div>
	
</div>