<?php
/**
 * Panache Post Format Video
 *
 * The Video Post Format is designed for video posts with little text. The text you do 
 * enter is shown as a caption in the bottom of the video window. The  css styling 
 * is set up for embedded video so simply type in the http:// reference and you are set.
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

$display_post_icon = intval( panache_get_option( 'panache_display_post_icons' ) );
$use_excerpts = intval( panache_get_option( 'panache_use_excerpts' ) );

//get video feature
get_template_part( '/template-parts/blog-parts/blog', 'video_feature' ); 
?>
<div class="post-wrap-video">
	
	<?php if ( $display_post_icon == 1 ) { ?>
		
		<div class="post-stamp">
			
			<div class="post-stamp-date">
				<span class="post-stamp-date-day"><?php the_time('d'); ?></span>
				<span class="post-stamp-date-month"><?php the_time('M'); ?></span>
				<span class="post-stamp-date-year"><?php the_time('Y'); ?></span>
			</div>
			
			<div class="post-stamp-icon">
				<i class="post-icon-format fa fa-video-camera" title="Video Post"></i>
			</div>
			
		</div>
	
	<?php } ?>
	
	<div class="post-wrap-video-content">

		<div class="post-header">
			
			<h2 class="post-title entry-title">
				<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
				<?php panache_comments_link(); ?>
			</h2>
		
			<?php panache_post_metatop(); ?>
			
		</div>
		
		<div class="video-entry entry-content">
			<?php 
				if( $use_excerpts == true && !is_single() ) {
					the_excerpt();
				} else {
					the_content(__('Read more','panache'));  
				}
			?>
	
			<?php panache_post_metabottom( 'video' ); ?>
		
		</div>
	
	</div>

</div>