<?php
/**
 * Panache Home Page template part - layout option 8
 * 
 * This template part is called by template-home.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
?>

<div class="clearfix"></div>

<div class="home-section-type-C-wrap">

	<div class="servicebox-type-C box_8a">
		<?php 
			/* 
			 * RETRIEVE & SANITIZE OPTIONS
			 * Sanitization is done a bit early to keep the code
			 * below cleaner and easier to understand
			 */
			 //get options for service box 8
			$service8_use_image_font = intval( panache_get_option('panache_service8_use_image_font' ) );
			$service8_image_font = sanitize_text_field( panache_get_option( 'panache_service8_image_font' ) );
			$service8_image = esc_url( panache_get_option( 'panache_service8_image' ) );
			$service8_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service8_title' ) ) );
			$service8_text = wp_kses_post(stripslashes(panache_get_option('panache_service8_text')));
			$service8_include_link = intval( panache_get_option( 'panache_service8_include_link' ) );
			$service8_button_link = esc_url( panache_get_option( 'panache_service8_button_link' ) );
			$service8_button_title = sanitize_text_field( panache_get_option( 'panache_service8_button_title' ) );
			//No link button so use image for link
			if( $service8_include_link == true && $service8_button_title == '' ) {
				if( $service8_use_image_font == true && $service8_image_font != '' ){ ?>
					<div class="service-C-image">
						<a class="panache-linked-fi" href="<?php echo $service8_button_link; ?>" 
							title="<?php echo $service8_title; ?>">
							<i class="fa <?php echo $service8_image_font; ?>"></i>
						</a>
					</div>
					
				<?php } elseif( $service8_image != '' ) { ?>
					<div class="service-C-image">
						<a class="panache-service8-image" href="<?php echo $service8_button_link; ?>"
							title="<?php echo $service8_title; ?>">
							<img class="servicebox-C" src="<?php echo $service8_image; ?>" alt="Service 8 Image" />
						</a>
					</div>
				<?php }
			// put in the image with no link
			} else {
				if( $service8_use_image_font == true ){ ?>
					<div class="service-C-image">
						<i class="fa <?php echo $service8_image_font; ?>"></i>
					</div>
				<?php } else { 
					if ($service8_image != '' ) { ?>
						<div class="service-C-image">
							<img class="servicebox-C" src="<?php echo $service8_image; ?>" alt="Service 8 Image" /> 
						</div>
					<?php }
				}
			}
		?>
		<?php if( $service8_title != '' ) echo '<h4>'.$service8_title.'</h4>'; ?>
		<?php if( $service8_text != '' ) echo '<div class="service-C-content">'.$service8_text.'</div>'; ?>
		<?php if( $service8_include_link == true && $service8_button_title != '' ) { ?>
			<div class="service-C-button">
				<a class="button1" href="<?php echo $service8_button_link; ?>" 
					title="<?php echo $service8_button_title; ?>">
					<?php echo $service8_button_title; ?></a>
			</div>
			
		<?php } ?>
	</div>
	
	<div class="servicebox-type-C box_8b">
		<?php 
			/* 
			 * RETRIEVE & SANITIZE OPTIONS
			 * Sanitization is done a bit early to keep the code
			 * below cleaner and easier to understand
			 */
			//get options for Service box 9
			$service9_use_image_font = intval( panache_get_option('panache_service9_use_image_font' ) );
			$service9_image_font = sanitize_text_field( panache_get_option( 'panache_service9_image_font' ) );
			$service9_image = esc_url( panache_get_option( 'panache_service9_image' ) );
			$service9_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service9_title' ) ) );
			$service9_text = wp_kses_post(stripslashes(panache_get_option('panache_service9_text')));
			$service9_include_link = intval( panache_get_option( 'panache_service9_include_link' ) );
			$service9_button_link = esc_url( panache_get_option( 'panache_service9_button_link' ) );
			$service9_button_title = sanitize_text_field( panache_get_option( 'panache_service9_button_title' ) );
			//No link button so use image for link
			if( $service9_include_link == true && $service9_button_title == '' ) {
				if( $service9_use_image_font == true && $service9_image_font != '' ){ ?>
					<div class="service-C-image">
						<a class="panache-linked-fi" href="<?php echo $service9_button_link; ?>" 
							title="<?php echo $service9_title; ?>">
							<i class="fa <?php echo $service9_image_font; ?>"></i>
						</a>
					</div>
				<?php } elseif( $service9_image != '' ) { ?>
					<div class="service-C-image">
						<a class="panache-service9-image" href="<?php echo $service9_button_link; ?>"
							title="<?php echo $service9_title; ?>">
							<img class="servicebox-C" src="<?php echo $service9_image; ?>" alt="Service 9 Image" />
						</a>
					</div>
				<?php }
			// put in the image with no link
			} else {
				if( $service9_use_image_font == true ){ ?>
					<div class="service-C-image">
						<i class="fa <?php echo $service9_image_font; ?>"></i>
					</div>
				<?php } else { 
					if ($service9_image != '' ) { ?>
						<div class="service-C-image">
							<img class="servicebox-C" src="<?php echo $service9_image; ?>" alt="Service 9 Image" />
						</div>
					<?php }
				}
			}
		?>
		<?php if( $service9_title != '' ) echo '<h4>'.$service9_title.'</h4>'; ?>
		<?php if( $service9_text != '' ) echo '<div class="service-C-content">'.$service9_text.'</div>'; ?>
		<?php if( $service9_include_link == true && $service9_button_title != '' ) { ?>
			<div class="service-C-button">
				<a class="button1" href="<?php echo $service9_button_link; ?>" 
					title="<?php echo $service9_button_title; ?>">
					<?php echo $service9_button_title; ?></a>
			</div>
		<?php } ?>
	</div>
	
	<div class="servicebox-type-C box_8c">
		<?php 
			/* 
			 * RETRIEVE & SANITIZE OPTIONS
			 * Sanitization is done a bit early to keep the code
			 * below cleaner and easier to understand
			 */
			//get options for Service box 10
			$service10_use_image_font = intval( panache_get_option('panache_service10_use_image_font' ) );
			$service10_image_font = sanitize_text_field( panache_get_option( 'panache_service10_image_font' ) );
			$service10_image = esc_url( panache_get_option( 'panache_service10_image' ) );
			$service10_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service10_title' ) ) );
			$service10_text = wp_kses_post(stripslashes(panache_get_option('panache_service10_text')));
			$service10_include_link = intval( panache_get_option( 'panache_service10_include_link' ) );
			$service10_button_link = esc_url( panache_get_option( 'panache_service10_button_link' ) );
			$service10_button_title = sanitize_text_field( panache_get_option( 'panache_service10_button_title' ) );
			//No link button so use image for link
			if( $service10_include_link == true && $service10_button_title == '' ) {
				if( $service10_use_image_font == true && $service10_image_font != '' ){ ?>
					<div class="service-C-image">
						<a class="panache-linked-fi" href="<?php echo $service10_button_link; ?>" 
							title="<?php echo $service10_title; ?>">
							<i class="fa <?php echo $service10_image_font; ?>"></i>
						</a>
					</div>
				<?php } elseif( $service10_image != '' ) { ?>
					<div class="service-C-image">
						<a class="panache-service10-image" href="<?php echo $service10_button_link; ?>"
							title="<?php echo $service10_title; ?>">
							<img class="servicebox-C" src="<?php echo $service10_image; ?>" alt="Service 10 Image" />
						</a>
					</div>
				<?php }
			// put in the image with no link
			} else {
				if( $service10_use_image_font == true ){ ?>
					<div class="service-C-image">
						<i class="fa <?php echo $service10_image_font; ?>"></i>
					</div>
				<?php } else { 
					if ($service10_image != '' ) { ?>
						<div class="service-C-image">
							<img class="servicebox-C" src="<?php echo $service10_image; ?>" alt="Service 10 Image" /> 
						</div>
					<?php }
				}
			}
		?>
		<?php if( $service10_title != '' ) echo '<h4>'.$service10_title.'</h4>'; ?>
		<?php if( $service10_text != '' ) echo '<div class="service-C-content">'.$service10_text.'</div>'; ?>
		<?php if( $service10_include_link == true && $service10_button_title != '' ) { ?>
			<div class="service-C-button">
				<a class="button1" href="<?php echo $service10_button_link; ?>" 
					title="<?php echo $service10_button_title; ?>">
					<?php echo $service10_button_title; ?></a>
			</div>
		<?php } ?>
	</div>
	
	<div class="servicebox-type-C box_8d">
		<?php 
			/* 
			 * RETRIEVE & SANITIZE OPTIONS
			 * Sanitization is done a bit early to keep the code
			 * below cleaner and easier to understand
			 */
			//get options for Service box 11
			$service11_use_image_font = intval( panache_get_option('panache_service11_use_image_font' ) );
			$service11_image_font = sanitize_text_field( panache_get_option( 'panache_service11_image_font' ) );
			$service11_image = esc_url( panache_get_option( 'panache_service11_image' ) );
			$service11_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service11_title' ) ) );
			$service11_text = wp_kses_post(stripslashes(panache_get_option('panache_service11_text')));
			$service11_include_link = intval( panache_get_option( 'panache_service11_include_link' ) );
			$service11_button_link = esc_url( panache_get_option( 'panache_service11_button_link' ) );
			$service11_button_title = sanitize_text_field( panache_get_option( 'panache_service11_button_title' ) );
			//No link button so use image for link
			if( $service11_include_link == true && $service11_button_title == '' ) {
				if( $service11_use_image_font == true && $service11_image_font != '' ){ ?>
					<div class="service-C-image">
						<a class="panache-linked-fi" href="<?php echo $service11_button_link; ?>" 
							title="<?php echo $service11_title; ?>">
							<i class="fa <?php echo $service11_image_font; ?>"></i>
						</a>
					</div>
				<?php } elseif( $service11_image != '' ) { ?>
					<div class="service-C-image">
						<a class="panache-service11-image" href="<?php echo $service11_button_link; ?>"
							title="<?php echo $service11_title; ?>">
							<img class="servicebox-C" src="<?php echo $service11_image; ?>" alt="Service 11 Image" />
						</a>
					</div>
				<?php }
			// put in the image with no link
			} else {
				if( $service11_use_image_font == true ){ ?>
					<div class="service-C-image">
						<i class="fa <?php echo $service11_image_font; ?>"></i>
					</div>
				<?php } else { 
					if ($service11_image != '' ) { ?>
						<div class="service-C-image">
							<img class="servicebox-C" src="<?php echo $service11_image; ?>" alt="Service 11 Image" />
						</div>
					<?php }
				}
			}
		?>
		<?php if( $service11_title != '' ) echo '<h4>'.$service11_title.'</h4>'; ?>
		<?php if( $service11_text != '' ) echo '<div class="service-C-content">'.$service11_text.'</div>'; ?>
		<?php if( $service11_include_link == true && $service11_button_title != '' ) { ?>
			<div class="service-C-button">
				<a class="button1" href="<?php echo $service11_button_link; ?>" 
					title="<?php echo $service11_button_title; ?>">
					<?php echo $service11_button_title; ?></a>
			</div>
		<?php } ?>
	</div>
	
</div>