<?php
/**
 * Panache Home Page template part - layout option 5
 * 
 * This template part is called by template-home.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
/* 
 * RETRIEVE & SANITIZE OPTIONS
 * Sanitization is done a bit early to keep the code
 * below cleaner and easier to understand
 */
$section5_usage = sanitize_text_field( panache_get_option( 'panache_section5_usage' ) );
$section5_text = wp_kses_post( stripslashes( panache_get_option( 'panache_section5_text' ) ) );
$section5_include_link = intval( panache_get_option( 'panache_include_section5_button' ) );
$section5_link = esc_url( panache_get_option( 'panache_section5_button_link' ));
$section5_button_label = sanitize_text_field( stripslashes( panache_get_option( 'panache_section5_button_name' ) ) );
?>

<div class="clearfix"></div>

<div class="home-section-type-A home-five">

		<?php 
	
		if( $section5_usage == 'shortcode' ){ ?>
			
			<div class="home-section-type-A-html-100">
			 	<?php 
			 		echo do_shortcode( $section5_text );
			 	?>
			</div>
		
		<?php } elseif( $section5_usage == 'widgetized' ) { ?>
			
			<div class="home-section-type-A-html-100">
			 	<div class="clearfix"></div>
				<?php if ( !dynamic_sidebar('panache_home_section5_sidebar') ) : ?>
								
				<?php endif; ?>
				<div class="clearfix"></div>
			</div>
			
		<?php } else {
			
			if ( $section5_include_link == 1 ) { ?>
				<div class="home-section-type-A-html-75"><?php echo $section5_text; ?></div>
				<div class="home-section-type-A-button">
					<a class="button1" href="<?php echo $section5_link; ?>" 
										title="<?php echo $section5_button_label; ?>">
										<?php echo $section5_button_label; ?></a>
				</div>
			<?php } else { ?>
				<div class="home-section-type-A-html-100"><?php echo $section5_text; ?></div>
			<?php }
			
		}
	
	?>
	
</div>			
