<?php
/**
 * Panache Home Page template part - layout option 4
 * 
 * This template part is called by template-home.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
 /* 
 * RETRIEVE & SANITIZE OPTIONS
 * Sanitization is done a bit early to keep the code
 * below cleaner and easier to understand
 */
//get options Service Box 4
$service4_use_image_font = intval( panache_get_option('panache_service4_use_image_font' ) );
$service4_image_font = sanitize_text_field( panache_get_option( 'panache_service4_image_font' ) );
$service4_image = esc_url( panache_get_option( 'panache_service4_image' ) );
$service4_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service4_title' ) ) );
$service4_text = wp_kses_post(stripslashes(panache_get_option('panache_service4_text')));
$service4_include_link = intval( panache_get_option( 'panache_service4_include_link' ) );
$service4_button_link = esc_url( panache_get_option( 'panache_service4_button_link' ) );
$service4_button_title = sanitize_text_field( panache_get_option( 'panache_service4_button_title' ) );
//get options Service Box 5
$service5_use_image_font = intval( panache_get_option('panache_service5_use_image_font' ) );
$service5_image_font = sanitize_text_field( panache_get_option( 'panache_service5_image_font' ) );
$service5_image = esc_url( panache_get_option( 'panache_service5_image' ) );
$service5_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service5_title' ) ) );
$service5_text = wp_kses_post(stripslashes(panache_get_option('panache_service5_text')));
$service5_include_link = intval( panache_get_option( 'panache_service5_include_link' ) );
$service5_button_link = esc_url( panache_get_option( 'panache_service5_button_link' ) );
$service5_button_title = sanitize_text_field( panache_get_option( 'panache_service5_button_title' ) );
?>

<div class="clearfix"></div>

<div class="home-section-type-B-wrap home-four">

	<div class="home-section-type-B box_4a">
		<?php if( $service4_image != '' || $service4_image_font != '' ) {
				//We have an image
				if( $service4_include_link == true && $service4_button_title == '' ) {
					if( $service4_use_image_font == true && $service4_image_font != '' ){ ?>
						<div class="home-section-type-B-image-wrap">
							<a class="panache-linked-fi" href="<?php echo $service4_button_link; ?>" 
								title="<?php echo $service4_title; ?>">
								<i class="fa <?php echo $service4_image_font; ?>"></i>
							</a>
						</div>
					<?php } elseif( $service4_image != '' ) { ?>
						<div class="home-section-type-B-image-wrap">
							<a class="home-section-B-link" href="<?php echo $service4_button_link; ?>"
								title="<?php echo $service4_title; ?>">
								<img class="serviceboxB" src="<?php echo $service4_image; ?>" alt="Service 4 Image" />
							</a>
						</div>
					<?php }
				// put in the image with no link
				} else {
					if( $service4_use_image_font == true ){ ?>
						<div class="home-section-type-B-image-wrap">
							<i class="fa <?php echo $service4_image_font; ?>"></i>
						</div>
					<?php } else { ?>
						<div class="home-section-type-B-image-wrap">
							<img class="serviceboxB" src="<?php echo $service4_image; ?>" alt="Service 4 Image" />
						</div>
					<?php }
				} ?>
				<div class="home-section-type-B-html-image">
					<?php if( $service4_title != "" ) echo '<h4>'.$service4_title.'</h4>'; ?>
					<?php if( $service4_text != "" ) echo $service4_text; ?>
					<?php if ( $service4_include_link == 1 && $service4_button_title != '' ) { ?>
						<div class="section-B-button">
							<a class="button1" href="<?php echo $service4_button_link; ?>" 
								title="<?php echo $service4_button_title; ?>">
								<?php echo $service4_button_title; ?></a>
						</div>
						
					<?php } ?>
				</div>
				
		<?php } else { ?>
			<div class="home-section-type-B-html-noimage">
				<?php if( $service4_title != "" ) echo '<h4>'.$service4_title.'</h4>'; ?>
				<?php if( $service4_text != "" ) echo '<div class="section-B-content">'.$service4_text.'</div>'; ?>
				<?php if ( $service4_include_link == 1 && $service4_button_title != '' ) { ?>
					<div class="section-B-button">
						<a class="button1" href="<?php echo $service4_button_link; ?>" 
							title="<?php echo $service4_button_title; ?>">
							<?php echo $service4_button_title; ?></a>
					</div>
				<?php } ?>
			</div>				
		<?php } ?>
	</div>
	
	<div class="home-section-type-B box_4b">
		<?php if( $service5_image != '' || $service5_image_font != '' ) {
				//We have an image
				if( $service5_include_link == true && $service5_button_title == '' ) {
					if( $service5_use_image_font == true && $service5_image_font != '' ){ ?>
						<div class="home-section-type-B-image-wrap">
							<a class="panache-linked-fi" href="<?php echo $service5_button_link; ?>" 
								title="<?php echo $service5_title; ?>">
								<i class="fa <?php echo $service5_image_font; ?>"></i>
							</a>
						</div>
					<?php } elseif( $service5_image != '' ) { ?>
						<div class="home-section-type-B-image-wrap">
							<a class="home-section-B-link" href="<?php echo $service5_button_link; ?>"
								title="<?php echo $service5_title; ?>">
								<img class="serviceboxB" src="<?php echo $service5_image; ?>" alt="Service 4 Image" />
							</a>
						</div>
					<?php }
				// put in the image with no link
				} else {
					if( $service5_use_image_font == true ){ ?>
						<div class="home-section-type-B-image-wrap">
							<i class="fa <?php echo $service5_image_font; ?>"></i>
						</div>
					<?php } else { ?>
						<div class="home-section-type-B-image-wrap">
							<img class="serviceboxB" src="<?php echo $service5_image; ?>" alt="Service 4 Image" />
						</div>
					<?php }
				} ?>
				<div class="home-section-type-B-html-image">
					<?php if( $service5_title != "" ) echo '<h4>'.$service5_title.'</h4>'; ?>
					<?php if( $service5_text != "" ) echo '<div class="section-B-content">'.$service5_text.'</div>'; ?>
					<?php if ( $service5_include_link == 1 && $service5_button_title != '' ) { ?>
						<div class="section-B-button">
							<a class="button1" href="<?php echo $service5_button_link; ?>" 
								title="<?php echo $service5_button_title; ?>">
								<?php echo $service5_button_title; ?></a>
						</div>
					<?php } ?>
				</div>
				
		<?php } else { ?>
			<div class="home-section-type-B-html-noimage">
				<?php if( $service5_title != "" ) echo '<h4>'.$service5_title.'</h4>'; ?>
				<?php if( $service5_text != "" ) echo $service5_text; ?>
				<?php if ( $service5_include_link == 1 && $service5_button_title != '' ) { ?>
					<div class="section-B-button">
						<a class="button1" href="<?php echo $service5_button_link; ?>" 
							title="<?php echo $service5_button_title; ?>">
							<?php echo $service5_button_title; ?></a>
					</div>
				<?php } ?>
			</div>				
		<?php } ?>
	</div>

</div>