<?php
/**
 * Panache Home Page template part - layout option 7
 * 
 * This template part is called by template-home.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
/* 
 * RETRIEVE & SANITIZE OPTIONS
 * Sanitization is done a bit early to keep the code
 * below cleaner and easier to understand
 */
$section7_usage = sanitize_text_field( panache_get_option( 'panache_section7_usage' ) );
$section7_text = wp_kses_post( stripslashes( panache_get_option( 'panache_section7_text' ) ) );
$section7_include_link = intval( panache_get_option( 'panache_include_section7_button' ) );
$section7_link = esc_url( panache_get_option( 'panache_section7_button_link' ));
$section7_button_label = sanitize_text_field( stripslashes( panache_get_option( 'panache_section7_button_name' ) ) );
?>

<div class="clearfix"></div>

<div class="home-section-type-A home-seven">
	
	<?php 
	
		if( $section7_usage == 'shortcode' ){ ?>
			
			<div class="home-section-type-A-html-100">
			 	<?php 
			 		echo do_shortcode( $section7_text );
			 	?>
			</div>
		
		<?php } elseif( $section7_usage == 'widgetized' ) { ?>
			
			<div class="home-section-type-A-html-100">
			 	<div class="clearfix"></div>
				<?php if ( !dynamic_sidebar('panache_home_section7_sidebar') ) : ?>								
				<?php endif; ?>
				<div class="clearfix"></div>
			</div>
			
		<?php } else {
			
			if ( $section7_include_link == 1 ) { ?>
				<div class="home-section-type-A-html-75"><?php echo $section7_text; ?></div>
				<div class="home-section-type-A-button">
					<a class="button1" href="<?php echo $section7_link; ?>" 
										title="<?php echo $section7_button_label; ?>">
										<?php echo $section7_button_label; ?></a>
				</div>
			<?php } else { ?>
				<div class="home-section-type-A-html-100"><?php echo $section7_text; ?></div>
			<?php }
			
		}
	
	?>
	
</div>						
