<?php
/**
 * Panache Home Page template part - layout option 6
 * 
 * This template part is called by template-home.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
/* 
 * RETRIEVE & SANITIZE OPTIONS
 * Sanitization is done a bit early to keep the code
 * below cleaner and easier to understand
 */
//get options Service Box 6
$service6_use_image_font = intval( panache_get_option('panache_service6_use_image_font' ) );
$service6_image_font = sanitize_text_field( panache_get_option( 'panache_service6_image_font' ) );
$service6_image = esc_url( panache_get_option( 'panache_service6_image' ) );
$service6_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service6_title' ) ) );
$service6_text = wp_kses_post(stripslashes(panache_get_option('panache_service6_text')));
$service6_include_link = intval( panache_get_option( 'panache_service6_include_link' ) );
$service6_button_link = esc_url( panache_get_option( 'panache_service6_button_link' ) );
$service6_button_title = sanitize_text_field( panache_get_option( 'panache_service6_button_title' ) );
//get options Service Box 7
$service7_use_image_font = intval( panache_get_option('panache_service7_use_image_font' ) );
$service7_image_font = sanitize_text_field( panache_get_option( 'panache_service7_image_font' ) );
$service7_image = esc_url( panache_get_option( 'panache_service7_image' ) );
$service7_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service7_title' ) ) );
$service7_text = wp_kses_post(stripslashes(panache_get_option('panache_service7_text')));
$service7_include_link = intval( panache_get_option( 'panache_service7_include_link' ) );
$service7_button_link = esc_url( panache_get_option( 'panache_service7_button_link' ) );
$service7_button_title = sanitize_text_field( panache_get_option( 'panache_service7_button_title' ) );
?>

<div class="clearfix"></div>

<div class="home-section-type-B-wrap home-six">
	
	<div class="home-section-type-B box_6a">
		<?php 
			
			if( $service6_image != '' || $service6_image_font != '' ) {
				//We have an image
				if( $service6_include_link == true && $service6_button_title == '' ) {
					if( $service6_use_image_font == true && $service6_image_font != '' ){ ?>
						<div class="home-section-type-B-image-wrap">
							<a class="panache-linked-fi" href="<?php echo $service6_button_link; ?>" 
								title="<?php echo $service6_title; ?>">
								<i class="fa <?php echo $service6_image_font; ?>"></i>
							</a>
						</div>
					<?php } elseif( $service6_image != '' ) { ?>
						<div class="home-section-type-B-image-wrap">
							<a class="home-section-B-link" href="<?php echo $service6_button_link; ?>"
								title="<?php echo $service6_title; ?>">
								<img class="serviceboxB" src="<?php echo $service6_image; ?>" alt="Service 6 Image" />
							</a>
						</div>
					<?php }
				// put in the image with no link
				} else {
					if( $service6_use_image_font == true ){ ?>
						<div class="home-section-type-B-image-wrap">
							<i class="fa <?php echo $service6_image_font; ?>"></i>
						</div>
					<?php } else { ?>
						<div class="home-section-type-B-image-wrap">
							<img class="serviceboxB" src="<?php echo $service6_image; ?>" alt="Service 6 Image" />
						</div>
					<?php }
				} ?>
				<div class="home-section-type-B-html-image">
					<?php if( $service6_title != "" ) echo '<h4>'.$service6_title.'</h4>'; ?>
					<?php if( $service6_text != "" ) echo $service6_text; ?>
					<?php if ( $service6_include_link == 1 && $service6_button_title != '' ) { ?>
						<div class="section-B-button">
							<a class="button1" href="<?php echo $service6_button_link; ?>" 
								title="<?php echo $service6_button_title; ?>">
								<?php echo $service6_button_title; ?></a>
						</div>
					<?php } ?>
				</div>
				
		<?php } else { ?>
			<div class="home-section-type-B-html-noimage">
				<?php if( $service6_title != "" ) echo '<h4>'.$service6_title.'</h4>'; ?>
				<?php if( $service6_text != "" ) echo '<div class="section-B-content">'.$service6_text.'</div>'; ?>
				<?php if ( $service6_include_link == 1 && $service6_button_title != '' ) { ?>
					<div class="section-B-button">
						<a class="button1" href="<?php echo $service6_button_link; ?>" 
							title="<?php echo $service6_button_title; ?>">
							<?php echo $service6_button_title; ?></a>
					</div>
				<?php } ?>
			</div>				
		<?php } ?>
	</div>
	
	<div class="home-section-type-B box_6b">
		<?php 

			if( $service7_image != '' || $service7_image_font != '' ) {
				//We have an image
				if( $service7_include_link == true && $service7_button_title == '' ) {
					if( $service7_use_image_font == true && $service7_image_font != '' ){ ?>
						<div class="home-section-type-B-image-wrap">
							<a class="panache-linked-fi" href="<?php echo $service7_button_link; ?>" 
								title="<?php echo $service7_title; ?>">
								<i class="fa <?php echo $service7_image_font; ?>"></i>
							</a>
						</div>
					<?php } elseif( $service7_image != '' ) { ?>
						<div class="home-section-type-B-image-wrap">
							<a class="home-section-B-link" href="<?php echo $service7_button_link; ?>"
								title="<?php echo $service7_title; ?>">
								<img class="serviceboxB" src="<?php echo $service7_image; ?>" alt="Service 7 Image" />
							</a>
						</div>
					<?php }
				// put in the image with no link
				} else {
					if( $service7_use_image_font == true ){ ?>
						<div class="home-section-type-B-image-wrap">
							<i class="fa <?php echo $service7_image_font; ?>"></i>
						</div>
					<?php } else { ?>
						<div class="home-section-type-B-image-wrap">
							<img class="serviceboxB" src="<?php echo $service7_image; ?>" alt="Service 7 Image" />
						</div>
					<?php }
				} ?>
				<div class="home-section-type-B-html-image">
					<?php if( $service7_title != "" ) echo '<h4>'.$service7_title.'</h4>'; ?>
					<?php if( $service7_text != "" ) echo '<div class="section-B-content">'.$service7_text.'</div>'; ?>
					<?php if ( $service7_include_link == 1 && $service7_button_title != '' ) { ?>
						<div class="section-B-button">
							<a class="button1" href="<?php echo $service7_button_link; ?>" 
								title="<?php echo $service7_button_title; ?>">
								<?php echo $service7_button_title; ?></a>
						</div>
					<?php } ?>
				</div>
				
		<?php } else { ?>
			<div class="home-section-type-B-html-noimage">
				<?php if( $service7_title != "" ) echo '<h4>'.$service7_title.'</h4>'; ?>
				<?php if( $service7_text != "" ) echo $service7_text; ?>
				<?php if ( $service7_include_link == 1 && $service7_button_title != '' ) { ?>
					<div class="section-B-button">
						<a class="button1" href="<?php echo $service7_button_link; ?>" 
							title="<?php echo $service7_button_title; ?>">
							<?php echo $service7_button_title; ?></a>
					</div>
				<?php } ?>
			</div>				
		<?php } ?>
	</div>

</div>