<?php
/**
 * Panache Home Page template part - layout option 2
 * 
 * This template part is called by template-home.php
 *
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */
?>

<div class="clearfix"></div>
	
<div class="home-section-type-D-wrap">

	<div class="servicebox-type-D box_2a">
		<?php 
			/* 
			 * RETRIEVE & SANITIZE OPTIONS
			 * Sanitization is done a bit early to keep the code
			 * below cleaner and easier to understand
			 */
			$service1_use_image_font = intval( panache_get_option('panache_service1_use_image_font' ) );
			$service1_image_font = sanitize_text_field( panache_get_option( 'panache_service1_image_font' ) );
			$service1_image = esc_url( panache_get_option( 'panache_service1_image' ) );
			$service1_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service1_title' ) ) );
			$service1_text = wp_kses_post(stripslashes(panache_get_option('panache_service1_text')));
			$service1_include_link = intval( panache_get_option( 'panache_service1_include_link' ) );
			$service1_button_link = esc_url( panache_get_option( 'panache_service1_button_link' ) );
			$service1_button_title = sanitize_text_field( panache_get_option( 'panache_service1_button_title' ) );

			if( $service1_include_link == true && $service1_button_title == '' ) {
				//No link button so use image for link	
				if( $service1_use_image_font == true && $service1_image_font != '' ){ ?>
					<div class= "servicebox-D-img">
						<a class="panache-linked-fi" href="<?php echo $service1_button_link; ?>" 
							title="<?php echo $service1_title; ?>">
							<i class="fa <?php echo $service1_image_font; ?>"></i>
						</a>
					</div>
				<?php } elseif( $service1_image != '' ) { ?>
					<div class= "servicebox-D-img">
						<a class="panache-service1-image" href="<?php echo $service1_button_link; ?>"
							title="<?php echo $service1_title; ?>">
							<img src="<?php echo $service1_image; ?>" alt="Service 1 Image" />
						</a>
					</div>
				<?php }
			// put in the image with no link
			} else {
				if( $service1_use_image_font == true ){ ?>
					<div class= "servicebox-D-img">
						<i class="fa <?php echo $service1_image_font; ?>"></i>
					</div>
				<?php } else { 
					if( $service1_image != '' ){ ?>
						<div class= "servicebox-D-img">
							<img src="<?php echo $service1_image; ?>" alt="Service 1 Image" /> 
						</div>
					<?php }
				}
			}
		?>
		<?php if( $service1_title != '' ) echo '<h4>'.$service1_title.'</h4>'; ?>
		<?php if( $service1_text != '' ) echo '<div class="servicebox-D-content">'.$service1_text.'</div>'; ?>
		<?php if( $service1_include_link == true && $service1_title != '' ) { ?>
			<div class="servicebox-D-button">
				<a class="button1" href="<?php echo $service1_button_link; ?>" 
					title="<?php echo esc_attr( $service1_button_title ); ?>">
					<?php echo $service1_button_title; ?></a>
			</div>
			
		<?php } ?>
	</div>
	
	<div class="servicebox-type-D box_2b">
		<?php 
			/* 
			 * RETRIEVE & SANITIZE OPTIONS
			 * Sanitization is done a bit early to keep the code
			 * below cleaner and easier to understand
			 */
			$service2_use_image_font = intval( panache_get_option('panache_service2_use_image_font' ) );
			$service2_image_font = sanitize_text_field( panache_get_option( 'panache_service2_image_font' ) );
			$service2_image = esc_url( panache_get_option( 'panache_service2_image' ) );
			$service2_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service2_title' ) ) );
			$service2_text = wp_kses_post(stripslashes(panache_get_option('panache_service2_text')));
			$service2_include_link = intval( panache_get_option( 'panache_service2_include_link' ) );
			$service2_button_link = esc_url( panache_get_option( 'panache_service2_button_link' ) );
			$service2_button_title = sanitize_text_field( panache_get_option( 'panache_service2_button_title' ) );
			
			if( $service2_include_link == true && $service2_button_title == '' ) {
				//No link button so use image for link
				if( $service2_use_image_font == true && $service2_image_font != '' ){ ?>
					<div class= "servicebox-D-img">
						<a class="panache-linked-fi" href="<?php echo $service2_button_link; ?>" 
							title="<?php echo $service2_title; ?>">
							<i class="fa <?php echo $service2_image_font; ?>"></i>
						</a>
					</div>
				<?php } elseif( $service2_image != '' ) { ?>
					<div class= "servicebox-D-img">
						<a class="panache-service2-image" href="<?php echo $service2_button_link; ?>"
							title="<?php echo $service2_title; ?>">
							<img src="<?php echo $service2_image; ?>" alt="Service 2 Image" />
						</a>
					</div>
				<?php }
			// put in the image with no link
			} else {
				if( $service2_use_image_font == true ){ ?>
					<div class= "servicebox-D-img">
						<i class="fa <?php echo $service2_image_font; ?>"></i>
					</div>
				<?php } else { 
					if( $service2_image != '' ){ ?>
						<div class= "servicebox-D-img">
							<img src="<?php echo $service2_image; ?>" alt="Service 2 Image" /> 
						</div>
					<?php }
				}
			}
		?>
		<?php if( $service2_title != '' ) echo '<h4>'.$service2_title.'</h4>'; ?>
		<?php if( $service2_text != '' ) echo '<div class="servicebox-D-content">'.$service2_text.'</div>'; ?>
		<?php if( $service2_include_link == true && $service2_button_title != '' ) { ?>
			<div class="servicebox-D-button">
				<a class="button1" href="<?php echo $service2_button_link; ?>" 
					title="<?php echo $service2_button_title; ?>">
					<?php echo $service2_button_title; ?></a>
			</div>
		<?php } ?>
	</div>
	
	<div class="servicebox-type-D box_2c">
		<?php 
			/* 
			 * RETRIEVE & SANITIZE OPTIONS
			 * Sanitization is done a bit early to keep the code
			 * below cleaner and easier to understand
			 */
			$service3_use_image_font = intval( panache_get_option( 'panache_service3_use_image_font' ) );
			$service3_image_font = sanitize_text_field( panache_get_option( 'panache_service3_image_font' ) );
			$service3_image = esc_url( panache_get_option( 'panache_service3_image' ) );
			$service3_title = sanitize_text_field( stripslashes( panache_get_option( 'panache_service3_title' ) ) );
			$service3_text = wp_kses_post(stripslashes(panache_get_option('panache_service3_text')));
			$service3_include_link = intval( panache_get_option( 'panache_service3_include_link' ) );
			$service3_button_link = esc_url( panache_get_option( 'panache_service3_button_link' ) );
			$service3_button_title = sanitize_text_field( panache_get_option( 'panache_service3_button_title' ) );

			if( $service3_include_link == true && $service3_button_title == '' ) {
				//No link button so use image for link
				if( $service3_use_image_font == true && $service3_image_font != '' ){ ?>
					<div class= "servicebox-D-img">
						<a class="panache-linked-fi" href="<?php echo $service3_button_link; ?>" 
							title="<?php echo $service3_title; ?>">
							<i class="fa <?php echo $service3_image_font; ?>"></i>
						</a>
					</div>
				<?php } elseif( $service3_image != '' ) { ?>
					<div class= "servicebox-D-img">
						<a class="panache-service3-image" href="<?php echo $service3_button_link; ?>"
							title="<?php echo $service3_title; ?>">
							<img src="<?php echo $service3_image; ?>" alt="Service 3 Image" />
						</a>
					</div>
				<?php }
			// put in the image with no link
			} else {
				if( $service3_use_image_font == true ){ ?>
					<div class= "servicebox-D-img">
						<i class="fa <?php echo $service3_image_font; ?>"></i>
					</div>
				<?php } else { 
					if( $service3_image != '' ){ ?>
						<div class= "servicebox-D-img">
							<img src="<?php echo $service3_image; ?>" alt="Service 3 Image" /> 
						</div>
					<?php }
				}
			}
		?>
		<?php if( $service3_title != '' ) echo '<h4>'.$service3_title.'</h4>'; ?>
		<?php if( $service3_text != '' ) echo '<div class="servicebox-D-content">'.$service3_text.'</div>'; ?>
		<?php if( $service3_include_link == true && $service3_button_title != '' ) { ?>
			<div class="servicebox-D-button">
				<a class="button1" href="<?php echo $service3_button_link; ?>" 
					title="<?php echo $service3_title; ?>">
					<?php echo $service3_button_title; ?></a>
			</div>
		<?php } ?>
	</div>
	
</div>