<?php
/*
Plugin Name: Panache Social Links Widget
Plugin URI: http://Panache.kevinsspace.ca/
Description: A widget for the Panache theme that displays the social links
Version: 1.1
Author: Kevin Archibald
Author URI: http://kevinsspace.ca/
License: GPLv3
 */
 
/**
 * Social links widget file
 *
 * This file is  widget that will load any links that have urls coded in the 
 * panache Options => General Tab
 *
 * @package		Panache WordPress Theme
 * @copyright	Copyright (C) 2015  Kevin Archibald
 * @license		http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * @author		Kevin Archibald <www.kevinsspace.ca/contact/>
 */

// use widgets_init action hook to execute custom function
 add_action ( 'widgets_init','panache_social_links_register_widget' );

//register our widget 
 function panache_social_links_register_widget() {
 	register_widget ( 'panache_social_links_widget' );
 }
 
 //widget class
class panache_social_links_widget extends WP_Widget {

    //process the new widget
    public function __construct() {
        $widget_ops = array( 
			'classname' => 'panache_social_links_widget_class', 
			'description' => __('Display social links','panache') 
			); 
        parent::__construct( 'panache_social_links_widget', __('Panache Social Links Widget','panache'), $widget_ops );
    }
 	
 	// Form for widget setup
 	public function form ( $instance ) {
 		$panache_social_defaults = array(
 			'panache_social_title' => __('Social Links','panache'),
			'panache_social_icon_size' => 'small',//no translation here
 			'panache_social_delicious' => 0,
 			'panache_social_digg' => 0,
			'panache_social_facebook' => 0,
			'panache_social_flickr' => 0,
			'panache_social_google' => 0,
			'panache_social_instagram' => 0,
			'panache_social_linkedin' => 0,
			'panache_social_myspace' => 0,
			'panache_social_pinterest' => 0,
			'panache_social_rss' => 0,
			'panache_social_tumblr' => 0,
			'panache_social_twitter' => 0,
			'panache_social_vimeo' => 0,
			'panache_social_yelp' => 0,
			'panache_social_youtube' => 0
		);
		$instance = wp_parse_args( (array) $instance, $panache_social_defaults );
		$title = $instance['panache_social_title'];
		$icon_size = $instance['panache_social_icon_size'];
		$delicious = $instance['panache_social_delicious'];
		$digg = $instance['panache_social_digg'];
		$facebook = $instance['panache_social_facebook'];
		$flickr = $instance['panache_social_flickr'];
		$google = $instance['panache_social_google'];
		$instagram = $instance['panache_social_instagram'];
		$linkedin = $instance['panache_social_linkedin'];
		$myspace = $instance['panache_social_myspace'];
		$pinterest = $instance['panache_social_pinterest'];
		$rss = $instance['panache_social_rss'];
		$tumblr = $instance['panache_social_tumblr'];
		$twitter = $instance['panache_social_twitter'];
		$vimeo = $instance['panache_social_vimeo'];
		$yelp = $instance['panache_social_yelp'];
		$youtube = $instance['panache_social_youtube'];
		?>
			<p><?php _e('Title : ','panache'); ?><input class="widefat" id="<?php echo $this->get_field_id('panache_social_title'); ?>" name="<?php echo $this->get_field_name('panache_social_title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
			<p><?php _e('Icon size : ','panache'); ?>
				<select name="<?php echo $this->get_field_name('panache_social_icon_size'); ?>">
					<option value="small" <?php selected( $icon_size, "small" ); ?>>small</option>
					<option value="large" <?php selected( $icon_size, "large" ); ?>>large</option>
				</select> 
			</p>
			<p>Delicious <input name="<?php echo $this->get_field_name('panache_social_delicious'); ?>" type="checkbox" <?php checked( $delicious, 'on' ); ?> /></p>
			<p>Digg <input name="<?php echo $this->get_field_name('panache_social_digg'); ?>" type="checkbox" <?php checked( $digg, 'on' ); ?> /></p>
			<p>Facebook <input name="<?php echo $this->get_field_name('panache_social_facebook'); ?>" type="checkbox" <?php checked( $facebook, 'on' ); ?> /></p>
			<p>Flickr <input name="<?php echo $this->get_field_name('panache_social_flickr'); ?>" type="checkbox" <?php checked( $flickr, 'on' ); ?> /></p>
			<p>Google+ <input name="<?php echo $this->get_field_name('panache_social_google'); ?>" type="checkbox" <?php checked( $google, 'on' ); ?> /></p>
			<p>Instagram <input name="<?php echo $this->get_field_name('panache_social_instagram'); ?>" type="checkbox" <?php checked( $instagram, 'on' ); ?> /></p>
			<p>Linkedin <input name="<?php echo $this->get_field_name('panache_social_linkedin'); ?>" type="checkbox" <?php checked( $linkedin, 'on' ); ?> /></p>
			<p>MySpace <input name="<?php echo $this->get_field_name('panache_social_myspace'); ?>" type="checkbox" <?php checked( $myspace, 'on' ); ?> /></p>
			<p>Pinterest <input name="<?php echo $this->get_field_name('panache_social_pinterest'); ?>" type="checkbox" <?php checked( $pinterest, 'on' ); ?> /></p>
			<p>RSS <input name="<?php echo $this->get_field_name('panache_social_rss'); ?>" type="checkbox" <?php checked( $rss, 'on' ); ?> /></p>
			<p>Tumblr <input name="<?php echo $this->get_field_name('panache_social_tumblr'); ?>" type="checkbox" <?php checked( $tumblr, 'on' ); ?> /></p>
			<p>Twitter <input name="<?php echo $this->get_field_name('panache_social_twitter'); ?>" type="checkbox" <?php checked( $twitter, 'on' ); ?> /></p>
			<p>Vimeo <input name="<?php echo $this->get_field_name('panache_social_vimeo'); ?>" type="checkbox" <?php checked( $vimeo, 'on' ); ?> /></p>
			<p>Yelp <input name="<?php echo $this->get_field_name('panache_social_yelp'); ?>" type="checkbox" <?php checked( $yelp, 'on' ); ?> /></p>
			<p>Youtube <input name="<?php echo $this->get_field_name('panache_social_youtube'); ?>" type="checkbox" <?php checked( $youtube, 'on' ); ?> /></p>
		<?php	
	}
	
	//save the widget settings
	public function update ( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
        $instance['panache_social_title'] = strip_tags( $new_instance['panache_social_title'] );
		$instance['panache_social_icon_size'] = strip_tags( $new_instance['panache_social_icon_size'] );
		$instance['panache_social_delicious'] = strip_tags( $new_instance['panache_social_delicious'] );
		$instance['panache_social_digg'] = strip_tags( $new_instance['panache_social_digg'] );
		$instance['panache_social_facebook'] = strip_tags( $new_instance['panache_social_facebook'] );
		$instance['panache_social_flickr'] = strip_tags( $new_instance['panache_social_flickr'] );
		$instance['panache_social_google'] = strip_tags( $new_instance['panache_social_google'] );
		$instance['panache_social_instagram'] = strip_tags( $new_instance['panache_social_instagram'] );
		$instance['panache_social_linkedin'] = strip_tags( $new_instance['panache_social_linkedin'] );
		$instance['panache_social_myspace'] = strip_tags( $new_instance['panache_social_myspace'] );
		$instance['panache_social_pinterest'] = strip_tags( $new_instance['panache_social_pinterest'] );
		$instance['panache_social_rss'] = strip_tags( $new_instance['panache_social_rss'] );
		$instance['panache_social_tumblr'] = strip_tags( $new_instance['panache_social_tumblr'] );
		$instance['panache_social_twitter'] = strip_tags( $new_instance['panache_social_twitter'] );
		$instance['panache_social_vimeo'] = strip_tags( $new_instance['panache_social_vimeo'] );
		$instance['panache_social_yelp'] = strip_tags( $new_instance['panache_social_yelp'] );
		$instance['panache_social_youtube'] = strip_tags( $new_instance['panache_social_youtube'] );
		
		return $instance;
	}
	
	//display the widget
	public function widget($args, $instance) {

		extract ( $args);
		echo $before_widget;
		$title = apply_filters( 'widget_title', $instance['panache_social_title'] );
		if ( !empty( $title )) { echo $before_title.$title.$after_title;}
		$html = '';
		
		$html .= '<div class="panache-social-widget">';
			if ( $instance['panache_social_icon_size'] == 'small' ){
				If(esc_url(panache_get_option('panache_delicious_link')) !=="" && $instance['panache_social_delicious'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_delicious_link')) . '" target="_blank" ><i class="fa fa-delicious small" title="Delicious"></i></a>';
				If(esc_url(panache_get_option('panache_digg_link')) != "" && $instance['panache_social_digg'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_digg_link')) . '" target="_blank" ><i class="fa fa-digg small" title="Digg"></i></a>';
				If(esc_url(panache_get_option('panache_facebook_link')) !=="" && $instance['panache_social_facebook'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_facebook_link')) . '" target="_blank" ><i class="fa fa-facebook-square small" title="Facebook"></i></a>';
				If(esc_url(panache_get_option('panache_flickr_link')) !=="" && $instance['panache_social_flickr'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_flickr_link')) . '" target="_blank" ><i class="fa fa-flickr small" title="Flickr"></i></a>';
				If(esc_url(panache_get_option('panache_google_link')) !=="" && $instance['panache_social_google'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_google_link')) . '" target="_blank" ><i class="fa fa-google-plus-square small" title="Google+"></i></a>';
				If(esc_url(panache_get_option('panache_instagram_link')) !=="" && $instance['panache_social_instagram'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_instagram_link')) . '" target="_blank" ><i class="fa fa-instagram small" title="Instagram"></i></a>';
				If(esc_url(panache_get_option('panache_linkedin_link')) !=="" && $instance['panache_social_linkedin'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_linkedin_link')) . '" target="_blank" ><i class="fa fa-linkedin-square small" title="Linkedin"></i></a>';
				If(esc_url(panache_get_option('panache_myspace_link')) !=="" && $instance['panache_social_myspace'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_myspace_link')) . '" target="_blank" ><i class="fa fa-users small" title="Myspace"></i></a>';
				If(esc_url(panache_get_option('panache_pinterest_link')) !=="" && $instance['panache_social_pinterest'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_pinterest_link')) . '" target="_blank" ><i class="fa fa-pinterest-square small" title="Pinterest"></i></a>';
				If(esc_url(panache_get_option('panache_rss_link')) !=="" && $instance['panache_social_rss'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_rss_link')) . '" target="_blank" ><i class="fa fa-rss-square small" title="RSS"></i></a>';
				If(esc_url(panache_get_option('panache_tumblr_link')) !=="" && $instance['panache_social_tumblr'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_tumblr_link')) . '" target="_blank" ><i class="fa fa-tumblr-square small" title="Tumblr"></i></a>';
				If(esc_url(panache_get_option('panache_twitter_link')) !=="" && $instance['panache_social_twitter'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_twitter_link')) . '" target="_blank" ><i class="fa fa-twitter-square small" title="Twitter"></i></a>';
				If(esc_url(panache_get_option('panache_vimeo_link')) !=="" && $instance['panache_social_vimeo'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_vimeo_link')) . '" target="_blank" ><i class="fa fa-vimeo-square small" title="Vimeo"></i></a>';
				If(esc_url(panache_get_option('panache_yelp_link')) !=="" && $instance['panache_social_yelp'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_yelp_link')) . '" target="_blank" ><i class="fa fa-yelp small" title="Yelp"></i></a>';
				If(esc_url(panache_get_option('panache_youtube_link')) !=="" && $instance['panache_social_youtube'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_youtube_link')) . '" target="_blank" ><i class="fa fa-youtube-square small" title="Youtube"></i></a>';
			} else {
				If(esc_url(panache_get_option('panache_delicious_link')) !=="" && $instance['panache_social_delicious'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_delicious_link')) . '" target="_blank" ><i class="fa fa-delicious large" title="Delicious"></i></a>';
				If(esc_url(panache_get_option('panache_digg_link')) != "" && $instance['panache_social_digg'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_digg_link')) . '" target="_blank" ><i class="fa fa-digg large" title="Digg"></i></a>';
				If(esc_url(panache_get_option('panache_facebook_link')) !=="" && $instance['panache_social_facebook'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_facebook_link')) . '" target="_blank" ><i class="fa fa-facebook-square large" title="Facebook"></i></a>';
				If(esc_url(panache_get_option('panache_flickr_link')) !=="" && $instance['panache_social_flickr'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_flickr_link')) . '" target="_blank" ><i class="fa fa-flickr large" title="Flickr"></i></a>';
				If(esc_url(panache_get_option('panache_google_link')) !=="" && $instance['panache_social_google'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_google_link')) . '" target="_blank" ><i class="fa fa-google-plus-square large" title="Google+"></i></a>';
				If(esc_url(panache_get_option('panache_instagram_link')) !=="" && $instance['panache_social_instagram'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_instagram_link')) . '" target="_blank" ><i class="fa fa-instagram large" title="Instagram"></i></a>';
				If(esc_url(panache_get_option('panache_linkedin_link')) !=="" && $instance['panache_social_linkedin'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_linkedin_link')) . '" target="_blank" ><i class="fa fa-linkedin-square large" title="Linkedin"></i></a>';
				If(esc_url(panache_get_option('panache_myspace_link')) !=="" && $instance['panache_social_myspace'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_myspace_link')) . '" target="_blank" ><i class="fa fa-users large" title="Myspace"></i></a>';
				If(esc_url(panache_get_option('panache_pinterest_link')) !=="" && $instance['panache_social_pinterest'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_pinterest_link')) . '" target="_blank" ><i class="fa fa-pinterest-square large" title="Pinterest"></i></a>';
				If(esc_url(panache_get_option('panache_rss_link')) !=="" && $instance['panache_social_rss'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_rss_link')) . '" target="_blank" ><i class="fa fa-rss-square large" title="RSS"></i></a>';
				If(esc_url(panache_get_option('panache_tumblr_link')) !=="" && $instance['panache_social_tumblr'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_tumblr_link')) . '" target="_blank" ><i class="fa fa-tumblr-square large" title="Tumblr"></i></a>';
				If(esc_url(panache_get_option('panache_twitter_link')) !=="" && $instance['panache_social_twitter'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_twitter_link')) . '" target="_blank" ><i class="fa fa-twitter-square large" title="Twitter"></i></a>';
				If(esc_url(panache_get_option('panache_vimeo_link')) !=="" && $instance['panache_social_vimeo'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_vimeo_link')) . '" target="_blank" ><i class="fa fa-vimeo-square large" title="Vimeo"></i></a>';
				If(esc_url(panache_get_option('panache_yelp_link')) !=="" && $instance['panache_social_yelp'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_yelp_link')) . '" target="_blank" ><i class="fa fa-yelp large" title="Yelp"></i></a>';
				If(esc_url(panache_get_option('panache_youtube_link')) !=="" && $instance['panache_social_youtube'] == 'on' ) $html .= '<a href="' . esc_url(panache_get_option('panache_youtube_link')) . '" target="_blank" ><i class="fa fa-youtube-square large" title="Youtube"></i></a>';
			}
		$html .= '</div>';
			
		echo $html;
		echo $after_widget; 
	}
}