<?php
/**
 * panache Theme Customizer
 * This file sets up the options for the theme.
 *
 * @package   panache WordPress Theme 
 * @copyright Copyright (C) YEAR, AUTHOR
 * @license	  GPLv2 or later http://www.gnu.org/licenses/quick-guide-gplv3.html
 * @author	  AUTHOR <www.author.site/contact/>
 * panache is distributed under the terms of the GNU GPL
 * 
 * ============ DO NOT REMOVE ===========================================================
 * This options setup is based upon the following :
 * KA WordPress Customize Setup, version 1.1
 * Copyright (C) 2015, Kevin Archibald kevinsspace.ca
 * This theme customizer setup file distributed under the GPL
 * http://www.gnu.org/licenses/quick-guide-gplv3.html  GNU Public License
 * ============ END DO NOT REMOVE ========================================================
 * =======================================================================================
 *                                       Notes
 * =======================================================================================
 * customizer refers to Appearance=>Customize in the WordPress admin panel.
 * 
 * This script is really designed for theme developers who will have alot of options.
 * You can set up options in sections within panels in the customizer.
 * You can save options to the theme_mods_panache table or the panache_customize_options 
 * table in the options section of your WordPress database
 * theme_mods_panache - options saved here will need to be re-entered in a child theme
 * panache_customize_options - these options will also be used by child themes
 */
/** ==================== ADD HTML BLOCK to CUSTOMIZE PANEL ================================
 * 
 * This function adds a html block at the start of the options which allows an intro panel
 * ****************************************************************************************
 * Important replace panel1 in the add_action()with the name of the first panel you create
 * ****************************************************************************************
 * If you do not want this feature then delete the code
 * 
 */
add_action( 'customize_render_panel_panache_intro', 'panache_customizer_intro' );
function panache_customizer_intro(){

    echo '<li id="accordion-panel-general" class="panache-intro accordion-section control-section control-panel control-panel-default">'.
			'<h3 class="panache-intro-title">'.
				__('Panache Theme Links','panache').
				'<span class="screen-reader-text">Press return or enter to expand</span>'.
			'</h3>'.
			//Author site
			'<a class="panache-intro-author button" href="//kevinsspace.ca/" title="//kevinsspace.ca/" target="_blank" >'.
			__('Author','panache').'</a>'.
			//Demo Site
			'<a class="panache-intro-demo button" href="//kevinsspace.ca/demo3/" title="//kevinsspace.ca/demo3/" target="_blank" >'.
			__('Demo','panache').'</a>'.
			//User Documentation Page for your theme
			'<a class="panache-intro-docs button" href="//kevinsspace.ca/demo3/introduction/" title="//kevinsspace.ca/demo3/introduction/" target="_blank" >'.
			__('Docs','panache').'</a>'.
			// Donate Link
			'<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">'.
				'<input type="hidden" name="cmd" value="_s-xclick">'.
				'<input type="hidden" name="hosted_button_id" value="D2Q328RQAC4XW">'.
				'<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">'.
				'<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">'.
			'</form>'.
		'</li>';
}
/** ===================== PANEL and SECTION ARRAY ========================================
 * 
 * This function sets up the panels and sub panels for the Theme Customizer
 * The first panel is named panel1 and this is the panel to use for your theme info links.
 * If you want to add theme info links:
 *     *********See the section above ADD HTML BLOCK to CUSTOMIZE PANEL*************
 * 
 * For demonstration purposes, this sets up an array with three panels.
 * Fill in your own information for your customizer options setup
 * 
 */
function panache_get_customizer_groups() {
	$groups = array (
		'panache_intro' => array(
			'name' => 'panache_intro',
			'title' => __( 'Panache Intro','panache'),
			'description' => '',
			'priority' => 1,
			'sections' => array(
				'intro_intro' => array(
					'name' => 'intro_intro',
					'title' => __( 'Panache Intro Links','panache'),
					'description' => '',
					'priority' => 1
				)
			)
		),
		'panache_general' => array( //you must have at least one panel
			'name' => 'panache_general',// id of the panel keep the same as the panel key above
			'title' => __( 'Panache General','panache'),//title for the panel, for ex panache General Options
			'description' => '',
			'priority' => 1,//priority where the panels will go in the display
			'sections' => array(//must have at least one section
				'general_general' => array( //good practice to keep the array key the same as the name
					'name' => 'general_general',//name of the section that will be used where the options are set up
					'title' => __( 'General Options','panache'),//title that will appear for the section
					'description' => '',//you can add a description of what is in the section if you want
					'priority' => 1//priority where the section will list within the panel
				),
				'general_nivo' => array(//repeat sections as you want
					'name' => 'general_nivo',
					'title' => __( 'Nivo Slider Options','panache'),
					'description' => '',
					'priority' => 2
				),
				'general_flex' => array(//repeat sections as you want
					'name' => 'general_flex',
					'title' => __( 'Flex Slider Options','panache'),
					'description' => '',
					'priority' => 3
				),
				'general_jquery' => array(//repeat sections as you want
					'name' => 'general_jquery',
					'title' => __( 'jQuery Options','panache'),
					'description' => '',
					'priority' => 4
				),
			),
		),
		'panache_layouts' => array(//repeat panels as you want
			'name' => 'panache_layouts',
			'title' => __( 'Panache Layouts','panache'),
			'description' => '',
			'priority' => 2,
			'sections' => array(
				'layouts_general' => array(
					'name' => 'layouts_general',
					'title' => __( 'General Layout Options','panache'),
					'description' => '',
					'priority' => 1
				),
				'layouts_index' => array(
					'name' => 'layouts_index',
					'title' => __( 'Default Page Setup','panache'),
					'description' => '',
					'priority' => 2
				),
				'layouts_author' => array(
					'name' => 'layouts_author',
					'title' => __( 'Author Page Setup','panache'),
					'description' => '',
					'priority' => 3
				),
				'layouts_category' => array(
					'name' => 'layouts_category',
					'title' => __( 'Category Page Setup','panache'),
					'description' => '',
					'priority' => 4
				),
				'layouts_date' => array(
					'name' => 'layouts_date',
					'title' => __( 'Date Page Setup','panache'),
					'description' => '',
					'priority' => 5
				),
				'layouts_search' => array(
					'name' => 'layouts_search',
					'title' => __( 'Search Page Setup','panache'),
					'description' => '',
					'priority' => 6
				),
				'layouts_single' => array(
					'name' => 'layouts_single',
					'title' => __( 'Single Page Setup','panache'),
					'description' => '',
					'priority' => 7
				),
				'layouts_tag' => array(
					'name' => 'layouts_tag',
					'title' => __( 'Tag Page Setup','panache'),
					'description' => '',
					'priority' => 8
				),
				'layouts_404' => array(
					'name' => 'layouts_404',
					'title' => __( 'Error Page Setup','panache'),
					'description' => '',
					'priority' => 9
				),
			),
		),
		'panache_header' => array(
			'name' => 'panache_header',
			'title' => __( 'Panache Headers','panache'),
			'description' => '',
			'priority' => 3,
			'sections' => array(
				'header_general' => array(
					'name' => 'header_general',
					'title' => __( 'General Header Options','panache'),
					'description' => '',
					'priority' => 1
				),
				'header_setup_1' => array(
					'name' => 'header_setup_1',
					'title' => __( 'Setup Option 1','panache'),
					'description' => 'Setup 1 is more flexible, offering a center or left logo, optional blog title and description, widgetized areas. It is best to visit the user docs at the demo site to set up your header using this option.',
					'priority' => 2
				),
				'header_setup_2' => array(
					'name' => 'header_setup_2',
					'title' => __( 'Setup Option 2','panache'),
					'description' => 'Setup 2 is more rigid, allowing 2 widgetized areas and a specific sized logo',
					'priority' => 3
				)
			)
		),
		'panache_footer' => array(
			'name' => 'panache_footer',
			'title' => __( 'Panache Footer','panache'),
			'description' => '',
			'priority' => 4,
			'sections' => array(
				'footer_footer' => array(
					'name' => 'footer_footer',
					'title' => __( 'Footer Options','panache'),
					'description' => '',
					'priority' => 1
				),
				'footer_copyright' => array(
					'name' => 'footer_copyright',
					'title' => __( 'Copyright Strip Options','panache'),
					'description' => '',
					'priority' => 2
				)
			)
		),
		'panache_social' => array(
			'name' => 'panache_social',
			'title' => __( 'Panache Social','panache'),
			'description' => '',
			'priority' => 5,
			'sections' => array(
				'social_social' => array(
					'name' => 'social_social',
					'title' => __( 'Social Links','panache'),
					'description' => '',
					'priority' => 1
				)
			)
		),
		'panache_styles' => array(
			'name' => 'panache_styles',
			'title' => __( 'Panache Styles','panache'),
			'description' => '',
			'priority' => 6,
			'sections' => array(
				'styles_general' => array(
					'name' => 'styles_general',
					'title' => __( 'Panache: General Styles','panache'),
					'description' => __( 'General style changes','panache'),
					'priority' => 1
				),
				'styles_header_font' => array(
					'name' => 'styles_header_font',
					'title' => __( 'Header Font Options','panache'),
					'description' => __( 'Select the font for your header text. This font is used for all h1-h6 html tags.','panache'),
					'priority' => 2
				),
				'styles_body_font' => array(
					'name' => 'styles_body_font',
					'title' => __( 'Body Font Options','panache'),
					'description' => __( 'Select the font for your body text.','panache'),
					'priority' => 3
				),
				'styles_custom_font' => array(
					'name' => 'styles_custom_font',
					'title' => __( 'Custom Font Option','panache'),
					'description' => __( 'For Child Theme developers, you can put in a link to a Google Font, then reference it in your css font-family property.','panache'),
					'priority' => 4
				),
			)
		),
		'panache_blog' => array(
			'name' => 'panache_blog',
			'title' => __( 'Panache Blog','panache'),
			'description' => '',
			'priority' => 7,
			'sections' => array(
				'blog_general' => array(
					'name' => 'blog_general',
					'title' => __( 'General Blog Options','panache'),
					'description' => '',
					'priority' => 1
				),
				'blog_posts' => array(
					'name' => 'blog_posts',
					'title' => __( 'Post Options','panache'),
					'description' => '',
					'priority' => 2
				),
				'blog_post_formats' => array(
					'name' => 'blog_post_formats',
					'title' => __( 'Post Format Options','panache'),
					'description' => '',
					'priority' => 3
				)
			)
		),
		'panache_home' => array(
			'name' => 'panache_home',
			'title' => __( 'Panache Static Front','panache'),
			'description' => '',
			'priority' => 8,
			'sections' => array(
				'home_layout' => array(
					'name' => 'home_layout',
					'title' => __( 'Home Page Layout Options','panache'),
					'description' => __( 'Select up to 8 sections for your layout.','panache'),
					'priority' => 1
				),
				'home_section_1' => array(
					'name' => 'home_section_1',
					'title' => __( 'Section 1 Options','panache'),
					'description' => __( 'Section 1 contains html text and an optional button.','panache'),
					'priority' => 2
				),
				'home_section_2' => array(
					'name' => 'home_section_2',
					'title' => __( 'Section 2 Options','panache'),
					'description' => __( 'Section 2 contains 3 service boxes, allowing an image,title,html text,and a button.','panache'),
					'priority' => 3
				),
				'home_section_3' => array(
					'name' => 'home_section_3',
					'title' => __( 'Section 3 Options','panache'),
					'description' => __( 'Section 3 contains html text and an optional button.','panache'),
					'priority' => 4
				),
				'home_section_4' => array(
					'name' => 'home_section_4',
					'title' => __( 'Section 4 Options','panache'),
					'description' => __( 'Section 4 contains 2 service boxes, allowing an image,title,html text,and a button.','panache'),
					'priority' => 5
				),
				'home_section_5' => array(
					'name' => 'home_section_5',
					'title' => __( 'Section 5 Options','panache'),
					'description' => __( 'Section 5 contains html text and an optional button.','panache'),
					'priority' => 6
				),
				'home_section_6' => array(
					'name' => 'home_section_6',
					'title' => __( 'Section 6 Options','panache'),
					'description' => __( 'Section 6 contains 2 service boxes, allowing an image,title,html text,and a button.','panache'),
					'priority' => 7
				),
				'home_section_7' => array(
					'name' => 'home_section_7',
					'title' => __( 'Section 7 Options','panache'),
					'description' => __( 'Section 7 contains html text and an optional button.','panache'),
					'priority' => 8
				),
				'home_section_8' => array(
					'name' => 'home_section_8',
					'title' => __( 'Section 8 Options','panache'),
					'description' => __( 'Section contains 4 service boxes, allowing an image,title,html text,and a button.','panache'),
					'priority' => 9
				)
			)
		)//note there is no comma for the last array
	);

	return apply_filters( 'panache_get_customizer_groups', $groups );
}

/** ===================== OPTIONS ARRAY ========================================
 * This function sets up the array with the option parameters
 * 
 * format 
 * 
 * 'panache_id' => array(
 *		'name' => 'panache_id',//keep the name the same as the option key. ALL OPTION NAMES MUST BE UNIQUE
 *		'title' => __('Title of Option','panache'),//title to show in option
 * 		'option_type' => 'text',//text, textarea, checkbox, radio, select, range, image, color, upload, scat, stag
 * 		'setting_type' => 'option', //option->saves to separate table called panache_customize_options[]
 * 							        //	  ->will not be changed in child theme
 * 									//theme_mod->saves to theme options table called theme_mods_panache[]
 * 									//		 ->will have to be re-entered for child theme
 * 		'description' => __("Description of option",'panache'), //additional documentation for option
 *		'section' => 'panel1_section1', //panel you want the option to appear under
 *		'priority' => 1, // order within the section that the option is displayed
 *		'default' => '', // sane default, what default do you want to use if the user does not update this option
 *		'transport' => 'refresh', // refresh-> page must be reloaded to use the option
 * 								  // postMessage-> you have custom Javascript to instantly update the preview window
 *		'sanitize' => 'is_email'// sanitize callback function you want to use, see recommended below
 * 							    // checkbox=>wp_validate_boolean,
 * 								// text(email) => is_email,text(nohtml)=>sanitize_text_field,
 * 								// text(html allowed)=>wp_kses_post,text(link) => esc_url_raw,
 * 								// textarea(no html allowed)=>esc_html,textarea(html allowed)=> wp_kses_post
 * 								// radio=>sanitize_text_field,select=>sanitize_text_field,
 * 								// image=>esc_url_raw,upload=>esc_url_raw,
 * 								// range=>sanitize_text_field,color=>sanitize_hex_color,
 * 								// scat=>sanitize_text_field,stag=>sanitize_text_field
 *	),
 * 
 * for select and radio lists and the range slider there is a choices array to also set up, see the defaults below
 * 
 * NOTE: Panel 1 Section 1 contains a comlete set of option examples available for this script
 * Simply cut and paste to add the option of your choice
 */
function panache_get_customizer_option_partameters() {
	$options = array (
		
		/* Panel:panache_intro Section:intro_intro */
		'panache_intro_text' => array(
			'name' => 'panache_intro_text',
			'title' => __('Panache Theme Intro Text','panache'),
			'option_type' => 'text', 
			'setting_type' => 'option',
			'description' => '',
			'section' => 'intro_intro',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_general Section:general_general */
		'panache_exclude_ids' => array(
			'name' => 'panache_exclude_ids',
			'title' => __('Category id\'s to exclude','panache'),
			'option_type' => 'text', 
			'setting_type' => 'option',
			'description' => __("Separate by comma, exclude from archive,siteplan,single page navigation",'panache'),
			'section' => 'general_general',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_general Section:general_nivo */
		'panache_nivo_slider_effect' => array(
			'name' => 'panache_nivo_slider_effect',
			'title' => __('Nivo Slider Transition Effect','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'sliceDown'		=> __( 'Slice Down' , 'panache'),
				'sliceUp'		=> __( 'Slice Up', 'panache'),
				'fold'			=> __( 'Fold', 'panache'),
				'fade'			=> __( 'Fade', 'panache'),
				'random'		=> __( 'Random', 'panache'),
				'slideInRight'	=> __( 'Slide In Right', 'panache'),
				'slideInLeft'	=> __( 'Slide In Left', 'panache'),
				'boxRain'		=> __( 'Box Rain', 'panache'),
				'boxRainGrow'	=> __( 'Box Rain Grow' , 'panache')
			),
			'description' => __('Select the transition for the slider','panache'),
			'section' => 'general_nivo',
			'priority' => 1,
			'default' => 'fade',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_nivo_slider_pause' => array(
			'name' => 'panache_nivo_slider_pause',
			'title' => __('Nivo Slider Pause Time','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'4000' => '4000',
				'5000' => '5000',
				'6000' => '6000',
				'7000' => '7000',
				'8000' => '8000',
				'9000' => '9000',
				'10000' => '10000',
				'11000' => '11000',
				'12000' => '12000'
			),
			'description' => __('Select the pause time in milli-seconds','panache'),
			'section' => 'general_nivo',
			'priority' => 2,
			'default' => '5000',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_nivo_slider_trans' => array(
			'name' => 'panache_nivo_slider_trans',
			'title' => __('Nivo Slider Transition Time','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'500' => '500',
				'600' => '600',
				'750' => '750',
				'1000' => '1000',
				'1250' => '1250',
				'1500' => '1500',
				'1750' => '1750',
				'2000' => '2000'
			),
			'description' => __('Select the transition time in milli-seconds','panache'),
			'section' => 'general_nivo',
			'priority' => 3,
			'default' => '600',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_general Section:general_flex */
		'panache_flex_slider_auto' => array(
			'name' => 'panache_flex_slider_auto',
			'title' => __('Feature Slider Auto Mode','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Checked for auto slider','panache'),
			'section' => 'general_flex',
			'priority' => 1,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_flex_slider_effect' => array(
			'name' => 'panache_flex_slider_effect',
			'title' => __('Feature Slider Transition Effect','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'slide'	=> __( 'Slide' , 'panache' ),
				'fade'	=> __( 'Fade' , 'panache' )
			),
			'description' => __('Select the transition for the slider','panache'),
			'section' => 'general_flex',
			'priority' => 2,
			'default' => 'fade',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_flex_slider_pause' => array(
			'name' => 'panache_flex_slider_pause',
			'title' => __('Feature Slider Pause Time','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'4000' => '4000',
				'5000' => '5000',
				'6000' => '6000',
				'7000' => '7000',
				'8000' => '8000',
				'9000' => '9000',
				'10000' => '10000',
				'11000' => '11000',
				'12000' => '12000'
			),
			'description' => __('Select the pause time in milli-seconds','panache'),
			'section' => 'general_flex',
			'priority' => 3,
			'default' => '5000',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_flex_slider_trans' => array(
			'name' => 'panache_flex_slider_trans',
			'title' => __('Feature Slider Transition Time','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'500' => '500',
				'600' => '600',
				'750' => '750',
				'1000' => '1000',
				'1250' => '1250',
				'1500' => '1500',
				'1750' => '1750',
				'2000' => '2000'
			),
			'description' => __('Select the transition time in milli-seconds','panache'),
			'section' => 'general_flex',
			'priority' => 4,
			'default' => '600',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_flex_gallery_auto' => array(
			'name' => 'panache_flex_gallery_auto',
			'title' => __('Gallery Slider Auto Mode','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Checked for auto slider','panache'),
			'section' => 'general_flex',
			'priority' => 5,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_flex_gallery_effect' => array(
			'name' => 'panache_flex_gallery_effect',
			'title' => __('Gallery Slider Transition Effect','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'slide'	=> __( 'Slide' , 'panache' ),
				'fade'	=> __( 'Fade' , 'panache' )
			),
			'description' => __('Select the transition for the slider','panache'),
			'section' => 'general_flex',
			'priority' => 6,
			'default' => 'fade',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_flex_gallery_pause' => array(
			'name' => 'panache_flex_gallery_pause',
			'title' => __('Gallery Slider Pause Time','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'4000' => '4000',
				'5000' => '5000',
				'6000' => '6000',
				'7000' => '7000',
				'8000' => '8000',
				'9000' => '9000',
				'10000' => '10000',
				'11000' => '11000',
				'12000' => '12000'
			),
			'description' => __('Select the pause time in milli-seconds','panache'),
			'section' => 'general_flex',
			'priority' => 7,
			'default' => '5000',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_flex_gallery_trans' => array(
			'name' => 'panache_flex_gallery_trans',
			'title' => __('Gallery Slider Transition Time','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'500' => '500',
				'600' => '600',
				'750' => '750',
				'1000' => '1000',
				'1250' => '1250',
				'1500' => '1500',
				'1750' => '1750',
				'2000' => '2000'
			),
			'description' => __('Select the transition time in milli-seconds','panache'),
			'section' => 'general_flex',
			'priority' => 8,
			'default' => '600',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_general Section:general_jquery */
		'panache_disable_colorboxjs' => array(
			'name' => 'panache_disable_colorboxjs',
			'title' => __('Disable colorbox.js plugin','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('colorbox.js is a javascript image plugin','panache'),
			'section' => 'general_jquery',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_disable_fitvidsjs' => array(
			'name' => 'panache_disable_fitvidsjs',
			'title' => __('Disable fitvids.js plugin','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('fitvids.js is the responsive video javascript plugin','panache'),
			'section' => 'general_jquery',
			'priority' => 2,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		/* Panel:panache_layouts Section:layouts_general */
		'panache_side_menu_title' => array(
			'name' => 'panache_side_menu_title',
			'title' => __('Side Menu Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __("HTML not allowed",'panache'),
			'section' => 'layouts_general',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_breadcrumbs' => array(
			'name' => 'panache_breadcrumbs',
			'title' => __('Breadcrumbs Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'no breadcrumbs' => __( 'No Breadcrumbs' , 'panache' ),
				'within title - left and right titles only' => __( 'Within Title - left and right titles only' , 'panache' ),
				'breadcrumbs always below page title' => __( 'Breadcrumbs Below Title' , 'panache' ),
			),
			'description' => __('Select a layout or no breadcrumbs','panache'),
			'section' => 'layouts_general',
			'priority' => 2,
			'default' => 'no breadcrumbs',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_layouts Section:layouts_index */
		'panache_index_layout' => array(
			'name' => 'panache_index_layout',
			'title' => __('Layout Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'C_A'		=>	__( 'Content - Sidebar A', 'panache' ),
				'A_C'		=>	__( 'Sidebar A - Content', 'panache' ),
				'A_C_B'		=>	__( 'Sidebar A - Content - Sidebar B', 'panache' ),
				'A_B_C'		=>	__( 'Sidebar A - Sidebar B - Content', 'panache' ),
				'C_A_B'		=>	__( 'Content - Sidebar A - Sidebar B', 'panache' ),
				'M_C_B'		=>	__( 'Menu Sidebar A - Content - Sidebar B', 'panache' ),
				'M_B_C'		=>	__( 'Menu Sidebar A - Sidebar B - Content', 'panache' ),
				'M_C'		=>	__( 'Menu Sidebar A - Content', 'panache' ),
				'F_W'		=>	__( 'Full Width' , 'panache' )
			),
			'description' => __('Select a layout from the list','panache'),
			'section' => 'layouts_index',
			'priority' => 1,
			'default' => 'C_A',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_index_title' => array(
			'name' => 'panache_index_title',
			'title' => __('Title Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'left title'	=>__( 'left title', 'panache' ),
				'right title'	=>__( 'right title', 'panache' ),
				'center title'	=>__( 'center title', 'panache' ),
				'no title'		=>__( 'no title', 'panache' )
			),
			'description' => __('Select a title layout option or no title','panache'),
			'section' => 'layouts_index',
			'priority' => 2,
			'default' => 'left title',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_index_sidebar_a' => array(
			'name' => 'panache_index_sidebar_a',
			'title' => __('Sidebar A','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_index',
			'priority' => 3,
			'default' => 'default_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_index_sidebar_b' => array(
			'name' => 'panache_index_sidebar_b',
			'title' => __('Sidebar B','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_index',
			'priority' => 4,
			'default' => 'default_b',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_layouts Section:layouts_author */
		'panache_author_layout' => array(
			'name' => 'panache_author_layout',
			'title' => __('Layout Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'C_A'		=>	__( 'Content - Sidebar A', 'panache' ),
				'A_C'		=>	__( 'Sidebar A - Content', 'panache' ),
				'A_C_B'		=>	__( 'Sidebar A - Content - Sidebar B', 'panache' ),
				'A_B_C'		=>	__( 'Sidebar A - Sidebar B - Content', 'panache' ),
				'C_A_B'		=>	__( 'Content - Sidebar A - Sidebar B', 'panache' ),
				'M_C_B'		=>	__( 'Menu Sidebar A - Content - Sidebar B', 'panache' ),
				'M_B_C'		=>	__( 'Menu Sidebar A - Sidebar B - Content', 'panache' ),
				'M_C'		=>	__( 'Menu Sidebar A - Content', 'panache' ),
				'F_W'		=>	__( 'Full Width' , 'panache' )
			),
			'description' => __('Select a layout from the list','panache'),
			'section' => 'layouts_author',
			'priority' => 1,
			'default' => 'C_A',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_author_title' => array(
			'name' => 'panache_author_title',
			'title' => __('Title Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'left title'	=>__( 'left title', 'panache' ),
				'right title'	=>__( 'right title', 'panache' ),
				'center title'	=>__( 'center title', 'panache' ),
				'no title'		=>__( 'no title', 'panache' )
			),
			'description' => __('Select a title layout option or no title','panache'),
			'section' => 'layouts_author',
			'priority' => 2,
			'default' => 'left title',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_include_author_bio' => array(
			'name' => 'panache_include_author_bio',
			'title' => __('Include author bio','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check this include author avatar and bio','panache'),
			'section' => 'layouts_author',
			'priority' => 3,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_author_sidebar_a' => array(
			'name' => 'panache_author_sidebar_a',
			'title' => __('Sidebar A','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_author',
			'priority' => 4,
			'default' => 'default_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_author_sidebar_b' => array(
			'name' => 'panache_author_sidebar_b',
			'title' => __('Sidebar B','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_author',
			'priority' => 5,
			'default' => 'default_b',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_layouts Section:layouts_category */
		'panache_category_layout' => array(
			'name' => 'panache_category_layout',
			'title' => __('Layout Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'C_A'		=>	__( 'Content - Sidebar A', 'panache' ),
				'A_C'		=>	__( 'Sidebar A - Content', 'panache' ),
				'A_C_B'		=>	__( 'Sidebar A - Content - Sidebar B', 'panache' ),
				'A_B_C'		=>	__( 'Sidebar A - Sidebar B - Content', 'panache' ),
				'C_A_B'		=>	__( 'Content - Sidebar A - Sidebar B', 'panache' ),
				'M_C_B'		=>	__( 'Menu Sidebar A - Content - Sidebar B', 'panache' ),
				'M_B_C'		=>	__( 'Menu Sidebar A - Sidebar B - Content', 'panache' ),
				'M_C'		=>	__( 'Menu Sidebar A - Content', 'panache' ),
				'F_W'		=>	__( 'Full Width' , 'panache' )
			),
			'description' => __('Select a layout from the list','panache'),
			'section' => 'layouts_category',
			'priority' => 1,
			'default' => 'C_A',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_category_title' => array(
			'name' => 'panache_category_title',
			'title' => __('Title Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'left title'	=>__( 'left title', 'panache' ),
				'right title'	=>__( 'right title', 'panache' ),
				'center title'	=>__( 'center title', 'panache' ),
				'no title'		=>__( 'no title', 'panache' )
			),
			'description' => __('Select a title layout option or no title','panache'),
			'section' => 'layouts_category',
			'priority' => 2,
			'default' => 'left title',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_category_sidebar_a' => array(
			'name' => 'panache_category_sidebar_a',
			'title' => __('Sidebar A','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_category',
			'priority' => 3,
			'default' => 'default_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_category_sidebar_b' => array(
			'name' => 'panache_category_sidebar_b',
			'title' => __('Sidebar B','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_category',
			'priority' => 4,
			'default' => 'default_b',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_layouts Section:layouts_date */
		'panache_date_layout' => array(
			'name' => 'panache_date_layout',
			'title' => __('Layout Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'C_A'		=>	__( 'Content - Sidebar A', 'panache' ),
				'A_C'		=>	__( 'Sidebar A - Content', 'panache' ),
				'A_C_B'		=>	__( 'Sidebar A - Content - Sidebar B', 'panache' ),
				'A_B_C'		=>	__( 'Sidebar A - Sidebar B - Content', 'panache' ),
				'C_A_B'		=>	__( 'Content - Sidebar A - Sidebar B', 'panache' ),
				'M_C_B'		=>	__( 'Menu Sidebar A - Content - Sidebar B', 'panache' ),
				'M_B_C'		=>	__( 'Menu Sidebar A - Sidebar B - Content', 'panache' ),
				'M_C'		=>	__( 'Menu Sidebar A - Content', 'panache' ),
				'F_W'		=>	__( 'Full Width' , 'panache' )
			),
			'description' => __('Select a layout from the list','panache'),
			'section' => 'layouts_date',
			'priority' => 1,
			'default' => 'C_A',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_date_title' => array(
			'name' => 'panache_date_title',
			'title' => __('Title Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'left title'	=>__( 'left title', 'panache' ),
				'right title'	=>__( 'right title', 'panache' ),
				'center title'	=>__( 'center title', 'panache' ),
				'no title'		=>__( 'no title', 'panache' )
			),
			'description' => __('Select a title layout option or no title','panache'),
			'section' => 'layouts_date',
			'priority' => 2,
			'default' => 'left title',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_date_sidebar_a' => array(
			'name' => 'panache_date_sidebar_a',
			'title' => __('Sidebar A','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_date',
			'priority' => 3,
			'default' => 'default_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_date_sidebar_b' => array(
			'name' => 'panache_date_sidebar_b',
			'title' => __('Sidebar B','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_date',
			'priority' => 4,
			'default' => 'default_b',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_layouts Section:layouts_search */
		'panache_search_layout' => array(
			'name' => 'panache_search_layout',
			'title' => __('Layout Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'C_A'		=>	__( 'Content - Sidebar A', 'panache' ),
				'A_C'		=>	__( 'Sidebar A - Content', 'panache' ),
				'A_C_B'		=>	__( 'Sidebar A - Content - Sidebar B', 'panache' ),
				'A_B_C'		=>	__( 'Sidebar A - Sidebar B - Content', 'panache' ),
				'C_A_B'		=>	__( 'Content - Sidebar A - Sidebar B', 'panache' ),
				'M_C_B'		=>	__( 'Menu Sidebar A - Content - Sidebar B', 'panache' ),
				'M_B_C'		=>	__( 'Menu Sidebar A - Sidebar B - Content', 'panache' ),
				'M_C'		=>	__( 'Menu Sidebar A - Content', 'panache' ),
				'F_W'		=>	__( 'Full Width' , 'panache' )
			),
			'description' => __('Select a layout from the list','panache'),
			'section' => 'layouts_search',
			'priority' => 1,
			'default' => 'C_A',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_search_title' => array(
			'name' => 'panache_search_title',
			'title' => __('Title Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'left title'	=>__( 'left title', 'panache' ),
				'right title'	=>__( 'right title', 'panache' ),
				'center title'	=>__( 'center title', 'panache' ),
				'no title'		=>__( 'no title', 'panache' )
			),
			'description' => __('Select a title layout option or no title','panache'),
			'section' => 'layouts_search',
			'priority' => 2,
			'default' => 'left title',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_search_sidebar_a' => array(
			'name' => 'panache_search_sidebar_a',
			'title' => __('Sidebar A','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_search',
			'priority' => 3,
			'default' => 'default_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_search_sidebar_b' => array(
			'name' => 'panache_search_sidebar_b',
			'title' => __('Sidebar B','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_search',
			'priority' => 4,
			'default' => 'default_b',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_layouts Section:layouts_single */
		'panache_single_post_layout' => array(
			'name' => 'panache_single_post_layout',
			'title' => __('Layout Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'C_A'		=>	__( 'Content - Sidebar A', 'panache' ),
				'A_C'		=>	__( 'Sidebar A - Content', 'panache' ),
				'A_C_B'		=>	__( 'Sidebar A - Content - Sidebar B', 'panache' ),
				'A_B_C'		=>	__( 'Sidebar A - Sidebar B - Content', 'panache' ),
				'C_A_B'		=>	__( 'Content - Sidebar A - Sidebar B', 'panache' ),
				'M_C_B'		=>	__( 'Menu Sidebar A - Content - Sidebar B', 'panache' ),
				'M_B_C'		=>	__( 'Menu Sidebar A - Sidebar B - Content', 'panache' ),
				'M_C'		=>	__( 'Menu Sidebar A - Content', 'panache' ),
				'F_W'		=>	__( 'Full Width' , 'panache' )
			),
			'description' => __('Select a layout from the list','panache'),
			'section' => 'layouts_single',
			'priority' => 1,
			'default' => 'C_A',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_single_title' => array(
			'name' => 'panache_single_title',
			'title' => __('Title Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'left title'	=>__( 'left title', 'panache' ),
				'right title'	=>__( 'right title', 'panache' ),
				'center title'	=>__( 'center title', 'panache' ),
				'no title'		=>__( 'no title', 'panache' )
			),
			'description' => __('Select a title layout option or no title','panache'),
			'section' => 'layouts_single',
			'priority' => 2,
			'default' => 'left title',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_single_sidebar_a' => array(
			'name' => 'panache_single_sidebar_a',
			'title' => __('Sidebar A','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_single',
			'priority' => 3,
			'default' => 'default_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_single_sidebar_b' => array(
			'name' => 'panache_single_sidebar_b',
			'title' => __('Sidebar B','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_single',
			'priority' => 4,
			'default' => 'default_b',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_layouts Section:layouts_tag */
		'panache_tag_layout' => array(
			'name' => 'panache_tag_layout',
			'title' => __('Layout Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'C_A'		=>	__( 'Content - Sidebar A', 'panache' ),
				'A_C'		=>	__( 'Sidebar A - Content', 'panache' ),
				'A_C_B'		=>	__( 'Sidebar A - Content - Sidebar B', 'panache' ),
				'A_B_C'		=>	__( 'Sidebar A - Sidebar B - Content', 'panache' ),
				'C_A_B'		=>	__( 'Content - Sidebar A - Sidebar B', 'panache' ),
				'M_C_B'		=>	__( 'Menu Sidebar A - Content - Sidebar B', 'panache' ),
				'M_B_C'		=>	__( 'Menu Sidebar A - Sidebar B - Content', 'panache' ),
				'M_C'		=>	__( 'Menu Sidebar A - Content', 'panache' ),
				'F_W'		=>	__( 'Full Width' , 'panache' )
			),
			'description' => __('Select a layout from the list','panache'),
			'section' => 'layouts_tag',
			'priority' => 1,
			'default' => 'C_A',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_tag_title' => array(
			'name' => 'panache_tag_title',
			'title' => __('Title Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'left title'	=>__( 'left title', 'panache' ),
				'right title'	=>__( 'right title', 'panache' ),
				'center title'	=>__( 'center title', 'panache' ),
				'no title'		=>__( 'no title', 'panache' )
			),
			'description' => __('Select a title layout option or no title','panache'),
			'section' => 'layouts_tag',
			'priority' => 2,
			'default' => 'left title',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_tag_sidebar_a' => array(
			'name' => 'panache_tag_sidebar_a',
			'title' => __('Sidebar A','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_tag',
			'priority' => 3,
			'default' => 'default_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_tag_sidebar_b' => array(
			'name' => 'panache_tag_sidebar_b',
			'title' => __('Sidebar B','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_tag',
			'priority' => 4,
			'default' => 'default_b',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_layouts Section:layouts_error */
		'panache_404_layout' => array(
			'name' => 'panache_404_layout',
			'title' => __('Error Layout Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'C_A'		=>	__( 'Content - Sidebar A', 'panache' ),
				'A_C'		=>	__( 'Sidebar A - Content', 'panache' ),
				'A_C_B'		=>	__( 'Sidebar A - Content - Sidebar B', 'panache' ),
				'A_B_C'		=>	__( 'Sidebar A - Sidebar B - Content', 'panache' ),
				'C_A_B'		=>	__( 'Content - Sidebar A - Sidebar B', 'panache' ),
				'M_C_B'		=>	__( 'Menu Sidebar A - Content - Sidebar B', 'panache' ),
				'M_B_C'		=>	__( 'Menu Sidebar A - Sidebar B - Content', 'panache' ),
				'M_C'		=>	__( 'Menu Sidebar A - Content', 'panache' ),
				'F_W'		=>	__( 'Full Width' , 'panache' )
			),
			'description' => __('Select a layout from the list','panache'),
			'section' => 'layouts_404',
			'priority' => 1,
			'default' => 'C_A',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_404_title' => array(
			'name' => 'panache_404_title',
			'title' => __('Title Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'left title'	=>__( 'left title', 'panache' ),
				'right title'	=>__( 'right title', 'panache' ),
				'center title'	=>__( 'center title', 'panache' ),
				'no title'		=>__( 'no title', 'panache' )
			),
			'description' => __('Select a title layout option or no title','panache'),
			'section' => 'layouts_404',
			'priority' => 2,
			'default' => 'left title',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_404_sidebar_a' => array(
			'name' => 'panache_404_sidebar_a',
			'title' => __('Sidebar A','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_404',
			'priority' => 3,
			'default' => 'error_404_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_404_sidebar_b' => array(
			'name' => 'panache_404_sidebar_b',
			'title' => __('Sidebar B','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('select the widget panel you want to use','panache'),
			'section' => 'layouts_404',
			'priority' => 4,
			'default' => 'error_404_b',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_header Section:header_general */
		'panache_header_layout' => array(
			'name' => 'panache_header_layout',
			'title' => __('Header Layout Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Setup Option 1' => __( 'Setup Option 1' , 'panache' ),
				'Setup Option 2' => __( 'Setup Option 2' , 'panache' )
			),
			'description' => __('Select Setup Option 1 or Setup Option 2','panache'),
			'section' => 'header_general',
			'priority' => 1,
			'default' => 'Setup Option 1',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_header Section:header_setup_1 */
		'panache_show_logo' => array(
			'name' => 'panache_show_logo',
			'title' => __('Show LOGO','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check to show logo in header','panache'),
			'section' => 'header_setup_1',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_center_logo' => array(
			'name' => 'panache_center_logo',
			'title' => __('Center LOGO','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Logo will be on the left if not centered','panache'),
			'section' => 'header_setup_1',
			'priority' => 2,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_show_blog_title' => array(
			'name' => 'panache_show_blog_title',
			'title' => __('Show Blog Title','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check to include','panache'),
			'section' => 'header_setup_1',
			'priority' => 3,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_show_blog_description' => array(
			'name' => 'panache_show_blog_description',
			'title' => __('Show Blog Description','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check to include','panache'),
			'section' => 'header_setup_1',
			'priority' => 4,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_menu_border' => array(
			'name' => 'panache_menu_border',
			'title' => __('Menu border options','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'full width' => __( 'Full Width' , 'panache' ),
				'menu only' => __( 'Menu Only' , 'panache' ),
				'no border' => __( 'No Border' , 'panache' )
			),
			'description' => __('menu only setting applies only to centered menu','panache'),
			'section' => 'header_setup_1',
			'priority' => 6,
			'default' => 'no border',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_menu_loc' => array(
			'name' => 'panache_menu_loc',
			'title' => __('Header menu location','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'center'	=> __( 'Center', 'panache' ),
				'left'		=> __( 'Left', 'panache' ),
				'right'		=> __( 'Right' , 'panache' )
			),
			'description' => __('left,right or center','panache'),
			'section' => 'header_setup_1',
			'priority' => 7,
			'default' => 'center',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_header Section:header_setup_2 */
		'panache_exclude_widget_strip' => array(
			'name' => 'panache_exclude_widget_strip',
			'title' => __('Exclude Widget Strip','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check to exclude','panache'),
			'section' => 'header_setup_2',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		/* Panel:panache_footer Section:footer_footer */
		'panache_show_footer_wide_widget' => array(
			'name' => 'panache_show_footer_wide_widget',
			'title' => __('Show Footer Wide Widget Area','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('the full width widget will be placed just above the footer','panache'),
			'section' => 'footer_footer',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_show_footer' => array(
			'name' => 'panache_show_footer',
			'title' => __('Show Footer Area','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('you can hide the footer if you want','panache'),
			'section' => 'footer_footer',
			'priority' => 2,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_footer_cols' => array(
			'name' => 'panache_footer_cols',
			'title' => __('Select footer columns','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'3' => '3',
				'4' => '4'
			),
			'description' => __('you can have 3 or 4 footer columns','panache'),
			'section' => 'footer_footer',
			'priority' => 3,
			'default' => '3',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),	
		/* Panel:panache_footer Section:footer_copyright */
		'panache_show_copyright_strip' => array(
			'name' => 'panache_show_copyright_strip',
			'title' => __('Show Copyright Strip','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('you can choose to not show a copyright strip','panache'),
			'section' => 'footer_copyright',
			'priority' => 1,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_left_copyright_text' => array(
			'name' => 'panache_left_copyright_text',
			'title' => __('Copyright left text','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Some HTML allowed, suggest :', 'panache')." &#38;copy; ".__('copyright YEAR', 'panache')."&#60;a href='#'&#62;www.yoursite.url&#60;/a&#62;",
			'section' => 'footer_copyright',
			'priority' => 2,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_middle_copyright_text' => array(
			'name' => 'panache_middle_copyright_text',
			'title' => __('Copyright middle text','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Some HTML allowed, suggest : site by','panache')." &#38;nbsp; &#60;a href='#'&#62;www.developer.url&#60;/a&#62;",
			'section' => 'footer_copyright',
			'priority' => 3,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_right_copyright_text' => array(
			'name' => 'panache_right_copyright_text',
			'title' => __('Copyright right text','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Some HTML allowed, suggest :','panache')." &#60;a href='#'&#62;".__('sitemap','panache')."&#60;/a&#62;",
			'section' => 'footer_copyright',
			'priority' => 4,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		/* Panel:panache_social */
		'panache_delicious_link' => array(
			'name' => 'panache_delicious_link',
			'title' => __('Delicious Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:www.delicious.com/save/','panache'),
			'section' => 'social_social',
			'priority' => 1,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_digg_link' => array(
			'name' => 'panache_digg_link',
			'title' => __('Digg Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:digg.com/user','panache'),
			'section' => 'social_social',
			'priority' => 2,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_facebook_link' => array(
			'name' => 'panache_facebook_link',
			'title' => __('Facebook Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:www.facebook.com/your_profile/','panache'),
			'section' => 'social_social',
			'priority' => 3,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_flickr_link' => array(
			'name' => 'panache_flickr_link',
			'title' => __('Flickr Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:www.flickr.com/your_link/','panache'),
			'section' => 'social_social',
			'priority' => 4,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_google_link' => array(
			'name' => 'panache_google_link',
			'title' => __('Google + Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:plus.google.com/your_page_number/posts','panache'),
			'section' => 'social_social',
			'priority' => 5,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_instagram_link' => array(
			'name' => 'panache_instagram_link',
			'title' => __('Instagram Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:www.instagram.com/profile link/','panache'),
			'section' => 'social_social',
			'priority' => 6,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_linkedin_link' => array(
			'name' => 'panache_linkedin_link',
			'title' => __('Linkedin Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:ca.linkedin.com/profile link/','panache'),
			'section' => 'social_social',
			'priority' => 7,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_myspace_link' => array(
			'name' => 'panache_myspace_link',
			'title' => __('My Space Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:www.myspace.com/your_link/','panache'),
			'section' => 'social_social',
			'priority' => 8,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_pinterest_link' => array(
			'name' => 'panache_pinterest_link',
			'title' => __('Pinterest URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:pinterest.com/username/','panache'),
			'section' => 'social_social',
			'priority' => 9,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_rss_link' => array(
			'name' => 'panache_rss_link',
			'title' => __('RSS Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:your.feed.url/feed/','panache'),
			'section' => 'social_social',
			'priority' => 10,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_tumblr_link' => array(
			'name' => 'panache_tumblr_link',
			'title' => __('Tumblr Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:www.tumblr.com/your_link/','panache'),
			'section' => 'social_social',
			'priority' => 11,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_twitter_link' => array(
			'name' => 'panache_twitter_link',
			'title' => __('Twitter Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:twitter.com/your_twitter/','panache'),
			'section' => 'social_social',
			'priority' => 12,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_vimeo_link' => array(
			'name' => 'panache_vimeo_link',
			'title' => __('Vimeo Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:vimeo.com/your_link/','panache'),
			'section' => 'social_social',
			'priority' => 13,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_yelp_link' => array(
			'name' => 'panache_yelp_link',
			'title' => __('Yrlp Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:www.yelp.com/your_yelp/','panache'),
			'section' => 'social_social',
			'priority' => 14,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_youtube_link' => array(
			'name' => 'panache_youtube_link',
			'title' => __('YouTube Link','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:youtube.com/your_link/','panache'),
			'section' => 'social_social',
			'priority' => 15,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		/* Panel:panache_styles Section:styles_general */
		'panache_block_style' => array(
			'name' => 'panache_block_style',
			'title' => __( 'Switch to block style' ,'panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Select and background images/color will be visible','panache'),
			'section' => 'styles_general',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		/* Panel:panache_styles Section:styles_header_font */
		'panache_header_font_option' => array(
			'name' => 'panache_header_font_option',
			'title' => __('Select header font option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'standard web fonts' => __( "Standard Web Fonts" , 'panache' ),
				'google web fonts' => __( "Google Web Fonts" , 'panache' ),
				'@font-face web fonts' => __( "@font-face Web Fonts" , 'panache' )
			),
			'description' => __('Select a font option for headers','panache'),
			'section' => 'styles_header_font',
			'priority' => 1,
			'default' => 'standard web fonts',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_standard_header_font' => array(
			'name' => 'panache_standard_header_font',
			'title' => __('Standard Font for Headers','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default' => __( 'default' , 'panache' ),
				'Arial' => 'Arial',
				'Antiqua' => 'Book Antiqua',
				'Cambria' => 'Cambria',
				'Comic Sans MS' => 'Comic Sans MS',
				'Georgia' => 'Georgia',
				'Tahoma' => 'Tahoma',
				'Times New Roman' => 'Times New Roman',
				'Trebuchet MS' => 'Trebuchet MS',
				'Verdana' => 'Verdana'
			),
			'description' => __('Select a standard font for headers','panache'),
			'section' => 'styles_header_font',
			'priority' => 2,
			'default' => 'default',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_google_header_font' => array(
			'name' => 'panache_google_header_font',
			'title' => __('Google Font for Headers','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Allerta' => 'Allerta',
				'Arvo' => 'Arvo',
				'Cabin' => 'Cabin',
				'Corben' => 'Corben',
				'Droid Sans' => 'Droid Sans',
				'Droid Serif' => 'Droid Serif',
				'Great Vibes' => 'Great Vibes',
				'Karla' => 'Karla',
				'Lekton' => 'Lekton',
				'Molengo' => 'Molengo',
				'Nobile' => 'Nobile',
				'Raleway' => 'Raleway',
				'Ubuntu' => 'Ubuntu',
				'Vollkorn' => 'Vollkorn'
			),
			'description' => __('Select a Google font for headers','panache'),
			'section' => 'styles_header_font',
			'priority' => 3,
			'default' => 'Droid Serif',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_fontface_header_font' => array(
			'name' => 'panache_fontface_header_font',
			'title' => __('@font-face Font for Headers','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Artifika' => 'Artifika',
				'Bitstream Vera' => 'Bitstream Vera',
				'Gentium Basic' => 'Gentium Basic',
				'Josefin' => 'Josefin',
				'Lobster Two' => 'Lobster Two', 
				'Old Standard' => 'Old Standard',
				'PT Serif' => 'PT Serif',
				'PT Sans' => 'PT Sans',
				'Puritan 2.0' => 'Puritan 2.0',
				'Qumpellka 12' => 'Qumpellka 12',
				'Source Code Pro' => 'Source Code Pro',
				'Titillium' => 'Titillium'
			),
			'description' => __('Select a @font-face font for headers','panache'),
			'section' => 'styles_header_font',
			'priority' => 4,
			'default' => 'PT Sans',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_styles Section:styles_body_font */
		'panache_body_font_option' => array(
			'name' => 'panache_body_font_option',
			'title' => __('Select body font option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'standard web fonts' => __( "Standard Web Fonts" , 'panache' ),
				'google web fonts' => __( "Google Web Fonts" , 'panache' ),
				'@font-face web fonts' => __( "@font-face Web Fonts" , 'panache' )
			),
			'description' => __('Select a font option for main text','panache'),
			'section' => 'styles_body_font',
			'priority' => 1,
			'default' => 'standard web fonts',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_standard_body_font' => array(
			'name' => 'panache_standard_body_font',
			'title' => __('Standard Font for Body Text','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default' => __( 'default' , 'panache' ),
				'Arial' => 'Arial',
				'Antiqua' => 'Book Antiqua',
				'Cambria' => 'Cambria',
				'Comic Sans MS' => 'Comic Sans MS',
				'Georgia' => 'Georgia',
				'Tahoma' => 'Tahoma',
				'Times New Roman' => 'Times New Roman',
				'Trebuchet MS' => 'Trebuchet MS',
				'Verdana' => 'Verdana'
			),
			'description' => __('Select a standard font for main text','panache'),
			'section' => 'styles_body_font',
			'priority' => 2,
			'default' => 'default',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_google_body_font' => array(
			'name' => 'panache_google_body_font',
			'title' => __('Google Font for Body Text','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Allerta' => 'Allerta',
				'Arvo' => 'Arvo',
				'Cabin' => 'Cabin',
				'Corben' => 'Corben',
				'Droid Sans' => 'Droid Sans',
				'Droid Serif' => 'Droid Serif',
				'Great Vibes' => 'Great Vibes',
				'Karla' => 'Karla',
				'Lekton' => 'Lekton',
				'Molengo' => 'Molengo',
				'Nobile' => 'Nobile',
				'Raleway' => 'Raleway',
				'Ubuntu' => 'Ubuntu',
				'Vollkorn' => 'Vollkorn'
			),
			'description' => __('Select a Google font for main text','panache'),
			'section' => 'styles_body_font',
			'priority' => 3,
			'default' => 'Droid Serif',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_fontface_body_font' => array(
			'name' => 'panache_fontface_body_font',
			'title' => __('@font-face Font for Body text','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Artifika' => 'Artifika',
				'Bitstream Vera' => 'Bitstream Vera',
				'Gentium Basic' => 'Gentium Basic',
				'Josefin' => 'Josefin',
				'Lobster Two' => 'Lobster Two', 
				'Old Standard' => 'Old Standard',
				'PT Serif' => 'PT Serif',
				'PT Sans' => 'PT Sans',
				'Puritan 2.0' => 'Puritan 2.0',
				'Qumpellka 12' => 'Qumpellka 12',
				'Source Code Pro' => 'Source Code Pro',
				'Titillium' => 'Titillium'
			),
			'description' => __('Select a @font-face font for main text','panache'),
			'section' => 'styles_body_font',
			'priority' => 4,
			'default' => 'PT Sans',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_styles Section:styles_custom_font */
		'panache_custom_google_font' => array(
			'name' => 'panache_custom_google_font',
			'title' => __('Custom Google Font','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Enter only the url (but exclude http:) for the custom google font. Format -> //fonts.googleapis.com/css?family=Shadows+Into+Light+Two','panache'),
			'section' => 'styles_custom_font',
			'priority' => 1,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		/* Panel:panache_blog Section:blog_general */
		'panache_blog_title' => array(
			'name' => 'panache_blog_title',
			'title' => __('Blog Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('If you choose to display a title this one is used','panache'),
			'section' => 'blog_general',
			'priority' => 1,
			'default' => 'Blog',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_blog_title_option' => array(
			'name' => 'panache_blog_title_option',
			'title' => __('Title Option','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'left title'	=>__( 'left title', 'panache' ),
				'right title'	=>__( 'right title', 'panache' ),
				'center title'	=>__( 'center title', 'panache' ),
				'no title'		=>__( 'no title', 'panache' )
			),
			'description' => __('Select a title layout option or no title','panache'),
			'section' => 'blog_general',
			'priority' => 2,
			'default' => 'left title',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_blog_layout' => array(
			'name' => 'panache_blog_layout',
			'title' => __('Blog Page Layout','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'C_A'		=>	__( 'Content - Sidebar A', 'panache' ),
				'A_C'		=>	__( 'Sidebar A - Content', 'panache' ),
				'A_C_B'		=>	__( 'Sidebar A - Content - Sidebar B', 'panache' ),
				'A_B_C'		=>	__( 'Sidebar A - Sidebar B - Content', 'panache' ),
				'C_A_B'		=>	__( 'Content - Sidebar A - Sidebar B', 'panache' ),
				'M_C_B'		=>	__( 'Menu Sidebar A - Content - Sidebar B', 'panache' ),
				'M_B_C'		=>	__( 'Menu Sidebar A - Sidebar B - Content', 'panache' ),
				'M_C'		=>	__( 'Menu Sidebar A - Content', 'panache' ),
				'F_W'		=>	__( 'Full Width' , 'panache' )
			),
			'description' => __('Used for blog page','panache'),
			'section' => 'blog_general',
			'priority' => 3,
			'default' => 'C_A',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_blog_style' => array(
			'name' => 'panache_blog_style',
			'title' => __('Blog Style','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'standard'			=> __( 'standard' , 'panache'),
				'two column grid'	=> __( 'two column grid' , 'panache'),
				'three column grid'	=> __( 'three column grid' , 'panache')
			),
			'description' => __('Choose standard (one column), two column grid, or three column grid','panache'),
			'section' => 'blog_general',
			'priority' => 4,
			'default' => 'standard',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_blog_feature' => array(
			'name' => 'panache_blog_feature',
			'title' => __('Blog page feature slider','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Small slides button navigation'		=> 'Small slides button navigation',
				'Small slides thumbnail navigation'		=> 'Small slides thumbnail navigation',
				'Small slides no navigation'			=> 'Small slides no navigation',
				'Full slides button navigation'			=> 'Full slides button navigation',
				'Full slides thumbnail navigation'		=> 'Full slides thumbnail navigation',
				'Full slides no navigation'				=> 'Full slides no navigation',
				'Center slides button navigation'		=> 'Center slides button navigation',
				'Center slides thumbnail navigation'	=> 'Center slides thumbnail navigation',
				'Center slides no navigation'			=> 'Center slides no navigation',
				'Full slides carousel navigation'		=> 'Full slides carousel navigation',
				'No feature'							=> 'No feature'
			),
			'description' => __('Used for blog page','panache'),
			'section' => 'blog_general',
			'priority' => 5,
			'default' => 'No feature',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_blog_feature_category' => array(
			'name' => 'panache_blog_feature_category',
			'title' => __('Blog Feature Category','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Use this category for your blog feature posts','panache'),
			'section' => 'blog_general',
			'priority' => 6,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_blog_feature_slider_sidebar' => array(
			'name' => 'panache_blog_feature_slider_sidebar',
			'title' => __('Blog Feature slider sidebar','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'feature_a'		=>	__( 'Feature Sidebar A' , 'panache' ),
				'feature_b'		=>	__( 'Feature Sidebar B' , 'panache' ),
				'feature_c'		=>	__( 'Feature Sidebar C' , 'panache' ),
				'feature_d'		=>	__( 'Feature Sidebar D' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('Widgetized area for applicable Feature Page Sliders','panache'),
			'section' => 'blog_general',
			'priority' => 7,
			'default' => 'feature_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_blog_sidebar_a' => array(
			'name' => 'panache_blog_sidebar_a',
			'title' => __('Blog page sidebar A','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('First Sidebar','panache'),
			'section' => 'blog_general',
			'priority' => 8,
			'default' => 'blog_a',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_blog_sidebar_b' => array(
			'name' => 'panache_blog_sidebar_b',
			'title' => __('Blog page sidebar B','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'default_a'		=>	__( 'Default Sidebar A' , 'panache' ),
				'default_b'		=>	__( 'Default Sidebar B' , 'panache' ),
				'blog_a'		=>	__( 'Blog Sidebar A' , 'panache' ),
				'blog_b'		=>	__( 'Blog Sidebar B' , 'panache' ),
				'error_404_a'	=>	__( 'Error Page Sidebar A' , 'panache' ),
				'error_404_b'	=>	__( 'Error Page Sidebar B' , 'panache' ),
				'about_a'		=>	__( 'About Page Sidebar A' , 'panache' ),
				'about_b'		=>	__( 'About Page Sidebar B' , 'panache' ),
				'contact_a'		=>	__( 'Contact Page Sidebar A' , 'panache' ),
				'contact_b'		=>	__( 'Contact Page Sidebar B' , 'panache' ),
				'sidebar_1'		=>	__( 'Extra Sidebar 1' , 'panache' ),
				'sidebar_2'		=>	__( 'Extra Sidebar 2' , 'panache' ),
				'sidebar_3'		=>	__( 'Extra Sidebar 3' , 'panache' ),
				'sidebar_4'		=>	__( 'Extra Sidebar 4' , 'panache' ),
				'sidebar_5'		=>	__( 'Extra Sidebar 5' , 'panache' ),
				'sidebar_6'		=>	__( 'Extra Sidebar 6' , 'panache' )
			),
			'description' => __('Second Sidebar','panache'),
			'section' => 'blog_general',
			'priority' => 9,
			'default' => 'blog_b',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_blog Section:blog_posts */
		'panache_use_excerpts' => array(
			'name' => 'panache_use_excerpts',
			'title' => __('Use excerpts','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Applies to Post Formats: standard, audio, chat, gallery, image, quote, video','panache'),
			'section' => 'blog_posts',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_display_post_icons' => array(
			'name' => 'panache_display_post_icons',
			'title' => __('Display post icons','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Displays post type icon and date','panache'),
			'section' => 'blog_posts',
			'priority' => 2,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_use_post_meta_icons' => array(
			'name' => 'panache_use_post_meta_icons',
			'title' => __('Use post meta icons','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check to use Font Awesome icons','panache'),
			'section' => 'blog_posts',
			'priority' => 3,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_author_in_blog' => array(
			'name' => 'panache_author_in_blog',
			'title' => __('Include author name in blog posts','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('you do not have to show the author in post meta','panache'),
			'section' => 'blog_posts',
			'priority' => 4,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_timestamp_in_blog' => array(
			'name' => 'panache_timestamp_in_blog',
			'title' => __('Include date in blog posts','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('you do not have to show the date in post meta','panache'),
			'section' => 'blog_posts',
			'priority' => 5,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_category_in_blog' => array(
			'name' => 'panache_category_in_blog',
			'title' => __('Include categories in blog posts','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('you do not have to show the categories in post meta','panache'),
			'section' => 'blog_posts',
			'priority' => 6,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_tags_in_blog' => array(
			'name' => 'panache_tags_in_blog',
			'title' => __('Include tags in blog posts','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('you do not have to show the tags in post meta','panache'),
			'section' => 'blog_posts',
			'priority' => 7,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		/* Panel:panache_blog Section:blog_post_formats */
		'panache_display_image_meta' => array(
			'name' => 'panache_display_image_meta',
			'title' => __('Display Image Meta','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Used for Image Post Format','panache'),
			'section' => 'blog_post_formats',
			'priority' => 1,
			'default' => 1, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		/* Panel:panache_home Section:home_layout */
		'panache_home_area_1' => array(
			'name' => 'panache_home_area_1',
			'title' => __('Home Page Area 1','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Section 1'		=> __( 'Section 1 - one column and button' , 'panache'),
				'Section 2'		=> __( 'Section 2 - three column service box' , 'panache'),
				'Section 3'		=> __( 'Section 3 - one column and button' , 'panache'),
				'Section 4'		=> __( 'Section 4 - two column service box' , 'panache'),
				'Section 5'		=> __( 'Section 5 - one column and button' , 'panache'),
				'Section 6'		=> __( 'Section 6 - two column service box' , 'panache'),
				'Section 7'		=> __( 'Section 7 - one column and button' , 'panache'),
				'Section 8'		=> __( 'Section 8 - four column service box' , 'panache'),
				'none' 			=> __( 'none' , 'panache')
			),
			'description' => __('Set the section for Area 1','panache'),
			'section' => 'home_layout',
			'priority' => 1,
			'default' => 'none',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_home_area_2' => array(
			'name' => 'panache_home_area_2',
			'title' => __('Home Page Area 2','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Section 1'		=> __( 'Section 1 - one column and button' , 'panache'),
				'Section 2'		=> __( 'Section 2 - three column service box' , 'panache'),
				'Section 3'		=> __( 'Section 3 - one column and button' , 'panache'),
				'Section 4'		=> __( 'Section 4 - two column service box' , 'panache'),
				'Section 5'		=> __( 'Section 5 - one column and button' , 'panache'),
				'Section 6'		=> __( 'Section 6 - two column service box' , 'panache'),
				'Section 7'		=> __( 'Section 7 - one column and button' , 'panache'),
				'Section 8'		=> __( 'Section 8 - four column service box' , 'panache'),
				'none' 			=> __( 'none' , 'panache')
			),
			'description' => __('Set the section for Area 2','panache'),
			'section' => 'home_layout',
			'priority' => 2,
			'default' => 'none',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_home_area_3' => array(
			'name' => 'panache_home_area_3',
			'title' => __('Home Page Area 3','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Section 1'		=> __( 'Section 1 - one column and button' , 'panache'),
				'Section 2'		=> __( 'Section 2 - three column service box' , 'panache'),
				'Section 3'		=> __( 'Section 3 - one column and button' , 'panache'),
				'Section 4'		=> __( 'Section 4 - two column service box' , 'panache'),
				'Section 5'		=> __( 'Section 5 - one column and button' , 'panache'),
				'Section 6'		=> __( 'Section 6 - two column service box' , 'panache'),
				'Section 7'		=> __( 'Section 7 - one column and button' , 'panache'),
				'Section 8'		=> __( 'Section 8 - four column service box' , 'panache'),
				'none' 			=> __( 'none' , 'panache')
			),
			'description' => __('Set the section for Area 3','panache'),
			'section' => 'home_layout',
			'priority' => 4,
			'default' => 'none',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_home_area_4' => array(
			'name' => 'panache_home_area_4',
			'title' => __('Home Page Area 4','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Section 1'		=> __( 'Section 1 - one column and button' , 'panache'),
				'Section 2'		=> __( 'Section 2 - three column service box' , 'panache'),
				'Section 3'		=> __( 'Section 3 - one column and button' , 'panache'),
				'Section 4'		=> __( 'Section 4 - two column service box' , 'panache'),
				'Section 5'		=> __( 'Section 5 - one column and button' , 'panache'),
				'Section 6'		=> __( 'Section 6 - two column service box' , 'panache'),
				'Section 7'		=> __( 'Section 7 - one column and button' , 'panache'),
				'Section 8'		=> __( 'Section 8 - four column service box' , 'panache'),
				'none' 			=> __( 'none' , 'panache')
			),
			'description' => __('Set the section for Area 4','panache'),
			'section' => 'home_layout',
			'priority' => 4,
			'default' => 'none',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_home_area_5' => array(
			'name' => 'panache_home_area_5',
			'title' => __('Home Page Area 5','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Section 1'		=> __( 'Section 1 - one column and button' , 'panache'),
				'Section 2'		=> __( 'Section 2 - three column service box' , 'panache'),
				'Section 3'		=> __( 'Section 3 - one column and button' , 'panache'),
				'Section 4'		=> __( 'Section 4 - two column service box' , 'panache'),
				'Section 5'		=> __( 'Section 5 - one column and button' , 'panache'),
				'Section 6'		=> __( 'Section 6 - two column service box' , 'panache'),
				'Section 7'		=> __( 'Section 7 - one column and button' , 'panache'),
				'Section 8'		=> __( 'Section 8 - four column service box' , 'panache'),
				'none' 			=> __( 'none' , 'panache')
			),
			'description' => __('Set the section for Area 5','panache'),
			'section' => 'home_layout',
			'priority' => 5,
			'default' => 'none',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_home_area_6' => array(
			'name' => 'panache_home_area_6',
			'title' => __('Home Page Area 6','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Section 1'		=> __( 'Section 1 - one column and button' , 'panache'),
				'Section 2'		=> __( 'Section 2 - three column service box' , 'panache'),
				'Section 3'		=> __( 'Section 3 - one column and button' , 'panache'),
				'Section 4'		=> __( 'Section 4 - two column service box' , 'panache'),
				'Section 5'		=> __( 'Section 5 - one column and button' , 'panache'),
				'Section 6'		=> __( 'Section 6 - two column service box' , 'panache'),
				'Section 7'		=> __( 'Section 7 - one column and button' , 'panache'),
				'Section 8'		=> __( 'Section 8 - four column service box' , 'panache'),
				'none' 			=> __( 'none' , 'panache')
			),
			'description' => __('Set the section for Area 6','panache'),
			'section' => 'home_layout',
			'priority' => 6,
			'default' => 'none',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_home_area_7' => array(
			'name' => 'panache_home_area_7',
			'title' => __('Home Page Area 7','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Section 1'		=> __( 'Section 1 - one column and button' , 'panache'),
				'Section 2'		=> __( 'Section 2 - three column service box' , 'panache'),
				'Section 3'		=> __( 'Section 3 - one column and button' , 'panache'),
				'Section 4'		=> __( 'Section 4 - two column service box' , 'panache'),
				'Section 5'		=> __( 'Section 5 - one column and button' , 'panache'),
				'Section 6'		=> __( 'Section 6 - two column service box' , 'panache'),
				'Section 7'		=> __( 'Section 7 - one column and button' , 'panache'),
				'Section 8'		=> __( 'Section 8 - four column service box' , 'panache'),
				'none' 			=> __( 'none' , 'panache')
			),
			'description' => __('Set the section for Area 7','panache'),
			'section' => 'home_layout',
			'priority' => 7,
			'default' => 'none',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_home_area_8' => array(
			'name' => 'panache_home_area_8',
			'title' => __('Home Page Area 8','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'Section 1'		=> __( 'Section 1 - one column and button' , 'panache'),
				'Section 2'		=> __( 'Section 2 - three column service box' , 'panache'),
				'Section 3'		=> __( 'Section 3 - one column and button' , 'panache'),
				'Section 4'		=> __( 'Section 4 - two column service box' , 'panache'),
				'Section 5'		=> __( 'Section 5 - one column and button' , 'panache'),
				'Section 6'		=> __( 'Section 6 - two column service box' , 'panache'),
				'Section 7'		=> __( 'Section 7 - one column and button' , 'panache'),
				'Section 8'		=> __( 'Section 8 - four column service box' , 'panache'),
				'none' 			=> __( 'none' , 'panache')
			),
			'description' => __('Set the section for Area 8','panache'),
			'section' => 'home_layout',
			'priority' => 8,
			'default' => 'none',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_home Section:home_section_1 */
		'panache_section1_usage' => array(
			'name' => 'panache_section1_usage',
			'title' => __('Section 1-Usage Options','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'normal' => 'normal',
				'shortcode' => 'shortcode',
				'widgetized' => 'widgetized'
			),
			'description' => __('Normal, Shortcode, or widgetized','panache'),
			'section' => 'home_section_1',
			'priority' => 1,
			'default' => 'normal',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_section1_text' => array(
			'name' => 'panache_section1_text',
			'title' => __('Section 1-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_1',
			'priority' => 2,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_include_section1_button' => array(
			'name' => 'panache_include_section1_button',
			'title' => __('Section 1-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check to use a link','panache'),
			'section' => 'home_section_1',
			'priority' => 3,
			'default' => 0,
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_section1_button_name' => array(
			'name' => 'panache_section1_button_name',
			'title' => __('Section 1-Button Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_1',
			'priority' => 4,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_section1_button_link' => array(
			'name' => 'panache_section1_button_link',
			'title' => __('Section 1-Button URI','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __("Format:http://your.website.url/contact/",'panache'),
			'section' => 'home_section_1',
			'priority' => 5,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		/* Panel:panache_home Section:home_section_2 */
		/*service box 1 */
		'panache_service1_use_image_font' => array(
			'name' => 'panache_service1_use_image_font',
			'title' => __('Section 2-Box 1-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_2',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service1_image_font' => array(
			'name' => 'panache_service1_image_font',
			'title' => __('Section 2-Box 1-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_2',
			'priority' => 2,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service1_image' => array(
			'name' => 'panache_service1_image',
			'title' => __('Section 2-Box 1-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_2',
			'priority' => 3,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service1_title' => array(
			'name' => 'panache_service1_title',
			'title' => __('Section 2-Box 1-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_2',
			'priority' => 4,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service1_text' => array(
			'name' => 'panache_service1_text',
			'title' => __('Section 2-Box 1-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_2',
			'priority' => 5,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service1_include_link' => array(
			'name' => 'panache_service1_include_link',
			'title' => __('Section 2-Box 1-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_2',
			'priority' => 6,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service1_button_link' => array(
			'name' => 'panache_service1_button_link',
			'title' => __('Section 2-Box 1-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_2',
			'priority' => 7,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service1_button_title' => array(
			'name' => 'panache_service1_button_title',
			'title' => __('Section 2-Box 1-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_2',
			'priority' => 8,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* service box 2 */
		'panache_service2_use_image_font' => array(
			'name' => 'panache_service2_use_image_font',
			'title' => __('Section 2-Box 2-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_2',
			'priority' => 9,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service2_image_font' => array(
			'name' => 'panache_service2_image_font',
			'title' => __('Section 2-Box 2-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_2',
			'priority' => 10,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service2_image' => array(
			'name' => 'panache_service2_image',
			'title' => __('Section 2-Box 2-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_2',
			'priority' => 11,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service2_title' => array(
			'name' => 'panache_service2_title',
			'title' => __('Section 2-Box 2-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_2',
			'priority' => 12,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service2_text' => array(
			'name' => 'panache_service2_text',
			'title' => __('Section 2-Box 2-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_2',
			'priority' => 13,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service2_include_link' => array(
			'name' => 'panache_service2_include_link',
			'title' => __('Section 2-Box 2-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_2',
			'priority' => 14,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service2_button_link' => array(
			'name' => 'panache_service2_button_link',
			'title' => __('Section 2-Box 2-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_2',
			'priority' => 15,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service2_button_title' => array(
			'name' => 'panache_service2_button_title',
			'title' => __('Section 2-Box 2-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_2',
			'priority' => 16,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* service box 3 */
		'panache_service3_use_image_font' => array(
			'name' => 'panache_service3_use_image_font',
			'title' => __('Section 2-Box 3-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_2',
			'priority' => 17,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service3_image_font' => array(
			'name' => 'panache_service3_image_font',
			'title' => __('Section 2-Box 3-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_2',
			'priority' => 18,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service3_image' => array(
			'name' => 'panache_service3_image',
			'title' => __('Section 2-Box 3-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_2',
			'priority' => 19,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service3_title' => array(
			'name' => 'panache_service3_title',
			'title' => __('Section 2-Box 3-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_2',
			'priority' => 20,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service3_text' => array(
			'name' => 'panache_service3_text',
			'title' => __('Section 2-Box 3-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_2',
			'priority' => 21,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service3_include_link' => array(
			'name' => 'panache_service3_include_link',
			'title' => __('Section 2-Box 3-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_2',
			'priority' => 22,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service3_button_link' => array(
			'name' => 'panache_service3_button_link',
			'title' => __('Section 2-Box 3-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_2',
			'priority' => 23,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service3_button_title' => array(
			'name' => 'panache_service3_button_title',
			'title' => __('Section 2-Box 3-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_2',
			'priority' => 24,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_home Section:home_section_3 */
		'panache_section3_usage' => array(
			'name' => 'panache_section3_usage',
			'title' => __('Section 3-Usage Options','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'normal' => 'normal',
				'shortcode' => 'shortcode',
				'widgetized' => 'widgetized'
			),
			'description' => __('Normal, Shortcode, or widgetized','panache'),
			'section' => 'home_section_3',
			'priority' => 25,
			'default' => 'normal',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_section3_text' => array(
			'name' => 'panache_section3_text',
			'title' => __('Section 3-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_3',
			'priority' => 26,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_include_section3_button' => array(
			'name' => 'panache_include_section3_button',
			'title' => __('Section 3-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check to use a link','panache'),
			'section' => 'home_section_3',
			'priority' => 27,
			'default' => 0,
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_section3_button_name' => array(
			'name' => 'panache_section3_button_name',
			'title' => __('Section 3-Button Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_3',
			'priority' => 28,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_section3_button_link' => array(
			'name' => 'panache_section3_button_link',
			'title' => __('Section 3-Button URI','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __("Format:http://your.website.url/contact/",'panache'),
			'section' => 'home_section_3',
			'priority' => 29,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		/* Panel:panache_home Section:home_section_4 */
		/* Service Box 1 */
		'panache_service4_use_image_font' => array(
			'name' => 'panache_service4_use_image_font',
			'title' => __('Section 4-Box 1-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_4',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service4_image_font' => array(
			'name' => 'panache_service4_image_font',
			'title' => __('Section 4-Box 1-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_4',
			'priority' => 2,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service4_image' => array(
			'name' => 'panache_service4_image',
			'title' => __('Section 4-Box 1-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_4',
			'priority' => 3,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service4_title' => array(
			'name' => 'panache_service4_title',
			'title' => __('Section 4-Box 1-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_4',
			'priority' => 4,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service4_text' => array(
			'name' => 'panache_service4_text',
			'title' => __('Section 4-Box 1-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_4',
			'priority' => 5,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service4_include_link' => array(
			'name' => 'panache_service4_include_link',
			'title' => __('Section 4-Box 1-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_4',
			'priority' => 6,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service4_button_link' => array(
			'name' => 'panache_service4_button_link',
			'title' => __('Section 4-Box 1-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_4',
			'priority' => 7,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service4_button_title' => array(
			'name' => 'panache_service4_button_title',
			'title' => __('Section 4-Box 1-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_4',
			'priority' => 8,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Service Box 2 */
		'panache_service5_use_image_font' => array(
			'name' => 'panache_service5_use_image_font',
			'title' => __('Section 4-Box 2-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_4',
			'priority' => 9,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service5_image_font' => array(
			'name' => 'panache_service5_image_font',
			'title' => __('Section 4-Box 2-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_4',
			'priority' => 10,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service5_image' => array(
			'name' => 'panache_service5_image',
			'title' => __('Section 4-Box 2-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_4',
			'priority' => 11,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service5_title' => array(
			'name' => 'panache_service5_title',
			'title' => __('Section 4-Box 2-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_4',
			'priority' => 12,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service5_text' => array(
			'name' => 'panache_service5_text',
			'title' => __('Section 4-Box 2-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_4',
			'priority' => 13,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service5_include_link' => array(
			'name' => 'panache_service5_include_link',
			'title' => __('Section 4-Box 2-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_4',
			'priority' => 14,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service5_button_link' => array(
			'name' => 'panache_service5_button_link',
			'title' => __('Section 4-Box 2-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_4',
			'priority' => 15,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service5_button_title' => array(
			'name' => 'panache_service5_button_title',
			'title' => __('Section 4-Box 2-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_4',
			'priority' => 16,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_home Section:home_section_5 */
		'panache_section5_usage' => array(
			'name' => 'panache_section5_usage',
			'title' => __('Section 5-Usage Options','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'normal' => 'normal',
				'shortcode' => 'shortcode',
				'widgetized' => 'widgetized'
			),
			'description' => __('Normal, Shortcode, or widgetized','panache'),
			'section' => 'home_section_5',
			'priority' => 1,
			'default' => 'normal',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_section5_text' => array(
			'name' => 'panache_section5_text',
			'title' => __('Section 5-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_5',
			'priority' => 2,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_include_section5_button' => array(
			'name' => 'panache_include_section5_button',
			'title' => __('Section 5-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check to use a link','panache'),
			'section' => 'home_section_5',
			'priority' => 3,
			'default' => 0,
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_section5_button_name' => array(
			'name' => 'panache_section5_button_name',
			'title' => __('Section 5-Button Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_5',
			'priority' => 4,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_section5_button_link' => array(
			'name' => 'panache_section5_button_link',
			'title' => __('Section 5-Button URI','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __("Format:http://your.website.url/contact/",'panache'),
			'section' => 'home_section_5',
			'priority' => 5,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		/* Panel:panache_home Section:home_section_6 */
		/* Service Box 1 */
		'panache_service6_use_image_font' => array(
			'name' => 'panache_service6_use_image_font',
			'title' => __('Section 6-Box 1-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_6',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service6_image_font' => array(
			'name' => 'panache_service6_image_font',
			'title' => __('Section 6-Box 1-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_6',
			'priority' => 2,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service6_image' => array(
			'name' => 'panache_service6_image',
			'title' => __('Section 6-Box 1-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_6',
			'priority' => 3,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service6_title' => array(
			'name' => 'panache_service6_title',
			'title' => __('Section 6-Box 1-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_6',
			'priority' => 4,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service6_text' => array(
			'name' => 'panache_service6_text',
			'title' => __('Section 6-Box 1-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_6',
			'priority' => 5,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service6_include_link' => array(
			'name' => 'panache_service6_include_link',
			'title' => __('Section 6-Box 1-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_6',
			'priority' => 6,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service6_button_link' => array(
			'name' => 'panache_service6_button_link',
			'title' => __('Section 6-Box 1-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_6',
			'priority' => 7,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service6_button_title' => array(
			'name' => 'panache_service6_button_title',
			'title' => __('Section 6-Box 1-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_6',
			'priority' => 8,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Service Box 2 */
		'panache_service7_use_image_font' => array(
			'name' => 'panache_service7_use_image_font',
			'title' => __('Section 6-Box 2-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_6',
			'priority' => 9,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service7_image_font' => array(
			'name' => 'panache_service7_image_font',
			'title' => __('Section 6-Box 2-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_6',
			'priority' => 10,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service7_image' => array(
			'name' => 'panache_service7_image',
			'title' => __('Section 6-Box 2-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_6',
			'priority' => 11,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service7_title' => array(
			'name' => 'panache_service7_title',
			'title' => __('Section 6-Box 2-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_6',
			'priority' => 12,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service7_text' => array(
			'name' => 'panache_service7_text',
			'title' => __('Section 6-Box 2-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_6',
			'priority' => 13,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service7_include_link' => array(
			'name' => 'panache_service7_include_link',
			'title' => __('Section 6-Box 2-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_6',
			'priority' => 14,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service7_button_link' => array(
			'name' => 'panache_service7_button_link',
			'title' => __('Section 6-Box 2-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_6',
			'priority' => 15,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service7_button_title' => array(
			'name' => 'panache_service7_button_title',
			'title' => __('Section 6-Box 2-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_6',
			'priority' => 16,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Panel:panache_home Section:home_section_7 */
		'panache_section7_usage' => array(
			'name' => 'panache_section7_usage',
			'title' => __('Section 7-Usage Options','panache'),
			'option_type' => 'select',
			'setting_type' => 'option',
			'choices' => array( 
				'normal' => 'normal',
				'shortcode' => 'shortcode',
				'widgetized' => 'widgetized'
			),
			'description' => __('Normal, Shortcode, or widgetized','panache'),
			'section' => 'home_section_7',
			'priority' => 1,
			'default' => 'normal',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_section7_text' => array(
			'name' => 'panache_section7_text',
			'title' => __('Section 7-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_7',
			'priority' => 2,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_include_section7_button' => array(
			'name' => 'panache_include_section7_button',
			'title' => __('Section 7-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Check to use a link','panache'),
			'section' => 'home_section_7',
			'priority' => 3,
			'default' => 0,
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_section7_button_name' => array(
			'name' => 'panache_section7_button_name',
			'title' => __('Section 7-Button Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_7',
			'priority' => 4,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_section7_button_link' => array(
			'name' => 'panache_section7_button_link',
			'title' => __('Section 7-Button URI','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __("Format:http://your.website.url/contact/",'panache'),
			'section' => 'home_section_7',
			'priority' => 5,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),		
		/* Panel:panache_home Section:home_section_8 */
		/* Service Box 1 */
		'panache_service8_use_image_font' => array(
			'name' => 'panache_service8_use_image_font',
			'title' => __('Section 8-Box 1-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_8',
			'priority' => 1,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service8_image_font' => array(
			'name' => 'panache_service8_image_font',
			'title' => __('Section 8-Box 1-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_8',
			'priority' => 2,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service8_image' => array(
			'name' => 'panache_service8_image',
			'title' => __('Section 8-Box 1-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_8',
			'priority' => 3,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service8_title' => array(
			'name' => 'panache_service8_title',
			'title' => __('Section 8-Box 1-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_8',
			'priority' => 4,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service8_text' => array(
			'name' => 'panache_service8_text',
			'title' => __('Section 8-Box 1-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_8',
			'priority' => 5,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service8_include_link' => array(
			'name' => 'panache_service8_include_link',
			'title' => __('Section 8-Box 1-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_8',
			'priority' => 6,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service8_button_link' => array(
			'name' => 'panache_service8_button_link',
			'title' => __('Section 8-Box 1-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_8',
			'priority' => 7,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service8_button_title' => array(
			'name' => 'panache_service8_button_title',
			'title' => __('Section 8-Box 1-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_8',
			'priority' => 8,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Service Box 2 */
		'panache_service9_use_image_font' => array(
			'name' => 'panache_service9_use_image_font',
			'title' => __('Section 8-Box 2-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_8',
			'priority' => 9,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service9_image_font' => array(
			'name' => 'panache_service9_image_font',
			'title' => __('Section 8-Box 2-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_8',
			'priority' => 10,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service9_image' => array(
			'name' => 'panache_service9_image',
			'title' => __('Section 8-Box 2-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_8',
			'priority' => 11,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service9_title' => array(
			'name' => 'panache_service9_title',
			'title' => __('Section 8-Box 2-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_8',
			'priority' => 12,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service9_text' => array(
			'name' => 'panache_service9_text',
			'title' => __('Section 8-Box 2-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_8',
			'priority' => 13,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service9_include_link' => array(
			'name' => 'panache_service9_include_link',
			'title' => __('Section 8-Box 2-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_8',
			'priority' => 14,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service9_button_link' => array(
			'name' => 'panache_service9_button_link',
			'title' => __('Section 8-Box 2-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_8',
			'priority' => 15,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service9_button_title' => array(
			'name' => 'panache_service9_button_title',
			'title' => __('Section 8-Box 2-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_8',
			'priority' => 16,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Service Box 3 */
		'panache_service10_use_image_font' => array(
			'name' => 'panache_service10_use_image_font',
			'title' => __('Section 8-Box 3-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_8',
			'priority' => 17,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service10_image_font' => array(
			'name' => 'panache_service10_image_font',
			'title' => __('Section 8-Box 3-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_8',
			'priority' => 18,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service10_image' => array(
			'name' => 'panache_service10_image',
			'title' => __('Section 8-Box 3-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_8',
			'priority' => 19,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service10_title' => array(
			'name' => 'panache_service10_title',
			'title' => __('Section 8-Box 3-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_8',
			'priority' => 20,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service10_text' => array(
			'name' => 'panache_service10_text',
			'title' => __('Section 8-Box 3-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_8',
			'priority' => 21,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service10_include_link' => array(
			'name' => 'panache_service10_include_link',
			'title' => __('Section 8-Box 3-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_8',
			'priority' => 22,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service10_button_link' => array(
			'name' => 'panache_service10_button_link',
			'title' => __('Section 8-Box 3-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_8',
			'priority' => 23,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service10_button_title' => array(
			'name' => 'panache_service10_button_title',
			'title' => __('Section 8-Box 3-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_8',
			'priority' => 24,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		/* Service Box 4 */
		'panache_service11_use_image_font' => array(
			'name' => 'panache_service11_use_image_font',
			'title' => __('Section 8-Box 4-Font Icon','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('Use font icon instead of image','panache'),
			'section' => 'home_section_8',
			'priority' => 25,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service11_image_font' => array(
			'name' => 'panache_service11_image_font',
			'title' => __('Section 8-Box 4-Font Icon Code','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format: Font Awesome ex: fa-bell','panache'),
			'section' => 'home_section_8',
			'priority' => 26,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service11_image' => array(
			'name' => 'panache_service11_image',
			'title' => __('Section 8-Box 4-Image','panache'),
			'option_type' => 'image',
			'setting_type' => 'option',
			'description' => __('upload and use an image','panache'),
			'section' => 'home_section_8',
			'priority' => 27,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service11_title' => array(
			'name' => 'panache_service11_title',
			'title' => __('Section 8-Box 4-Title','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('no html','panache'),
			'section' => 'home_section_8',
			'priority' => 28,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
		'panache_service11_text' => array(
			'name' => 'panache_service11_text',
			'title' => __('Section 8-Box 4-Content','panache'),
			'option_type' => 'textarea',
			'setting_type' => 'option',
			'description' => __('html allowed','panache'),
			'section' => 'home_section_8',
			'priority' => 29,
			'default' => '',
			'transport' => 'refresh',
			'sanitize' => 'wp_kses_post'
		),
		'panache_service11_include_link' => array(
			'name' => 'panache_service11_include_link',
			'title' => __('Section 8-Box 4-Link','panache'),
			'option_type' => 'checkbox',
			'setting_type' => 'option',
			'description' => __('check to use a link','panache'),
			'section' => 'home_section_8',
			'priority' => 30,
			'default' => 0, // 0 for off
			'transport' => 'refresh',
			'sanitize' => 'wp_validate_boolean'
		),
		'panache_service11_button_link' => array(
			'name' => 'panache_service11_button_link',
			'title' => __('Section 8-Box 4-Link URL','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('Format:http://your.website.url/page/','panache'),
			'section' => 'home_section_8',
			'priority' => 31,
			'default' => '#',
			'transport' => 'refresh',
			'sanitize' => 'esc_url_raw'
		),
		'panache_service11_button_title' => array(
			'name' => 'panache_service11_button_title',
			'title' => __('Section 8-Box 4-Link Label','panache'),
			'option_type' => 'text',
			'setting_type' => 'option',
			'description' => __('leave blank to use image or icon as the link','panache'),
			'section' => 'home_section_8',
			'priority' => 32,
			'default' => '...more',
			'transport' => 'refresh',
			'sanitize' => 'sanitize_text_field'
		),
	);
	return apply_filters( 'panache_get_customizer_option_parameters', $options );
}
 
/**
 * Register set up the options
*/
function panache_customize_register( $wp_customize ) {
	global $wp_customize;
	//Start by adding custom controls
	panache_add_custom_controls ();
	//Set up Customizer Panels and Sections
	panache_setup_panels_sections();
	
	//set up the options
	
	$panache_customize_options = panache_get_customizer_option_partameters();

	foreach( $panache_customize_options as $panache_option ) {
		
		if($panache_option['setting_type'] == 'option') {
			//add option setting
			panache_add_setting_option( $panache_option );
			//Add controls
			panache_add_control_option($panache_option);
		} else {
			//add option setting
			panache_add_setting_theme_mod( $panache_option );
			//add option control
			panache_add_control_theme_mod($panache_option);
		}
	}
}
add_action( 'customize_register', 'panache_customize_register' );

/** ===================== SETUP PANELS AND SECTIONS =====================
 * 
 * This helper function sets up panels and sections for Theme Customizer
 * 
 * 
 * 
 */
function panache_setup_panels_sections(){
	global $wp_customize;
	$groups = array();
	$group = array();
	$groups = panache_get_customizer_groups();
	
	foreach( $groups as $group ) {
		//add panel
		
		$wp_customize->add_panel( $group['name'], array(
			'priority'			=> $group['priority'],
			'capability'		=> 'edit_theme_options',
			'theme_supports'	=> '',
			'title'				=> $group['title'],
			'description'		=> $group['description']
		) );
		
		//add sections in panel
		foreach( $group['sections'] as $section ){
			$wp_customize->add_section( $section['name'] , array(
				'priority'			=> $section['priority'],
				'capability'		=> 'edit_theme_options',
				'theme_supports'	=> '',
				'title'				=> $section['title'],
				'description'		=> $section['description'],
				'panel'				=> $group['name']
			));
		}
	}
}

/** ========================== ADD SETTING OPTION TABLE ==============================
 * 
 * This helper function loads adds a setting in Theme Customizer
 * This setting function applies to options with 'setting_type'=>'option'
 * 
 * -------- capability --------------------------------------------------------------
 * Note that capability is set to 'edit_theme_options' and will apply to all settings.
 * If you want to add different capabilities to each setting then change it to 
 * $panache_option['capability'] and add 'capability' => 'capability you want' to the
 * options array below
 * -------- theme_supports ----------------------------------------------------------
 * Note that theme_supports is set to '' and will apply to all settings.
 * If you want to add theme_cupports to each setting then change it to 
 * $panache_option['supports'] and add 'supports' => 'support you want' to the
 * options array below
 * -------- sanitize_js_callback ----------------------------------------------------------
 * Note that sanitize_js_callback is commented out. I initially set to '', but themecheck
 * was giving errors, and I was informed to just comment it out.
 * If you want to add sanitize_js_callback to each setting then change it to 
 * $panache_option['sanitize_js_callback'] and add 'sanitize_js_callback' => 'your js callback' 
 * to the options array below.
 * ----------------------------------------------------------------------------------
 * ref: https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_setting
 */
function panache_add_setting_option( $panache_option ){
	global $wp_customize;
	//add_setting for option
	$wp_customize->add_setting( 'panache_customize_options['.$panache_option['name'].']' , array(
		'default'				=> $panache_option['default'],
		'type'					=> $panache_option['setting_type'],
		'capability'			=> 'edit_theme_options',
		'theme_supports'		=> '',
		'transport'				=> $panache_option['transport'],
		'sanitize_callback'		=> $panache_option['sanitize'],
		//'sanitize_js_callback'	=> '',
	));
}

/** ========================== ADD SETTING THEME MOD TABLE ==============================
 * 
 * This helper function loads adds a setting in Theme Customizer
 * This setting function applies to options with 'setting_type'=>'theme_mod' 
 * 
 * -------- capability --------------------------------------------------------------
 * Note that capability is set to 'edit_theme_options' and will apply to all settings.
 * If you want to add different capabilities to each setting then change it to 
 * $panache_option['capability'] and add 'capability' => 'capability you want' to the
 * options array below
 * -------- theme_supports ----------------------------------------------------------
 * Note that theme_supports is set to '' and will apply to all settings.
 * If you want to add theme_cupports to each setting then change it to 
 * $panache_option['supports'] and add 'supports' => 'support you want' to the
 * options array below
 * -------- sanitize_js_callback ----------------------------------------------------------
 * Note that sanitize_js_callback is commented out. I initially set to '', but themecheck
 * was giving errors, and I was informed to just comment it out.
 * If you want to add sanitize_js_callback to each setting then change it to 
 * $panache_option['sanitize_js_callback'] and add 'sanitize_js_callback' => 'your js callback' 
 * to the options array below.
 * ----------------------------------------------------------------------------------
 * ref: https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_setting
 */
function panache_add_setting_theme_mod( $panache_option ){
	global $wp_customize;
	//add_setting for option
	$wp_customize->add_setting( $panache_option['name'] , array(
		'default'				=> $panache_option['default'],
		'type'					=> $panache_option['setting_type'],
		'capability'			=> 'edit_theme_options',
		'theme_supports'		=> '',
		'transport'				=> $panache_option['transport'],
		'sanitize_callback'		=> $panache_option['sanitize'],
		//'sanitize_js_callback'	=> '',
	));
}

/** ========================== ADD CONTROL OPTION TABLE ==============================
 * 
 * This helper function adds a control for Theme Customizer
 * This function applies to options with 'setting_type'=>'option'
 * 
 * ref: https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_control
 * 
 */
function panache_add_control_option($panache_option){
	global $wp_customize;
	if( $panache_option['option_type'] == 'text' ) {
			$wp_customize->add_control($panache_option['name'] , array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> 'panache_customize_options['.$panache_option['name'].']',
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			));
		} elseif( $panache_option['option_type'] == 'textarea' ) {
			$wp_customize->add_control( $panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> 'panache_customize_options['.$panache_option['name'].']',
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			));
		} elseif( $panache_option['option_type'] == 'checkbox' ) {
			$wp_customize->add_control($panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> 'panache_customize_options['.$panache_option['name'].']',
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			));
		} elseif( $panache_option['option_type'] == 'radio' ) {
			$wp_customize->add_control($panache_option['name'] , array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> 'panache_customize_options['.$panache_option['name'].']',
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
				'choices'		=> $panache_option['choices'],
			));
		} elseif( $panache_option['option_type'] == 'select' ) {
			$wp_customize->add_control($panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> 'panache_customize_options['.$panache_option['name'].']',
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
				'choices'		=> $panache_option['choices'],
			));
		} elseif( $panache_option['option_type'] == 'range' ) {
			$wp_customize->add_control($panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> 'panache_customize_options['.$panache_option['name'].']',
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
				'input_attrs'	=> $panache_option['choices'],
			));
		} elseif( $panache_option['option_type'] == 'color' ) {
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,$panache_option['name'], array(
				'label'		=> $panache_option['title'],
				'section'	=> $panache_option['section'],
				'settings'	=> 'panache_customize_options['.$panache_option['name'].']',
				'type'		=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'	=> $panache_option['priority'],
			)));
		} elseif( $panache_option['option_type'] == 'image' ) {
			$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,$panache_option['name'], array(
				'label'		=> $panache_option['title'],
				'section'	=> $panache_option['section'],
				'settings'	=> 'panache_customize_options['.$panache_option['name'].']',
				'type'		=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'	=> $panache_option['priority'],
			)));
		} elseif( $panache_option['option_type'] == 'upload' ) {
			$wp_customize->add_control( new WP_Customize_Upload_Control( $wp_customize,$panache_option['name'], array(
				'label'		=> $panache_option['title'],
				'section'	=> $panache_option['section'],
				'settings'	=> 'panache_customize_options['.$panache_option['name'].']',
				'type'		=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'	=> $panache_option['priority'],
			)));
		} elseif( $panache_option['option_type'] == 'scat' ) {
			$wp_customize->add_control( new panache_Category_Dropdown_Custom_Control( $wp_customize, $panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> 'panache_customize_options['.$panache_option['name'].']',
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			)));
		} elseif( $panache_option['option_type'] == 'stag' ) {
			$wp_customize->add_control( new panache_Tags_Dropdown_Custom_Control( $wp_customize, $panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> 'panache_customize_options['.$panache_option['name'].']',
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			)));
		}
}

/** ========================== ADD CONTROL THEME MOD TABLE ==============================
 * 
 * This helper function adds a control for Theme Customizer
 * This function applies to options with 'setting_type'=>'theme_mod'
 * 
 * ref:https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_control
 * 
 */
function panache_add_control_theme_mod($panache_option){
	global $wp_customize;
	if( $panache_option['option_type'] == 'text' ) {
			$wp_customize->add_control($panache_option['name'] , array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			));
		} elseif( $panache_option['option_type'] == 'textarea' ) {
			$wp_customize->add_control( $panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			));
		} elseif( $panache_option['option_type'] == 'checkbox' ) {
			$wp_customize->add_control($panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			));
		} elseif( $panache_option['option_type'] == 'radio' ) {
			$wp_customize->add_control($panache_option['name'] , array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
				'choices'		=> $panache_option['choices'],
			));
		} elseif( $panache_option['option_type'] == 'select' ) {
			$wp_customize->add_control($panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
				'choices'		=> $panache_option['choices'],
			));
		} elseif( $panache_option['option_type'] == 'range' ) {
			$wp_customize->add_control($panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
				'input_attrs'	=> $panache_option['choices'],
			));
		} elseif( $panache_option['option_type'] == 'color' ) {
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,$panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			)));
		} elseif( $panache_option['option_type'] == 'image' ) {
			$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,$panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			)));
		} elseif( $panache_option['option_type'] == 'upload' ) {
			$wp_customize->add_control( new WP_Customize_Upload_Control( $wp_customize,$panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			)));
		} elseif( $panache_option['option_type'] == 'scat' ) {
			$wp_customize->add_control( new panache_Category_Dropdown_Custom_Control( $wp_customize, $panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			)));
		} elseif( $panache_option['option_type'] == 'stag' ) {
			$wp_customize->add_control( new panache_Tags_Dropdown_Custom_Control( $wp_customize, $panache_option['name'], array(
				'label'			=> $panache_option['title'],
				'section'		=> $panache_option['section'],
				'settings'		=> $panache_option['name'],
				'type'			=> $panache_option['option_type'],
				'description'	=> $panache_option['description'],
				'priority'		=> $panache_option['priority'],
			)));
		}
}
/** ===================== CUSTOM CONTROLS ========================================
 * 
 * This helper function loads the Custom Controls for Theme Customizer
 * 
 * 
 * 
 */
function panache_add_custom_controls (){

	 /**
     * Class to create a custom category control
	  * source https://github.com/bueltge/Wordpress-Theme-Customizer-Custom-Controls
     */
	if (class_exists('WP_Customize_Control')) {
		class panache_Category_Dropdown_Custom_Control extends WP_Customize_Control {
			public function render_content() {
				?>
					<label>
						<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
						<span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
						<select <?php $this->link(); ?>>
							<?php
								$args = array();
								$cats = get_categories($args);
								foreach ( $cats as $cat ) {
									echo '<option value="'.$cat->name.'"'.selected($this->value(), $cat->name).'>'.$cat->name.'</option>';
								}
							?>
						</select>
					</label>
				<?php }
		}
	}
	
	/**
	* Class to create a custom tags control
	* modified from //source https://github.com/bueltge/Wordpress-Theme-Customizer-Custom-Controls
*/
	if (class_exists('WP_Customize_Control')) {
		class panache_Tags_Dropdown_Custom_Control extends WP_Customize_Control {
			
			/** 
			*
			* Render the content on the theme customizer page
			*/
			public function render_content() {
				?>
				<label>
					<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
					<span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
					<select <?php $this->link(); ?>>
						<?php
							$tags = get_tags();
							foreach ( $tags as $tag ) {
								echo '<option value="'.$tag->name.'" '.selected($this->value, $tag->name).'>'.$tag->name.'</option>';
							}
						?>
					</select>
				</label>
				<?php
			}
		}
	}
}

/**
 * This function sets up the option array where all 
 * the options are stored for the theme.
 * The function checks both the panache_customize_options table and the 
 * theme_mods_panache table for custom options. If the option is not there 
 * a default is loaded.
 * 
 * To use the options just add global $panache_options; to your function
 * and $panache_options['option_name'] to retrieve the option
*/
function panache_setup_options() {
	global $panache_options;
	$panache_stored_options = get_option('panache_customize_options',array());
	$panache_option_data = panache_get_customizer_option_partameters();
	$panache_options = array();
	foreach( $panache_option_data as $option_item ) {
		$name = $option_item['name'];
		$setting_type = $option_item['setting_type'];
		
		if( $setting_type == 'option' ){
			if( isset($panache_stored_options[ $name ]) && $panache_stored_options[ $name ] !== NULL ) {
				$panache_options[ $name ] = $panache_stored_options[ $name ];
			} else {
				$panache_options[ $name ] = $option_item[ 'default' ];
			}
		} else {
			$panache_options[ $name ] = get_theme_mod( $name , $option_item[ 'default' ] );
		}
	}
}
add_action( 'after_setup_theme' , 'panache_setup_options' );

/**
 * This function returns the setting for the called option
 */
if( !function_exists( 'panache_get_option' ) ) {
	function panache_get_option( $option ) {
		global $panache_options;
		$return_option = $panache_options[$option];
		return $return_option;
	}
}

/**
 * This function adds some styles to the WordPress Customizer
 * 
*/
function panache_customizer_styles() { ?>
    <style>
       	.customize-control{
        	display:block;
    		width: 100%;
    		padding: 5px 0 10px 0;
    		border-bottom: 2px solid #dbdbdb;
    		margin: 0;
        }
        .customize-control-title {
        	display: block;
        }
        .customize-control label,.customize-control-title {
		    font-size: 12px;
		    font-weight: 600;
		    line-height: 16px;
		}
		.customize-control input,
		.customize-control textarea,
		.customize-control .description,
		.customize-control select
		 {
			font-size: 12px;
		    font-weight: normal;
		    line-height: 16px;
		    margin: 5px 0 5px 0;
		}
		.panache-intro {
			margin: 0;
			padding: 0;
			background-color: #ffffff;
		}
		.panache-intro-title{
			margin: 0 0 5px 5px!important;
		}
		
		.panache-intro-docs {
			clear: both;
		}
		.panache-intro-author,
		.panache-intro-demo,
		.panache-intro-docs{
			margin: 0 0 0 5px!important;
		}
		.panache-intro form{
			margin: 0 0 0 0;
			display: inline-block;
		}
		/* sidebar control - increased width from 300px to 350px */
		.wp-full-overlay-sidebar {width: 350px;}
		.wp-full-overlay.expanded {
		    margin-left: 350px;
		}
    </style>
    <?php
}
add_action( 'customize_controls_print_styles', 'panache_customizer_styles', 999 );

/**
 * Enqueues front-end CSS for panache Theme
 * modified from Twenty Fifteen 1.0
 * @see wp_add_inline_style() to use this function to append the 
 * custom styles to style.css
 * 
 * bring your options into this function to set up your conditional css
 * 
 */
function panache_custom_css() {
	global $panache_options;
	 
		$ka_css = '';
		
		$use_block_style = intval( panache_get_option( 'panache_block_style' ) );
		
		if( $use_block_style == 1 ){

$ka_css .= "
/* Block Layout Conversion */
.header1-wide,.nav-wide,
.header2-widget-wide,nav.nav-wide,
.header2-wide,#page-title-wide,
#main-section,#main-section-home,
#panache-footer,#copyright
{
	max-width: 1040px;
	float: none;
	margin: 0 auto 0 auto;
	padding: 0;
}
";

		}
		return $ka_css;
}